
        NEWS file for libvirt

  Note that this is automatically generated from the news webpage at:
       http://libvirt.org/news.html


1.0.4: Apr 1 2013:
   - Features:
      qemu: support passthrough for iscsi disks (Paolo Bonzini),
      various S390 improvements (Viktor Mihajlovski),
      various LXC bugs fixes and improvements (Daniel P. Berrange, Gao feng),
      Add API for thread cancellation (Daniel P. Berrange)

   - Documentation:
      Fix truncated sentence in RDP 'multiUser' attribute (Christophe Fergeau),
      Remove the redundant parentheses in migrate help (Yanbing Du),
      virsh: Fix docs for "virsh setmaxmem" (Peter Krempa),
      util: fix virAllocVar's comment (Ján Tomko),
      clarify virsh net commands (Gene Czarcinski),
      storage: Fix grammar (Philipp Hahn),
      Fix /pool/storage/name documentation (Christophe Fergeau),
      Fix /pool/storage/directory@path documentation (Christophe Fergeau),
      Fix snapshot-create-as syntax in help output (Martin Kletzander),
      Update to COPYING.LIB to latest LGPLv2.1 copy (Christophe Fergeau),
      Fix a copy & paste error for virsh dump help (Yanbing Du),
      Clarify semantics of sparse storage volumes (Jiri Denemark)

   - Portability:
      virutil: Fix compilation on non-linux platforms (Michal Privoznik),
      Fix linkage of virt-aa-helper with numa library (Daniel P. Berrange),
      Don't fail if SELinux is diabled (Guido Günther),
      Fix --without-libvirtd builds (Doug Goldstein),
      lxc: include sys/stat.h (Guido Günther),
      Ensure GET_VLAN_VID_CMD is always defined (Daniel P. Berrange),
      Don't import loop.h unless HAVE_DECL_LO_FLAGS_AUTOCLEAR is defined (Daniel P. Berrange)

   - Bug Fixes:
      virsh: don't call virSecretFree on NULL (Ján Tomko),
      storage: Avoid double virCommandFree in virStorageBackendLogicalDeletePool (Martin Kletzander),
      nodedev: invert virIsCapableFCHost return value (Ján Tomko),
      security_manager.c: Append seclabel iff generated (Michal Privoznik),
      security: Don't add seclabel of type none if there's already a seclabel (Michal Privoznik),
      security_manager: Don't manipulate domain XML in virDomainDefGetSecurityLabelDef (Michal Privoznik),
      conf: fix memory leak of class_id bitmap (Guannan Ren),
      uml:release config object when uml driver shutdown (Guannan Ren),
      qemu:release qemu config object when qemu driver shutdown (Guannan Ren),
      net: use newer iptables syntax (Stefan Seyfried),
      remote: Don't call NULL closeFreeCallback (Viktor Mihajlovski),
      rpc: Fix client crash when server drops connection (Jiri Denemark),
      conf: fix a failure when detaching a usb device (Guannan Ren),
      qemu: Don't set address type too early during virtio disk hotplug (Guido Günther),
      virsh: error out on non-numeric timeout values (Ján Tomko),
      qemu: Set migration FD blocking (Michal Privoznik),
      util: Fix bug of managing vport (Osier Yang),
      nodedev: Fix the improper logic when enumerating SRIOV VF (Osier Yang),
      lxc: Prevent shutting down the host (Martin Kletzander),
      Ensure root filesystem is mounted if a file/block mount. (Daniel P. Berrange),
      Fix thread safety in LXC callback handling (Daniel P. Berrange),
      Remove bogus filtering from virDomainGetRootFilesystem (Daniel P. Berrange),
      Fix parsing of bond interface XML (Jim Fehlig),
      virsh: don't print --(null) in vol-name and vol-pool (Ján Tomko),
      Fix free of uninitialized value in LXC numad setup (Daniel P. Berrange),
      Correct invalid RNG schemas (Martin Kletzander),
      python: Fix emulatorpin API bindings (Peter Krempa),
      qemu: Un-mark volume as mirrored/copied if blockjob copy fails (Peter Krempa),
      Fix initialization of virIdentityPtr thread locals (Daniel P. Berrange),
      qemu: Add the new disk src into shared disk table when updating disk (Osier Yang),
      python: fix bindings that don't raise an exception (Guannan Ren),
      Fix typos s/HAVE_SELINUX/WITH_SELINUX/ (Daniel P. Berrange),
      fix TLS error with virNetServerClientCreateIdentity (Olivia Yin),
      storage: fix unlikely memory leak in rbd backend (Laine Stump),
      Do not prematurely close loop devices in LXC controller (Daniel P. Berrange),
      qemu: Fix startupPolicy regression (Jiri Denemark),
      qemu: do not support non-network disks without -drive (Paolo Bonzini),
      Fix size probing for VDI images (Ján Tomko),
      Fix memory leak on OOM in virSecuritySELinuxMCSFind (Daniel P. Berrange),
      Avoid closing uninitialized FDs when LXC startup fails (Daniel P. Berrange),
      Prevent streams from becoming libvirtd controlling TTY (Daniel P. Berrange),
      util: escapes special characters in VIR_LOG_REGEX (Guannan Ren),
      Daemonize fuse thread in libvirt_lxc (Daniel P. Berrange),
      Fix missing error dispatch in virDomainLxcEnterNamespace (Daniel P. Berrange),
      Fix query of LXC security label (Daniel P. Berrange),
      qemu_driver: Try KVM_CAP_MAX_VCPUS only if defined (Michal Privoznik),
      Add missing break in LXC loop device setup (Daniel P. Berrange),
      qemu: Avoid NULL dereference in qemuSharedDiskEntryFree (Jiri Denemark),
      qemu: Fix retrieval of maximum number of vCPUs on KVM hosts (Peter Krempa),
      virsh: fix snapshot-create with no xmlfile (Ján Tomko),
      lxc: Init activeUsbHostdevs (Guido Günther),
      bandwidth: Require network QoS if interface uses 'floor' (Michal Privoznik),
      qemuDomainBlockStatsFlags: Guard disk lookup with a domain job (Michal Privoznik),
      Fix crash parsing RNG device specification (Daniel P. Berrange),
      Resolve valgrind error (John Ferlan),
      storage: Cleanup logical volume creation code (Jiri Denemark),
      qemu: update domain live xml for virsh memtune with --live flag (Guannan Ren),
      util: fix a integer boundary error (Guannan Ren)

   - Improvements:
      util: Fix the conflict type for virIsCapableFCHost (Osier Yang),
      libvirt_private.syms: Correctly export seclabel APIs (Michal Privoznik),
      log: Separate thread ID from timestemp in ring buffer (Jiri Denemark),
      virsh: Correct DESCRIPTION for virsh help blockcopy (Yanbing Du),
      Fix virConnectOpen.*() name requirements (Martin Kletzander),
      virsh: Let the compiler check usage of all fields in vshCmdOptType enum (Peter Krempa),
      python: set default value to optional arguments (Guannan Ren),
      libvirt-guests: newline between output sentences (Eric Blake),
      nodedev: Abstract nodeDeviceVportCreateDelete as util function (Osier Yang),
      nodedev: Dump max vports and vports in use for HBA's XML (Osier Yang),
      nodedev: Refactor the helpers (Osier Yang),
      nodedev: Use access instead of stat (Osier Yang),
      util: Add one helper virReadFCHost to read the value of fc_host entry (Osier Yang),
      nodedev: Introduce two new flags for listAll API (Osier Yang),
      nodedev: Remove the unused enum (Osier Yang),
      Mount temporary devpts on /var/lib/libvirt/lxc/$NAME.devpts (Daniel P. Berrange),
      Move FUSE mount to /var/lib/libvirt/lxc/$NAME.fuse (Daniel P. Berrange),
      viralloc: Export virAllocTest* (Michal Privoznik),
      qemu: add support for LSI MegaRAID SAS1078 (aka megasas) SCSI controller (Paolo Bonzini),
      qemu: pass iscsi authorization credentials (Paolo Bonzini),
      domain: parse XML for iscsi authorization credentials (Paolo Bonzini),
      secret: add iscsi to possible usage types (Paolo Bonzini),
      domain: make port optional for network disks (Paolo Bonzini),
      qemu: add support for libiscsi (Paolo Bonzini),
      make: regenerate bindings when <classname>.py changes (Guannan Ren),
      python: treat flags as default argument with value 0 (Guannan Ren),
      virsh-snapshot: Simplify cleanup path in cmdSnapshotEdit (Peter Krempa),
      virsh-snapshot: Use the mutually exclusive params macro in cmdSnapshotEdit (Peter Krempa),
      virsh-snapshot: Refactor cmdSnapshotCurrent (Peter Krempa),
      virsh-domain: Fix flag name in error message to match the check (Peter Krempa),
      virsh-host: Refactor cmdFreecell (Peter Krempa),
      virsh-snapshot: Refactor virsh snapshot-list (Peter Krempa),
      virsh: Introduce macros to reject mutually exclusive arguments (Peter Krempa),
      qemu: s/VIR_ERR_NO_SUPPORT/VIR_ERR_OPERATION_UNSUPPORTED (Michal Privoznik),
      domain: add support for iscsi network disks (Paolo Bonzini),
      cgroup: export virCgroupRemoveRecursively (Gao feng),
      doc/schema: disk storage volume formats (Philipp Hahn),
      doc/schema: Support iqn for storage pools (Philipp Hahn),
      doc/schema: add ocfs2 for disk vol (Philipp Hahn),
      LXC: add cpuset cgroup support for lxc (Gao feng),
      NUMA: cleanup for numa related codes (Gao feng),
      LXC: allow uses advisory nodeset from querying numad (Gao feng),
      rename qemuGetNumadAdvice to virNumaGetAutoPlacementAdvice (Gao feng),
      selinux: deal with dtb file (Olivia Yin),
      qemu: add dtb option support (Olivia Yin),
      conf: support <dtb> tag in XML domain file (Olivia Yin),
      rename tests/conftest.c (Gene Czarcinski),
      Setup LXC cgroups in two phases (Daniel P. Berrange),
      Set the current client identity during API call dispatch (Daniel P. Berrange),
      Add ability to get a virIdentity from a virNetServerClientPtr (Daniel P. Berrange),
      internal APIs for managing identities (Daniel P. Berrange),
      Add API to get the system identity (Daniel P. Berrange),
      Add APIs for associating a virIdentityPtr with the current thread (Daniel P. Berrange),
      Define internal APIs for managing identities (Daniel P. Berrange),
      Add APIs to get at more client security data (Daniel P. Berrange),
      qemu: support URI syntax for NBD (Paolo Bonzini),
      qemu: support NBD with Unix sockets (Paolo Bonzini),
      qemu: support named nbd exports (Paolo Bonzini),
      qemu: rewrite NBD command-line builder and parser (Paolo Bonzini),
      qemu: test NBD command-line builder and parser (Paolo Bonzini),
      util: portably check for unchanged uid (Eric Blake),
      Make vshDebug work when parsing parameters (Martin Kletzander),
      Remove contiguous CPU indexes assumption (Li Zhang),
      audit: Audit resources used by VirtIO RNG (Peter Krempa),
      S390: Testcases for virtio-scsi and virtio-rng (Viktor Mihajlovski),
      S390: Enable virtio-scsi and virtio-rng (Viktor Mihajlovski),
      qemu: Rename virtio-scsi capability (Viktor Mihajlovski),
      util: fix clear_emulator_capabilities=0 (Laine Stump),
      Fix deps for generating RPC dispatch code (Daniel P. Berrange),
      Fix generation of systemtap probes for RPC protocols (Daniel P. Berrange),
      Re-add DTrace probes on 'dispose' functions (Daniel P. Berrange),
      Fix parsing of SELinux ranges without a category (Daniel P. Berrange),
      Separate MCS range parsing from MCS range checking (Daniel P. Berrange),
      virtio-rng: Add rate limiting options for virtio-RNG (Peter Krempa),
      S390: Testcases for virtio-ccw machines (Viktor Mihajlovski),
      S390: Add hotplug support for s390 virtio devices (J.B. Joret),
      S390: QEMU driver support for CCW addresses (Viktor Mihajlovski),
      S390: domain_conf support for CCW (Viktor Mihajlovski),
      S390: Documentation for CCW address type (Viktor Mihajlovski),
      Use separate symbol file for GNUTLS symbols (Daniel P. Berrange),
      Apply security label when entering LXC namespaces (Daniel P. Berrange),
      virCaps: conf: start splitting out irrelevat data (Peter Krempa),
      Remove hack using existance of an 'identity' string to disable auth (Daniel P. Berrange),
      Convert HAVE_SELINUX to WITH_SELINUX (Guido Günther),
      capabilities: add NUMA memory information (Dusty Mabe),
      apparmor: use AppArmorSetFDLabel for both imageFD and tapFD (Guannan Ren),
      Include pid namespace inode in LXC audit messages (Daniel P. Berrange),
      Add support for disks backed by plain files in LXC (Daniel P. Berrange),
      Refactor loop device setup code in LXC (Daniel P. Berrange),
      Convert QEMU driver to use virLogProbablyLogMessage (Daniel P. Berrange),
      Improve LXC startup error reporting (Daniel P. Berrange),
      Add method for checking if a string is (probably) a log message (Daniel P. Berrange),
      Use VIR_MASS_CLOSE in LXC container startup (Daniel P. Berrange),
      Fix conditional build of virNetDevSetupControlFull (Daniel P. Berrange),
      Rename 'daemon' param to 'binary' in virNetClientNewUNIX (Daniel P. Berrange),
      Rename 'clone' to 'clonevol' to avoid name clash with clone() syscall (Daniel P. Berrange),
      viralloc: use consistent naming (Eric Blake),
      rng: allow default device in RNG grammar (Eric Blake),
      build: avoid shadowing a function name (Eric Blake),
      conf: Report errors on cputune parameter parsing (Peter Krempa),
      conf: Make virDomainDeviceInfoIterate usable without os type (Peter Krempa),
      virsh-snapshot: Add ability to print only snapshot names (Peter Krempa)

   - Cleanups:
      python:remove semicolon in python code (Guannan Ren),
      Clean redundant code about VCPU string checking (Li Zhang),
      Cleanup useless flags specifications (Martin Kletzander),
      nodeinfo: don't define nodeGetCellMemory if it isn't ever used (Hu Tao),
      virsh-domain: Remove unused vshCompleteXMLFromDomain (Peter Krempa),
      sheepdog: Adjust logic to break while loop to avoid Coverity error (John Ferlan),
      libxl_driver: Resolve Coverity errors (John Ferlan),
      libxl_conf: Resolve Coverity issue with call to regcomp() (John Ferlan),
      conf: whitespace cleanups and refactors with no semantic impact (Peter Krempa)



1.0.3: Mar 5 2013:
   - Features:
      Introduce virDomainMigrate*CompressionCache APIs (Jiri Denemark),
      Introduce virDomainGetJobStats API (Jiri Denemark),
      Add basic support for VDI images (Martin Kletzander),
      Introduce API virNodeDeviceLookupSCSIHostByWWN (Osier Yang),
      Various locking improvements (Daniel P. Berrange)

   - Documentation:
      internals: Update to include RPC and Lock links and add new data (John Ferlan),
      Add references for phyp and parallels (John Ferlan),
      api: Add text and references for daemon (John Ferlan),
      api: Add text and references for drivers section (John Ferlan),
      api: Complete list of function and naming conventions (John Ferlan),
      api: Reword and clean lists for object description (John Ferlan),
      api: Reword objects exposed section (John Ferlan),
      hellolibvirt: Adjust code to use new APIs (John Ferlan),
      libvirt: Update headers for doc (John Ferlan),
      hook: log the exit status of the hook not 256 (Guido Günther),
      maint: fix typo in network docs (Eric Blake),
      util: Add docs for virXMLProp string (Peter Krempa),
      Fix attribute name for virtio-rng backend (Peter Krempa),
      document new storage volume/pool types (Philipp Hahn),
      schema: Add basic documentation for the virtual RNG device support (Peter Krempa),
      util: fix typo in comment (Laine Stump),
      Add missing 'vram' in QXL video device doc (Christophe Fergeau),
      Fix HTML errors (Jiri Denemark),
      fix 1.0.2 release date (Eric Blake),
      HACKING: Sync with docs/hacking.html.in (John Ferlan),
      hacking: Add some details to handle Valgrind output (John Ferlan),
      don't ignore virEvent API (Eric Blake),
      use div, not table, for notices on opaque types (Claudio Bley),
      abort when missing return or argument documentation (Claudio Bley),
      libvirt.h.in: document virConnectDomainEventCallback's return value (Claudio Bley),
      libvirt.h.in: add missing return doc for virEventRemoveHandleFunc (Claudio Bley),
      libvirt.h.in: fix documentation for virConnectDomainEventBlockJobCallback (Claudio Bley),
      libvirt.h.in: add missing documentation for virConnectCloseFunc (Claudio Bley),
      Sync HACKING and hacking.html.in (Martin Kletzander)

   - Portability:
      build: don't use gcrypt.h without gnutls support (Eric Blake),
      tests: skip virstoragetest on RHEL 5 (Eric Blake),
      Remove some C99 variable decls in parallels driver (Daniel P. Berrange),
      tests: old automake lacks abs_builddir (Eric Blake),
      tests: consistent skip messages (Eric Blake),
      tests: don't test json when not compiled in (Eric Blake),
      tests: avoid segfault if json monitor not present (Eric Blake),
      run: use portable shell (Eric Blake),
      s/arm/armv7l/ in caps-qemu-kvm.xml (Daniel P. Berrange),
      build: force correct gcc syntax for attribute_nonnull (Eric Blake),
      build: more mingw fixes (Eric Blake),
      build: fix mingw build (Eric Blake),
      build: fix vircommand build on mingw (Eric Blake),
      regex: gnulib guarantees that we have regex support (Eric Blake),
      build: fix compilation of selinux on RHEL 5 (Eric Blake),
      build: fix VPATH testsuite (Eric Blake),
      build: fix build of HAL node backend (Eric Blake),
      sanitytest.py: Do not rely on system libvirt (Jiri Denemark),
      tests: reserve more fds for commandtest (Eric Blake),
      build: Add libcurl dependency to libvirt_driver.la (Jiri Denemark),
      tests: Don't build securityselinuxlabeltest without qemu (Jiri Denemark)

   - Bug Fixes:
      Fix TLS tests with gnutls 3 (Daniel P. Berrange),
      qemu: fix wrong evaluation in qemuDomainSetMemoryParameters (Satoru Moriya),
      libvirt does not logout of iscsi targets, causing system hang on shutdown (Fritz Elfert),
      qemu: Remove managed save flag from VM when starting with --force-boot (Peter Krempa),
      qemu: Use -1 as unpriviledged uid/gid (Christophe Fergeau),
      virnetdevmacvlan.c: Introduce mutex for macvlan creation (Michal Privoznik),
      Fix deadlock in QEMU close callback APIs (Daniel P. Berrange),
      Fix crash in QEMU auto-destroy with transient guests (Daniel P. Berrange),
      python: fix fd leak in generator.py (Guannan Ren),
      qemu: Make sure qemuProcessStart is run within a job (Jiri Denemark),
      Fix starting qemu instances when apparmor driver is enabled (Jim Fehlig),
      qemu: Don't fail to shutdown domains with unresponsive agent (Michal Privoznik),
      qemu: virConnectGetVersion returns bogus value (Viktor Mihajlovski),
      qemu: fix use-after-free when parsing NBD disk (Paolo Bonzini),
      Don't try to add non-existant devices to ACL (Daniel P. Berrange),
      Fix typo in internal VIR_QEMU_PROCESS_START_AUTODESROY constant (Daniel P. Berrange),
      Fix autodestroy of QEMU guests (Daniel P. Berrange),
      qemu: -numa doesn't (yet) support disjoint range (Eric Blake),
      interface: udev backend coverity NULL deref (Doug Goldstein),
      Fix crash changing CDROM media (Daniel P. Berrange),
      qemu: do not set unpriv_sgio if neither supported nor requested (Paolo Bonzini),
      conf: Avoid leaking of RNG device definition (Peter Krempa),
      interface: Fix udev backend bridge device display (Doug Goldstein),
      storage: use f_frsize, not f_bsize, for calculating available space (Sage Weil),
      conf: Don't leak 'ram' video property on error (Christophe Fergeau),
      conf: Don't leak 'primary' video property on error (Christophe Fergeau),
      qemu: check backing chains even when cgroup is omitted (Eric Blake),
      qemu: Avoid deadlock in autodestroy (Jiri Denemark),
      qemu: fix an off-by-one error in qemuDomainGetPercpuStats (Guannan Ren),
      qemu: Fix the memory leak (Osier Yang),
      keepalive: Guard against integer overflow (John Ferlan),
      libxl: Fix setting of disk backend (Jim Fehlig),
      Remove a couple of misplaced VIR_FREE (John Ferlan),
      Fix memory leak in virNetClientIOWriteMessage (Sergey Fionov),
      qemu: Do not ignore mandatory features in migration cookie (Jiri Denemark),
      rpc: Avoid deadlock when closing client connection (Jiri Denemark),
      Avoid resetting errors in virTypedParamsFree (Jiri Denemark),
      interface: fix udev backend use after free (Doug Goldstein),
      virsh: Resolve possible NULL dereference (John Ferlan),
      commandtest: Resolve some coverity resource leaks (John Ferlan),
      Fix libvirt upgrade path when nwfilter is used (Stefan Berger),
      util: maintain caps when running command with uid != 0 (Laine Stump),
      virCommand: Don't misuse the eventloop for async IO (Michal Privoznik),
      Release VM lock before acquiring virDomainObjListPtr lock (Daniel P. Berrange),
      Fix potential deadlock across fork() in QEMU driver (Daniel P. Berrange),
      hypervisor: Restore pm initialization (John Ferlan),
      Remove re-entrant API call in SELinux/AppArmor security managers (Daniel P. Berrange),
      xend: Fix a memory leak found by Coverity (John Ferlan),
      network_conf.c: Free xmlDoc after use (Michal Privoznik),
      virsh-snapshot: Fix XPath query to determine snapshot state (Peter Krempa),
      virnetttlcontext: Resolve issues found by Valgrind (John Ferlan),
      qemumonitortestutils: Resolve resource leaks found by Valgrind (John Ferlan),
      qemumonitorjsontest: Resolve resource leaks found by Valgrind (John Ferlan),
      qemu_command: Resolve resource leaks found by Valgrind (John Ferlan),
      domain_conf: Resolve resource leaks found by Valgrind (John Ferlan),
      vport_profile_conf: Resolve memory leak found by Valgrind (John Ferlan),
      netdev_vlan_conf: Resolve memory leak found by Valgrind. (John Ferlan),
      qemuxml2argvtest: Resolve resource leaks found by Valgrind (John Ferlan),
      virnettlscontexttest: Resolve memory leak found by Valgrind (John Ferlan),
      qemu_hotplug: Need to call virUSBDeviceFree() (John Ferlan),
      rpc: Need to virCommandFree on error path (John Ferlan),
      uml: Resolve leak if need to requery in umlIdentifyOneChrPTY() (John Ferlan),
      openvz: Need to error check openvzDomainSetVcpusFlagsInternal() (John Ferlan),
      parallels: Need to free memory on error path (John Ferlan),
      network: Remove conditional settings to resolve resource leak (John Ferlan),
      storage: Resolve resource leaks with cmd processing (John Ferlan),
      keepalive: Resolve Coverity complaint (John Ferlan),
      tlscontext: Make sure to get proper pointer to 'dname' (John Ferlan),
      Fix leak of usbDevice struct when initializing cgroups (Daniel P. Berrange),
      Fix typo in configure.ac causing $LIBS to gain a copy of $CFLAGS (Daniel P. Berrange),
      util: Fix mask for 172.16.0.0 private address range (Jiri Denemark)

   - Improvements:
      rng: restrict passthrough names to known-good files (Eric Blake),
      util: use string libvirt to prefix error message instead of libvir (Guannan Ren),
      python: fix typoes and repeated global vars references (Guannan Ren),
      Fix a message typo (Serge Hallyn),
      Avoid spamming logs with cgroups warnings (Daniel P. Berrange),
      tests: Test XML entities in source path for RNG device (Peter Krempa),
      tests: fix leaks in storagevolxml2argvtest (Ján Tomko),
      libvirt.c: Make VIR_MIGRATE_NON_SHARED_{INC,DISK} mutually exclusive (Michal Privoznik),
      schema: Restrict mode to octal (Philipp Hahn),
      libvirt: fix error message when connection can't be opened (Ján Tomko),
      tests: uniformly report test failures (Eric Blake),
      qemu: minor monitor lock cleanups (Eric Blake),
      qemu: don't override earlier json error (Eric Blake),
      qemu: Refactor qemuDomainSetMemoryParameters (Peter Krempa),
      storage: cast -1 for uid_t|gid_t (Philipp Hahn),
      storage: Cast uid_t|gid_t to unsigned int (Philipp Hahn),
      util: Fix printf format for uid_t|gid_t (Philipp Hahn),
      tests: Add tests for virtio-rng device handling (Peter Krempa),
      qemu: Implement support for EGD backend for virtio-rng (Peter Krempa),
      qemu: Implement support for default 'random' backend for virtio-rng (Peter Krempa),
      conf: Add RNG device ABI compatibility check (Peter Krempa),
      conf: Add support for RNG device configuration in XML (Peter Krempa),
      conf: Add fake switch statement to warn for new device types (Peter Krempa),
      use client id for IPv6 DHCP host definition (Gene Czarcinski),
      Trivial fix: in dhcp-host the name is optional (Gene Czarcinski),
      storage: qemu-img: change INFO to DEBUG (Ján Tomko),
      storage: move qemu-img options before positional arguments (Ján Tomko),
      storage: add test for qemu-img command line generation (Ján Tomko),
      storage: separate qemu-img command generation and execution (Ján Tomko),
      storage: move flag setting after declarations (Ján Tomko),
      run: license as LGPL (Eric Blake),
      qemu_migration: Cancel running jobs on failed migration (Michal Privoznik),
      qemu_migration: Stop NBD server at Finish phase (Michal Privoznik),
      qemu_migration: Introduce qemuMigrationDriveMirror (Michal Privoznik),
      qemu_migration: Introduce qemuMigrationStartNBDServer() (Michal Privoznik),
      qemu: Introduce nbd-server-stop command (Michal Privoznik),
      qemu: Introduce nbd-server-add command (Michal Privoznik),
      qemu: Introduce nbd-server-start command (Michal Privoznik),
      Introduce NBD migration cookie (Michal Privoznik),
      qemu: Introduce NBD_SERVER capability (Michal Privoznik),
      Add support for <option> tag in network config (Pieter Hollants),
      maint: check all symfiles for sorting (Eric Blake),
      qemu: Implement virDomainMigrate*CompressionCache (Jiri Denemark),
      virsh: Add migrate-compcache command (Jiri Denemark),
      remote: Implement virDomainMigrate*CompressionCache (Jiri Denemark),
      python: Implement virDomainMigrateGetCompressionCache wrapper (Jiri Denemark),
      qemu: Implement virDomainGetJobStats (Jiri Denemark),
      qemu: Parse more fields from query-migrate QMP command (Jiri Denemark),
      virsh: Use virDomainGetJobStats in domjobinfo if available (Jiri Denemark),
      remote: Implement virDomainGetJobStats (Jiri Denemark),
      remote: Auto-allocate params in remoteDeserializeTypedParameters (Jiri Denemark),
      python: Implement virDomainGetJobStats wrapper (Jiri Denemark),
      qemu: Add support for compressed migration (Jiri Denemark),
      Introduce VIR_MIGRATE_COMPRESSED flag (Jiri Denemark),
      Update arch names in RNG schema to match virarch.c (Daniel P. Berrange),
      interface: dev type support for bond interfaces (Doug Goldstein),
      interface: add bond support to udev backend (Doug Goldstein),
      interface: Improve udev backend device type id (Doug Goldstein),
      interface: Refactor interface vlan to helper func (Doug Goldstein),
      interface: udev bridge code error handling updates (Doug Goldstein),
      interface: Refactor udev bridge to helper func (Doug Goldstein),
      conf: Refactor ABI stability checking and break long lines (Peter Krempa),
      conf: Refactor cpumask handling (Peter Krempa),
      conf: Reformat many function headers in domain_conf.c (Peter Krempa),
      conf: Fix label naming in virDomainDefFormatInternal (Peter Krempa),
      conf: Ensure that new devices are added to conf copy function (Peter Krempa),
      qemu: Refactor error paths in virQEMUDriverCreateCapabilities (Peter Krempa),
      conf: Improve core dump config error message (Peter Krempa),
      qemu: Turn closeCallbacks into virObjectLockable (Jiri Denemark),
      qemu: Run lzop with '--ignore-warn' (Michal Privoznik),
      qemu: Remove the shared disk entry if the operation is ejecting or updating (Osier Yang),
      qemu: Move the shared disk adding and sgio setting prior to attaching (Osier Yang),
      qemu: Update shared disk table when reconnecting qemu process (Osier Yang),
      qemu: Record names of domain which uses the shared disk in hash table (Osier Yang),
      qemu: Merge qemuCheckSharedDisk into qemuAddSharedDisk (Osier Yang),
      qemu: Add checking in helpers for sgio setting (Osier Yang),
      maint: enforce private symbol section sorting (Eric Blake),
      qemu: switch PCI address alocation to use virDevicePCIAddress (Ján Tomko),
      virsh: distinguish errors between missing argument and wrong option (Guannan Ren),
      maint: sort private syms to reflect recent header renames (Eric Blake),
      maint: fix header file owners of private symbols (Eric Blake),
      net: use structs for address and port ranges (Natanael Copa),
      net: add support for specifying port range for forward mode nat (Natanael Copa),
      net: support set public ip range for forward mode nat (Natanael Copa),
      qemu: Use atomic ops for driver->nactive (Jiri Denemark),
      virsh: Always print capacity unit (Jiri Denemark),
      qemu: pass "-1" as uid/gid for unprivileged qemu (Guido Günther),
      Add capabilities bit for -no-kvm-pit-reinjection (Doug Goldstein),
      Add autogenerated lxc_protocol.[ch] to gitignore (Doug Goldstein),
      drivermodule: Ignore coverity warning about leaked_storage (John Ferlan),
      storage: test backing chain traversal (Eric Blake),
      storage: don't follow backing chain symlinks too eagerly (Eric Blake),
      storage: refactor metadata lookup (Eric Blake),
      storage: prepare for refactoring (Eric Blake),
      storage: rearrange functions (Eric Blake),
      vbox: Don't overwrite errors returned by virDomainDeviceDefParse (Jiri Denemark),
      util: virSetUIDGIDWithCaps - change uid while keeping caps (Laine Stump),
      util: drop capabilities immediately after changing uid/gid of child (Laine Stump),
      qemu: let virCommand set child process security labels/uid/gid (Laine Stump),
      security: add new virSecurityManagerSetChildProcessLabel API (Laine Stump),
      util: add security label setting to virCommand (Laine Stump),
      build: define SECDRIVER_LIBS in Makefile.am (Laine Stump),
      qemu: replace exec hook with virCommandSetUID/GID in storage_backend (Laine Stump),
      qemu: replace exec hook with virCommandSetUID/GID in qemuCaps* (Laine Stump),
      util: make virSetUIDGID a NOP only when uid or gid is -1 (Laine Stump),
      util: add virCommandSetUID and virCommandSetGID (Laine Stump),
      util: refactor virCommandHook into virExec and virCommandHandshakeChild (Laine Stump),
      util: eliminate extra args from virExec (Laine Stump),
      util: eliminate generic hook from virExecWithHook (Laine Stump),
      Remove qemuDriverLock from almost everywhere (Daniel P. Berrange),
      virsh-volume.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh-snapshot.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh-secret.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh-pool.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh-nwfilter.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh-nodedev.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh-network.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh-interface.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh-host.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh-domain.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh-domain-monitor.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh.c: Switch to c99 initialization of vshCmdInfo (Michal Privoznik),
      virsh: Switch to c99 initialization of vshCmdDef (Michal Privoznik),
      xen: clean up the mess with cpumap (Eric Blake),
      util: use new virendian.h macros (Eric Blake),
      util: add virendian.h macros (Eric Blake),
      Check if classes are derived from object (Guido Günther),
      virsh: Use virNodeDeviceLookupSCSIHostByWWN (Osier Yang),
      nodedev: Implement virNodeDeviceLookupSCSIHostByWWN (Osier Yang),
      remote: Wire up the remote protocol (Osier Yang),
      hypervisor: Revisit Coverity issues regarding cpumap (John Ferlan),
      hypervisor: Remove redundant validity checks, clean up function headers (John Ferlan),
      xend: Remove redundant validity checks, clean up function headers (John Ferlan),
      xm: Remove redundant validity checks, clean up function headers (John Ferlan),
      inotify: Clean up some function headers (John Ferlan),
      xs:  Remove redundant validity checks, clean up function headers (John Ferlan),
      virsh-snapshot: Reject --no-metadata together with --print-xml (Peter Krempa),
      virsh-snapshot: Refactor some details in virsh snapshot-create-as (Peter Krempa),
      Pass virQEMUDriverPtr into APIs managed shared disk list (Daniel P. Berrange),
      Serialize execution of security manager APIs (Daniel P. Berrange),
      Turn virSecurityManager into a virObjectLockable (Daniel P. Berrange),
      sheepdog: skip refresh on creation failure (Harry Wei),
      util: refactor iptables command construction into multiple steps (Natanael Copa),
      qemu: support vhost-net for generic ethernet devices (Laine Stump),
      Stop accessing driver->caps directly in QEMU driver (Daniel P. Berrange),
      Rename 'qemuCapsXXX' to 'virQEMUCapsXXX' (Daniel P. Berrange),
      Turn virCapabilities into a virObject (Daniel P. Berrange),
      Fix comment about virCgroupPtr locking rules in QEMU driver (Daniel P. Berrange),
      Fix PKI directory used for QEMU test suite (Daniel P. Berrange),
      virCondDestroy: Lose attribute RETURN_CHECK (Michal Privoznik),
      Drop useless virFileWrapperFdCatchError (Michal Privoznik),
      valgrind: Adjust the suppression file (John Ferlan),
      Add syntax-check to make sure Python files don't contain trailing semicolon (Guido Günther),
      Remove more trailing semicolons in Python files (Guido Günther),
      syntax-check: Don't check non-reentrant functions in docs (Peter Krempa),
      Cosmetics: Remove semicolons (Guido Günther),
      bitmap: add way to find next clear bit (Eric Blake),
      Initialize qemuImageBinary path at startup (Daniel P. Berrange),
      Introduce annotations for virQEMUDriverPtr fields (Daniel P. Berrange),
      Protect USB/PCI device list access in QEMU with dedicated locks (Daniel P. Berrange),
      Convert virPCIDeviceList and virUSBDeviceList into virObjectLockable (Daniel P. Berrange),
      Rename all USB device functions to have a standard name prefix (Daniel P. Berrange),
      Rename all PCI device functions to have a standard name prefix (Daniel P. Berrange),
      Remove pointless 'qemuVersion' field from virQEMUDriverPtr (Daniel P. Berrange),
      Use atomic ops to increment nextvmid (Daniel P. Berrange),
      Make virDomainObjList self-locking via virObjectLockable (Daniel P. Berrange),
      Merge virDomainObjListIsDuplicate into virDomainObjListAdd (Daniel P. Berrange),
      qemu: don't log failure during QMP add-fd probe (Eric Blake),
      Turn virDomainObjList into an opaque virObject (Daniel P. Berrange),
      Rename all domain list APIs to have virDomainObjList prefix (Daniel P. Berrange),
      Introduce a virQEMUDriverConfigPtr object (Daniel P. Berrange),
      Fix missing error constants in libvirt python module (Daniel P. Berrange),
      qemu: Catch stderr of image compression binary (Michal Privoznik),
      qemu: Catch stderr of image decompression binary (Michal Privoznik),
      virFileWrapperFd: Switch to new virCommandDoAsyncIO (Michal Privoznik),
      tests: Create test for virCommandDoAsyncIO (Michal Privoznik),
      Introduce event loop to commandtest (Michal Privoznik),
      virCommand: Introduce virCommandDoAsyncIO (Michal Privoznik),
      conf: Use correct type for device type enum in virDomainDeviceDefFree (Peter Krempa),
      Support shifted magic in storage files (Martin Kletzander),
      virsh-secret: Refactor error paths (Peter Krempa),
      virsh-nwfilter: Update nwfilter commands to use vshCommandOptStringReq (Peter Krempa),
      virsh-snapshot: Update snapshot commands to use vshCommandOptStringReq (Peter Krempa),
      virsh-snapshot: Refactor cmdSnapshotDumpXML (Peter Krempa),
      virsh-nodedev: Refactor error paths, error messages and whitespace (Peter Krempa),
      virsh-nodedev: Update node device commands to use vshCommandOptStringReq (Peter Krempa),
      virsh-interface: Update interface commands to use vshCommandOptStringReq (Peter Krempa),
      virsh-network: Update network commands to use vshCommandOptStringReq (Peter Krempa),
      virsh-host: Update host commands to use vshCommandOptStringReq (Peter Krempa),
      virsh-domain: Update domain commands to use vshCommandOptStringReq (Peter Krempa),
      virsh-domain-monitor: Update domain commands to use vshCommandOptStringReq (Peter Krempa),
      virsh-volume: Update volume commands to use vshCommandOptStringReq (Peter Krempa),
      virsh-pool: Update pool commands to use vshCommandOptStringReq (Peter Krempa),
      virsh: Add helper to request string arguments with error reporting (Peter Krempa),
      virsh-pool: Rename helper function buildPoolXML to vshBuildPoolXML (Peter Krempa),
      virsh-volume: Rename helper function makeCloneXML to vshMakeCloneXML (Peter Krempa),
      virsh-snapshot: Fix coding style and remove dead code (Peter Krempa),
      hyperv: Simplify hypervPrivate pointer handling in hypervOpen (Matthias Bolte),
      esx: Simplify esxPrivate pointer handling in esxOpen (Matthias Bolte),
      maint: update to latest gnulib (Eric Blake),
      Add support for QEMU -add-fd support detection (Stefan Berger),
      qemu: expose qemu 1.3 add-fd monitor command (Eric Blake),
      tests: add a comment about our fake qmp (Eric Blake),
      spec: Avoid using makeinstall relic (Jiri Denemark),
      complete virterror->virerror name change (Serge Hallyn),
      apibuild.py: fix TypeError raised in except clause (Claudio Bley),
      Enforce return check on virAsprintf() calls (John Ferlan),
      snapshot: Mention disk-only snapshots in error message (Peter Krempa)

   - Cleanups:
      Revert hack for autodestroy in qemuProcessStop (Daniel P. Berrange),
      Revert "Add support for <option> tag in network config" (Laine Stump),
      security: Remove unnecessary checks for mgr == NULL (John Ferlan),
      vircommand: Remove unnecessary sa_assert (John Ferlan),
      build: fix make check of remote_protocol-structs (Laine Stump),
      spec: Fix minor changelog issues (Jiri Denemark)



1.0.2: Jan 30 2013:
   -  Features:
      LXC improvements (Daniel P. Berrange),
      S390 architecture improvement (Viktor Mihajlovski),
      Power architecture improvement (Li Zhang),
      large Coverity report cleanups and associated bug fixes (John Ferlan),
      virTypedParams* APIs to helps with those data structures (Jiri Denemark)

   -  Documentation:
      aesthetical cleanups (Martin Kletzander),
      fix missed documentation for virterror functions (Claudio Bley),
      util: Fix docs for virBitmapParse (Peter Krempa),
      rng: Have colorful *.rng with editor (Osier Yang),
      safe{read,write}: Document usage with nonblocking FD (Michal Privoznik),
      Generate documentation for virTypedParams* APIs (Jiri Denemark),
      event.c source file was renamed as virevent.c (Jiri Denemark),
      Add some style and color to the HTML documentation (Claudio Bley),
      don't use <i> and <tt> HTML tags (Claudio Bley),
      Assign classes to documentation elements (Claudio Bley),
      remove extra " (Eric Blake),
      maint: typo fix (Eric Blake),
      restrict the set of characters for info keys (Claudio Bley),
      simplify code (Claudio Bley),
      mention git rename detection (Eric Blake),
      add some more hacking tips (Eric Blake),
      fix typo in isa-serial additions (Laine Stump),
      network: fix typos and docs (Guannan Ren),
      maint: fix comment typo (Eric Blake),
      break longer text into paragraphs in HTML (Claudio Bley),
      remove duplicate check in index.add (Claudio Bley),
      Add missing flags to migrate documentation (Guido Günther),
      Add docs and rng schema for new XML tag sgio (Osier Yang),
      Fix the comment grammar (Osier Yang),
      Remove the inexistent function in comments (Osier Yang),
      fix typo in the word affinities (Martin Kletzander),
      Fix documentation for readonly element (Jiri Denemark),
      Replace </br> with <br/> in docs/news.html.in (Peter Krempa)

   -  Portability:
      Make sure we only abort without libcurl if $with_esx = yes (Guido Günther),
      build: Fix RPM build errors related to libvirt-lxc API (Viktor Mihajlovski),
      build: fix build on BSD (Eric Blake),
      build: further fixes for broken if_bridge.h (Eric Blake),
      securityselinuxhelper.c: Don't try to include xattr.h if not available (John Ferlan),
      build: work around broken kernel header (Eric Blake),
      build: avoid m4_expand for RHEL 5 (Eric Blake),
      build: move file deleting action from %files list to %install (Yufang Zhang),
      build: libvirt-guests files misplaced in specfile (Viktor Mihajlovski),
      build: fix mingw rpm build (Eric Blake),
      build: fix build with optimization enabled (Eric Blake),
      build: make broken -Wlogical-op test be gcc-only (Eric Blake),
      util: FreeBSD: stub out CPU affinity functions (Roman Bogorodskiy),
      nodeinfo: add FreeBSD support (Roman Bogorodskiy),
      build: Check for broken GCC -Wlogical-op in configure (Viktor Mihajlovski)

   -  Bug fixes:
      conf: Don't format cputune element when not needed (Martin Kletzander),
      conf: Fix cpumask leak in virDomainDefFree (Ján Tomko),
      qemu: Destroy domain on decompression binary error (Michal Privoznik),
      rpc: Fix crash on error paths of message dispatching (Peter Krempa),
      vbox: Address false positive for NULL dereference (John Ferlan),
      libxl: Fix removing non-persistent domain after save (Jim Fehlig),
      libxl: Fix race between destruction of objects (Jim Fehlig),
      libxl: Fix races in libxl event code (Jim Fehlig),
      libxl: Fix handling of timeouts (Jim Fehlig),
      conf: avoid NULL deref for pmsuspended domain state (Eric Blake),
      qemu_monitor: Fix tray-open attribute in query-block (Michal Privoznik),
      Fix bogus reporting of KVM support for non-native emulators (Daniel P. Berrange),
      Move QEMU capabilities initialization later in QEMU startup (Daniel P. Berrange),
      Fix performance & reliabilty of QMP probing (Daniel P. Berrange),
      qemu: escape ipv6 for rbd network disk hosts (Josh Durgin),
      snapshot: fix state after external snapshot of S3 domain (Eric Blake),
      python: Fix bindings for virDomainSnapshotGet{Domain,Connect} (Jiri Denemark),
      Fix crash free'ing securityDriverNames in QEMU driver (Daniel P. Berrange),
      Fix leak of securityDriverNames (Daniel P. Berrange),
      Avoid use of free'd memory in auto destroy callback (Daniel P. Berrange),
      Ensure nodeinfo struct is initialized to zero (Daniel P. Berrange),
      apparmor: Avoid freeing uninitialized pointer (Jiri Denemark),
      xen: Actually fix the uninitialized variable (Peter Krempa),
      xen: Initialize variable before using (Peter Krempa),
      util: Need to add virCommandFree() (John Ferlan),
      storage: Need to add virCommandFree() (John Ferlan),
      security: Need to add virCommandFree() (John Ferlan),
      parallels: Resolve some resource leaks (John Ferlan),
      qemu: Re-add driver unlock to qemuDomainSendKey (Viktor Mihajlovski),
      conf: Fix usage of virBitmapParse (Peter Krempa),
      virbitmaptest: Resolve Coverity errors (John Ferlan),
      lxc_process: Avoid passing NULL iface->iname (John Ferlan),
      lxc_driver: Need to check for vm before calling virDomainUnlock(vm) (John Ferlan),
      tests: Remove VIR_FREE() on static/stack buffer (der.data) (John Ferlan),
      Fix nwfilter driver reload/shutdown handling when unprivileged (Daniel P. Berrange),
      conf: Check if number of vCPUs fits in the storage variable (Peter Krempa),
      tests: Need to initialize 'test' properly on error path (John Ferlan),
      virkeepalive: Remove erroneous VIR_FREE(msg) (John Ferlan),
      security: Need to initialize 'sens' (John Ferlan),
      interface: Need to initialize 'ifaces_list' (John Ferlan),
      storage: Need to initialize 'zerobuf' (John Ferlan),
      virsh: Need to intialize 'str' (John Ferlan),
      lxc: Need to initialize 'dst' (John Ferlan),
      virfile: Need to initialize 'looppath' (John Ferlan),
      commandtest: Need to initialize 'errbuf' (John Ferlan),
      virnetdev: Need to initialize 'pciConfigAddr' (John Ferlan),
      virnetsockettest: Need to initialize 'path' (John Ferlan),
      virnetserver: Need to initialize 'sigdata' (John Ferlan),
      conf: Need to initialize variables before VIR_FREE (John Ferlan),
      uml: Avoid resource leak of event in umlInofityEvent (John Ferlan),
      selinux: Resolve resource leak using the default disk label (John Ferlan),
      util: Need to check child JSON allocation before use (John Ferlan),
      parallels: Need to handle virJSONValueObjectGetString error (John Ferlan),
      qemu: Reject attempts to create snapshots with names containig '/' (Peter Krempa),
      qemu: Don't return success if creation of snapshot save file fails (Peter Krempa),
      Fix race condition when destroying guests (Daniel P. Berrange),
      storage: Fix lvcreate parameter for backingStore. (Atsushi Kumagai),
      virobject: Remove the bogus ! from call to virObjectInitialize() (John Ferlan),
      qemu: Check valid activeDev before calling pciDeviceSetUsedBy (John Ferlan),
      Followup fix for integer wraparound in port allocator (Daniel P. Berrange),
      qemu: Double mutex unlock in qemuDomainModifyDeviceFlags (Viktor Mihajlovski),
      fixed xt_physdev warning when defining ip(6)tables rules (Reinier Schoof),
      conf: don't fail to parse <boot> when parsing a single device (Laine Stump),
      Fix inheritance of virNetClient (Daniel P. Berrange),
      Avoid integer wrap on remotePortMax in QEMU driver (Daniel P. Berrange),
      python: Avoid freeing uninitialized new_params pointer (Jiri Denemark),
      Fix typo in variable name (Guido Günther),
      libxl: Fix cleanup on domain start error (Jim Fehlig),
      libxl: Check for libxl_ctx_alloc failure (Jim Fehlig),
      libxl: Don't free domain death event (Jim Fehlig),
      locking: Resolve resource leaks on non error path (John Ferlan),
      conf: fix leak in virDomainVcpuPinAdd (Ján Tomko),
      conf: fix class_id bitmap leak in virNetworkObj (Ján Tomko),
      qemu: fix QEMU_CAPS_NO_ACPI detection (Ján Tomko),
      openvz: Need to check 'vm' first before dereferencing 'def' (John Ferlan),
      interface: Need to check ifacedef->mac not just ifacedef after strdup() (John Ferlan),
      qemu: Don't update count of vCPUs if hot-unplug has failed (Peter Krempa),
      libvirt: lxc: don't mkdir when selinux is disabled (Gao feng),
      xen: Resolve resource leak with 'cpuset' (John Ferlan),
      interface: Resolve resource leak wth 'tmp_iface_objs' (John Ferlan),
      storage: Resource resource leak using 'tmp_vols' (John Ferlan),
      test: Resource resource leak with 'tmp_vols' (John Ferlan),
      rpc: Avoid resource leak of 'socks' if any object append fails (John Ferlan),
      util: Resolve resource leak for 'res' in virSetInherit error path. (John Ferlan),
      interface: Need to initialize 'add_to_list' (John Ferlan),
      lxc: Initialize dst due to potential cleanup usage before setting (John Ferlan),
      openvz: Need to initialize 'ret' for kb_per_pages error path (John Ferlan),
      parallels: Resolve issues with uninitialized 'ret' value (John Ferlan),
      storage: Need to also VIR_FREE(reg) (John Ferlan),
      Fix typo LIBCURL_{CFLAGS,LIBS} to CURL_{CFLAGS,LIBS} (Daniel P. Berrange),
      Fix build due to previous LXC patch (Daniel P. Berrange),
      build: fix incomplete WITH_SASL conversion (Eric Blake),
      network: bridge: Fix regression when defining persistent networks (Peter Krempa),
      storage: Resolve resource leak using 'vol' buffer (John Ferlan),
      phyp: Resolve some file descriptor leaks (John Ferlan),
      qemu_agent: Remove agent reference only when disposing it (Michal Privoznik),
      libvirt: lxc: fix incorrect parameter of lxcContainerMountProcFuse (Gao feng),
      util: Check for NULL 'dev' on input to usbFreeDevice (John Ferlan),
      maint: avoid potential promotion issues with [ug]id_t (Eric Blake),
      Resolve COPY_PASTE error found by Coverity (John Ferlan),
      storage: fix leak in virStorageBackendLogicalMakeVol (Ján Tomko),
      cpu: Avoid NULL dereference (John Ferlan),
      lxc: Avoid possible NULL dereference on *root prior to opendir(). (John Ferlan),
      remote: Avoid calling virAuthConfigLookup() if 'credname' is NULL. (John Ferlan),
      vmware: Avoid NULL dereference for 'caps' (John Ferlan),
      xen: Avoid possible NULL dereference (John Ferlan),
      Fix virLXCPrepareHostDevices method (Daniel P. Berrange),
      Only initialize capabilities after setting dir permissions (Daniel P. Berrange),
      build: install libvirt sysctl file correctly (Eric Blake),
      snapshot: qemu: Fix segfault and vanishing snapshots when redefining (Peter Krempa),
      qemu: Detect VGA_QXL capability correctly (Michal Privoznik),
      qemu: fix a segfault in qemuProcessWaitForMonitor (Ján Tomko),
      parallels: check and handle error for virAsprintf() calls (John Ferlan),
      udev: check and handle error for virAsprintf() calls (John Ferlan),
      util: fix botched check for new netlink request filters (Laine Stump),
      blockjob: fix memleak that prevented block pivot (Eric Blake),
      util: fix functions that retrieve SRIOV VF info (Laine Stump),
      Fix parsing of arch from domain XML (Daniel P. Berrange),
      Fix CPU baseline to not hardcode arch (Daniel P. Berrange),
      Fix SELinux security label test (Daniel P. Berrange),
      spec: Fix script warning when uninstalling libvirt-client (Cole Robinson),
      network: don't require private addresses if dnsmasq uses SO_BINDTODEVICE (Laine Stump),
      `apparmor: Fix build (Jiri Denemark),
      S390: Fix virSysinfoRead memory corruption (Viktor Mihajlovski)

   -  Improvements:
      Ignore '.trs' files (Martin Kletzander),
      build: Regenerate man pages on version bump (Jiri Denemark),
      rng: Change the datatype for volume name for common use (Osier Yang),
      rng: Remove the duplicate definition (Osier Yang),
      qemu_hotplug: Rework media changing process (Michal Privoznik),
      maint: one missed syms file (Eric Blake),
      vbox: Adjust the UTF FREE macros (John Ferlan),
      virsh: Add --print-xml flag for attach-disk command (Peter Krempa),
      libxl: Domain event handler improvements (Jim Fehlig),
      libxl: Explicitly remove timeouts (Jim Fehlig),
      maint: make it easier to sort syms files (Eric Blake),
      qemuDomainSendKey: Relax the qemu driver locking (Michal Privoznik),
      node_memory: Add '\n' to help message (Satoru Moriya),
      locking: use virStrcpyStatic instead of memcpy (John Ferlan),
      Make python objects inherit from 'object' base class (Daniel P. Berrange),
      selinux: Properly indent preprocessor directives (Jiri Denemark),
      selinux: Only create the selabel_handle once. (Richard W.M. Jones),
      parallels_utils: Check return status properly from virCommandRun() (John Ferlan),
      test: Add support for thread and core information for the test driver (Peter Krempa),
      capabilities: Add additional data to the NUMA topology info (Peter Krempa),
      capabilities: Switch CPU data in NUMA topology to a struct (Peter Krempa),
      conf: Split out NUMA topology formatting to simplify access to data (Peter Krempa),
      schemas: Add schemas for more CPU topology information in the caps XML (Peter Krempa),
      schema: Make the cpuset type reusable across schema files (Peter Krempa),
      S390: Enhance memballoon handling for virtio-s390 (Viktor Mihajlovski),
      qemu_agent: Ignore expected EOFs (Michal Privoznik),
      nodeinfo: Use sa_assert() instead of Coverity error tag (John Ferlan),
      build: allow virObject to have no parent (Eric Blake),
      qemu: Support ram bar size for qxl devices (Alon Levy),
      viralloc: Adjust definition of VIR_FREE() for Coverity (John Ferlan),
      conf: Improve error messages if parsing of vCPU count fails (Peter Krempa),
      virsh-domain: Refactor error paths for cmdCPUStats (Peter Krempa),
      fix typos in comments for VIR_DOMAIN_PROCESS_SIGNAL_{PWR,SYS} (Claudio Bley),
      storage: Add coverity[dead_error_condition] to avoid error (John Ferlan),
      network: Add coverity[leaked_handle] to ignore error (John Ferlan),
      remote: Avoid coverity[leaked_storage] message. (John Ferlan),
      qemu: Add coverity[negative_returns] tag (John Ferlan),
      rpc: Add coverity[dead_error_begin] tag (John Ferlan),
      xen: Add coverity[ptr_arith] and [sign_extension] tags (John Ferlan),
      nodeinfo: Add coverity[dead_error_begin] and [returned_null] tags (John Ferlan),
      lxc: Add coverity[dead_error_begin] tag in switch stmts (John Ferlan),
      xend: Address some Coverity false positives (John Ferlan),
      security: Use virStrcpy to move the label (John Ferlan),
      qemu: Forbid snapshot names starting with '.' (Peter Krempa),
      spec: indent %if to make it easier to see conditions (Eric Blake),
      Log flags passed to qemuMigrationPrepare{Tunnel,Direct} APIs (Michal Privoznik),
      Introduce virTypedParamsClear public API (Jiri Denemark),
      virsh: Use virTypedParams* APIs in cpu-stats (Jiri Denemark),
      virsh: Use virTypedParams* APIs in node-memory-tune (Jiri Denemark),
      virsh: Use virTypedParams* APIs in numatune (Jiri Denemark),
      virsh: Use virTypedParams* APIs in memtune (Jiri Denemark),
      virsh: Use virTypedParams* APIs in domblkstat (Jiri Denemark),
      virsh: Use virTypedParams* APIs in schedinfo (Jiri Denemark),
      virsh: Use virTypedParams* APIs in domiftune (Jiri Denemark),
      virsh: Use virTypedParams* APIs in blkiotune (Jiri Denemark),
      virsh: Use virTypedParams* APIs in blkdeviotune (Jiri Denemark),
      Add virTypedParams* APIs (Jiri Denemark),
      qemu: Simplify condition with already extracted flag (Peter Krempa),
      network: use bandwidth from portgroup when appropriate (Laine Stump),
      network: Resolve some issues around vlan copying (John Ferlan),
      lock_daemon: Simplify error handling (Peter Krempa),
      virsh-volume.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh-snapshot.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh-secret.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh-pool.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh-nwfilter.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh-nodedev.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh-network.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh-interface.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh-host.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh-domain-monitor.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh-domain.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      virsh.c: Switch to C99 initialization of vshCmdOptDef (Michal Privoznik),
      libvirt.c: fix typo in comment (Claudio Bley),
      Move comments after enum members (Claudio Bley),
      include virterror_internal.h in threads.h (Hu Tao),
      include util.h in cgroup.h (Hu Tao),
      call virstateCleanup to do the cleanup before libvirtd exits (Hu Tao),
      libxl: Use consistent parameter naming scheme (Jim Fehlig),
      libxl: Use consistent style for function definitions (Jim Fehlig),
      Convert libxl driver over to use virPortAllocator APIs (Daniel P. Berrange),
      Convert QEMU driver over to use virPortAllocator APIs (Daniel P. Berrange),
      Add a port allocator class (Daniel P. Berrange),
      Convert all rpc classes over to virObjectLockable (Daniel P. Berrange),
      Convert virDomainObj, qemuAgent, qemuMonitor, lxcMonitor to virObjectLockable (Daniel P. Berrange),
      util: Check for negative indent in virBufferAdd (John Ferlan),
      tools: Check return status on virBufferTrim() (John Ferlan),
      rpc: Check and message setsockopt() (John Ferlan),
      xen: Ignore return status for TCP_NODELAY (John Ferlan),
      Add a virObjectLockable class holding a mutex (Daniel P. Berrange),
      Allow for multi-level inheritance of virObject classes (Daniel P. Berrange),
      Add 'lxc-enter-namespace' command to virsh (Daniel P. Berrange),
      build: add new file, for lxc_protocol checking (Eric Blake),
      Add implementation of virDomainLxcOpenNamespace to LXC driver (Daniel P. Berrange),
      Implement the RPC protocol for the libvirt-lxc.la library (Daniel P. Berrange),
      .gitignore: Sort alphabetically (Michal Privoznik),
      Add missing stubs to securityselinuxhelper.c (Daniel P. Berrange),
      Introduce an LXC specific public API & library (Daniel P. Berrange),
      Add a test suite for validating SELinux labelling (Daniel P. Berrange),
      Rename HAVE_POLKIT to WITH_POLKIT (Daniel P. Berrange),
      Remove unused XMLRPC_REQUIRED var (Daniel P. Berrange),
      Convert openwsman check to use LIBVIRT_CHECK_PKG (Daniel P. Berrange),
      Convert ssh2 check to use LIBVIRT_CHECK_PKG (Daniel P. Berrange),
      Rename HAVE_LIBSSH2 to WITH_SSH2 (Daniel P. Berrange),
      Convert curl check over to use LIBVIRT_CHECK_PKG (Daniel P. Berrange),
      Rename HAVE_LIBCURL to WITH_CURL (Daniel P. Berrange),
      Convert fuse check over to use LIBVIRT_CHECK_PKG (Daniel P. Berrange),
      Rename HAVE_FUSE to WITH_FUSE (Daniel P. Berrange),
      Rename HAVE_GNUTLS to WITH_GNUTLS (Daniel P. Berrange),
      Convert blkid check over to use LIBVIRT_CHECK_PKG (Daniel P. Berrange),
      Convert HAVE_LIBBLKID to WITH_BLKID (Daniel P. Berrange),
      Convert HAL check to use LIBVIRT_CHECK_PKG (Daniel P. Berrange),
      Convert HAVE_HAL to WITH_HAL (Daniel P. Berrange),
      Convert udev/pciaccess checks to use LIBVIRT_CHECK_PKG (Daniel P. Berrange),
      Convert HAVE_UDEV to WITH_UDEV (Daniel P. Berrange),
      Convert avahi check to use LIBVIRT_CHECK_PKG (Daniel P. Berrange),
      Convert HAVE_AVAHI to WITH_AVAHI (Daniel P. Berrange),
      Convert DBus check to use LIBVIRT_CHECK_PKG (Daniel P. Berrange),
      Convert HAVE_DBUS to WITH_DBUS (Daniel P. Berrange),
      Convert netcf check to use LIBVIRT_CHECK_PKG (Daniel P. Berrange),
      Convert cap-ng check to use LIBVIRT_CHECK_LIB (Daniel P. Berrange),
      Convert HAVE_CAPNG to WITH_CAPNG (Daniel P. Berrange),
      Convert numactl checks to use LIBVIRT_CHECK_LIB (Daniel P. Berrange),
      Convert HAVE_NUMACTL to WITH_NUMACTL (Daniel P. Berrange),
      Convert apparmor check to use LIBVIRT_CHECK_LIB (Daniel P. Berrange),
      Convert selinux check to use LIBVIRT_CHECK_LIB (Daniel P. Berrange),
      Convert HAVE_SELINUX to WITH_SELINUX (Daniel P. Berrange),
      qemu: Fix grouping of capabilities strings (Peter Krempa),
      network: Report real error if addition of firewall rules fails (Peter Krempa),
      virsh: Reformat output of virsh net-list (Peter Krempa),
      Convert audit check to use LIBVIRT_CHECK_LIB (Daniel P. Berrange),
      Convert HAVE_AUDIT to WITH_AUDIT (Daniel P. Berrange),
      Convert sasl check to use LIBVIRT_CHECK_LIB_ALT (Daniel P. Berrange),
      Convert HAVE_SASL to WITH_SASL (Daniel P. Berrange),
      Convert sanlock check to use LIBVIRT_CHECK_LIB (Daniel P. Berrange),
      Convert HAVE_SANLOCK to WITH_SANLOCK (Daniel P. Berrange),
      Convert yajl check to use LIBVIRT_CHECK_LIB_ALT (Daniel P. Berrange),
      Convert HAVE_YAJL into WITH_YAJL (Daniel P. Berrange),
      Add some autoconf helper macros for checking for libraries (Daniel P. Berrange),
      build: require avahi instead of avahi-libs on rhel5. (Yufang Zhang),
      util: reduce syscalls for virGetDeviceID (Eric Blake),
      pass stub driver name instead of pciFindStubDriver (Chunyan Liu),
      qemu: add usb-net caps flag (Guannan Ren),
      qemu: add usb-serial support (Guannan Ren),
      qemu: add usb-serial caps flag (Guannan Ren),
      maint: distribute libvirtd.service.in (Eric Blake),
      Add RESUME event listener to qemu monitor. (Andres Lagar-Cavilla),
      nwfilter: Remove unprivileged code path to set base (John Ferlan),
      Make TLS support conditional (Daniel P. Berrange),
      qemu: Relax hard RSS limit (Michal Privoznik),
      S390: Enable SCLP Console in QEMU driver (J.B. Joret),
      S390: Add SCLP console front end support (J.B. Joret),
      Rename lxc_protocol.x to lxc_monitor_protocol.x (Daniel P. Berrange),
      Add internal APIs for dealing with namespaces (Daniel P. Berrange),
      Add a way to return FDs to the RPC caller (Daniel P. Berrange),
      Fix receiving of file descriptors from server (Daniel P. Berrange),
      Move qemu-XXX commands from virsh-host.c to virsh-domain.c (Daniel P. Berrange),
      Ensure we always setup a private mount namespace for LXC controller (Daniel P. Berrange),
      Speed up fallback to legacy non-QMP probing (Daniel P. Berrange),
      build: Add libxenctrl to LIBXL_LIBS (Jim Fehlig),
      build: .service files don't need to be executable (Eric Blake),
      build: properly substitute virtlockd.socket (Eric Blake),
      build: use common .in replacement mechanism (Eric Blake),
      qemu: Check if the shared disk's cdbfilter conflicts with others (Osier Yang),
      qemu: set unpriv_sgio when starting domain and attaching disk (Osier Yang),
      conf: Parse and format the new XML (Osier Yang),
      qemu: Add a hash table for the shared disks (Osier Yang),
      util: Prepare helpers for unpriv_sgio setting (Osier Yang),
      snapshot: qemu: Allow redefinition of external snapshots (Peter Krempa),
      snapshot: qemu: Separate logic blocks with newlines (Peter Krempa),
      snapshot: conf: Make virDomainSnapshotIsExternal more reusable (Peter Krempa),
      qemu: Implement virDomainOpenChannel API (John Eckersberg),
      conf: Add unix socket support to virChrdevOpen (John Eckersberg),
      conf: Rename console-specific identifiers to be more generic (John Eckersberg),
      conf: Rename virconsole.* to virchrdev.* (John Eckersberg),
      api: Add API to tunnel a guest channel via stream (John Eckersberg),
      network: fix check for ambiguous lookup (Eric Blake),
      Check and handle select() errors from waitsocket(). (John Ferlan),
      tests: check and handle error for virAsprintf() calls (John Ferlan),
      Check return on mkdir for LOCKSPACE_DIR (John Ferlan),
      vmware: silence Coverity warning (John Ferlan),
      Install virtlockd.{socket,service} non executable (Guido Günther),
      qemu: Don't parse log output when starting up a domain (Michal Privoznik),
      build: use autobuild module to make build logs nicer (Eric Blake),
      maint: update to latest gnulib (Eric Blake),
      sanlock: Chown lease files as well (Michal Privoznik),
      python: Adapt to virevent rename (Michal Privoznik),
      qemu: Convert some APIs to use qemuDomObjFromDomain (Michal Privoznik),
      qemu: Relax locking in DomainHasManagedSaveImage and DomainMonitorCommand (Michal Privoznik),
      S390: Re-enable capability probing for virtio devices. (Viktor Mihajlovski),
      Sort util files in Makefile.am alphabetically (Daniel P. Berrange),
      Rename virterror.c virterror_internal.h to virerror.{c,h} (Daniel P. Berrange),
      Rename xml.{c,h} to virxml.{c,h} (Daniel P. Berrange),
      Rename uuid.{c,h} to viruuid.{c,h} (Daniel P. Berrange),
      Rename util.{c,h} to virutil.{c,h} (Daniel P. Berrange),
      Rename threads.{c,h} to virthread.{c,h} (Daniel P. Berrange),
      Rename threadpool.{c,h} to virthreadpool.{c,h} (Daniel P. Berrange),
      Rename sysinfo.{c,h} to virsysinfo.{c,h} (Daniel P. Berrange),
      Rename storage_file.{c,h} to virstoragefile.{c,h} (Daniel P. Berrange),
      Rename stats_linux.{c,h} to virstatslinux.{c,h} (Daniel P. Berrange),
      Rename sexpr.{c,h} to virsexpr.{c,h} (Daniel P. Berrange),
      Merge processinfo.{c,h} into virprocess.{c,h} (Daniel P. Berrange),
      Rename pci.{c,h} to virpci.{c,h} (Daniel P. Berrange),
      Rename memory.{c,h} to viralloc.{c,h} (Daniel P. Berrange),
      Rename logging.{c,h} to virlog.{c,h} (Daniel P. Berrange),
      Rename json.{c,h} to virjson.{c,h} (Daniel P. Berrange),
      Rename iptables.{c,h} to viriptables.{c,h} (Daniel P. Berrange),
      Rename hostusb.{c,h} to virusb.{c,h} (Daniel P. Berrange),
      Rename hooks.{c,h} to virhook.{c,h} (Daniel P. Berrange),
      Rename event_poll.{c,h} to vireventpoll.{c,h} (Daniel P. Berrange),
      Rename event.{c,h} to virevent.{c,h} (Daniel P. Berrange),
      Rename ebtables.{c,h} to virebtables.{c,h} (Daniel P. Berrange),
      Rename dnsmasq.{c,h} to virdnsmasq.{c,h} (Daniel P. Berrange),
      Rename conf.{c,h} to virconf.{c,h} (Daniel P. Berrange),
      Rename command.{c,h} to vircommand.{c,h} (Daniel P. Berrange),
      Rename buf.{c,h} to virbuffer.{c,h} (Daniel P. Berrange),
      Rename bitmap.{c,h} to virbitmap.{c,h} (Daniel P. Berrange),
      Rename cgroup.{h,c} to vircgroup.{h,c} (Daniel P. Berrange),
      Support all backend serial devices for pSeries guest (Li Zhang),
      Remove QEMU_CAPS_NO_ACPI capability for non-x86 platform (Li Zhang),
      Set std VGA model as default model for ppc64. (Li Zhang),
      Add sysinfo data and enable virSysinfoRead test case for POWER (Li Zhang),
      util: add missing error log messages when failing to get netlink VFINFO (Laine Stump),
      security: fix #endif comment in security_stack.h (Ján Tomko),
      build: use strchr now that we can work around broken gcc (Eric Blake),
      Fix arch datatype in vahControl in virt-aa-helper.c (Daniel P. Berrange),
      Change string form of VIR_ARCH_ITANIUM back to ia64 (Daniel P. Berrange),
      conf: eliminate redundant use of VIR_ALLOC (Martin Kletzander),
      Fix libxl driver for virArch changes (Daniel P. Berrange),
      Fix test cases for virArch changes (Daniel P. Berrange),
      Fix XenAPI driver for virArch changes (Daniel P. Berrange),
      Export all symbols from virarch.{c,h} to drivers/tests/etc (Daniel P. Berrange),
      Convert QEMU capabilities code to use virArch (Daniel P. Berrange),
      spec: Do not install *.py[co] in python examples (Jiri Denemark),
      Convert CPU APIs to use virArch (Daniel P. Berrange),
      Convert capabilities / domain_conf to use virArch (Daniel P. Berrange),
      Convert QEMU command line builder to virArch APIs (Daniel P. Berrange),
      Convert nodeGetInfo to virArch APIs (Daniel P. Berrange),
      Introduce a set of APIs for managing architectures (Daniel P. Berrange),
      build: Fix AUTHORS generation (Jiri Denemark),
      network: fix indentation of networkDnsmasqConfContents (Laine Stump),
      .gitignore: add tests/sysinfotest (Cole Robinson),
      hostusb: Move USB_DEVFS define to hostusb.h to fix the build (Cole Robinson),
      daemon: Preface polkit error output with 'polkit:' (Cole Robinson),
      Add support for hotplug/unplug of host misc devices in LXC (Daniel P. Berrange),
      Add support for hotplug/unplug of host storage devices in LXC (Daniel P. Berrange),
      Add support for hotplug/unplug of USB host devices in LXC (Daniel P. Berrange),
      Add support for hotplug/unplug of NIC devices in LXC (Daniel P. Berrange),
      Add support for hotplug/unplug of disk devices in LXC (Daniel P. Berrange),
      Add support for attach/detach/update hostdev devices in config for LXC (Daniel P. Berrange),
      Add support for attach/detach/update disk devices in config for LXC (Daniel P. Berrange),
      Add support for attach/detach/update net devices in config for LXC (Daniel P. Berrange),
      Add basic driver API framework for device attach/detach support in LXC (Daniel P. Berrange),
      Add support for misc host device passthrough with LXC (Daniel P. Berrange),
      Add support for storage host device passthrough with LXC (Daniel P. Berrange),
      Add support for USB host device passthrough with LXC (Daniel P. Berrange),
      Add support for disks with LXC (Daniel P. Berrange),
      Add support for SELinux labelling of hostdev storage/misc devices (Daniel P. Berrange),
      Refactor SELinux security driver hostdev labelling (Daniel P. Berrange),
      Allow passing a vroot into security manager hostdev labelling (Daniel P. Berrange),
      Skip bulk relabelling of resources in SELinux driver when used with LXC (Daniel P. Berrange),
      Refactor LXC NIC creation to allow reuse by hotplug code (Daniel P. Berrange),
      Add support for <hostdev mode="capabilities"> (Daniel P. Berrange),
      tests: Add tests for sysinfo (Viktor Mihajlovski),
      conf: cpu: Break some long lines (Peter Krempa),
      conf: cpu: Refactor parsing of vendor_id and fallback attributes (Peter Krempa),
      conf: cpu: Fix memory leak when specifying cpu vendor_id manually (Peter Krempa),
      conf: cpu: Fix parsing of vendor_id (Ken ICHIKAWA),
      Support custom 'svirt_tcg_t' context for TCG based guests (Daniel P. Berrange),
      tests: add one -device video device testcase (Guannan Ren),
      qemu: use newer -device video device in qemu commandline (Guannan Ren),
      conf: add optional attribte primary to video <model> element (Guannan Ren),
      qemu: add qemu vga devices caps and one cap to mark them usable (Guannan Ren)

   -  Cleanups:
      virlog: remove old code comment (Doug Goldstein),
      rpc: Revert Coverity tag message (John Ferlan),
      rpc: Remove unnecessary calls (John Ferlan),
      network: Remove dead code getting, but not using ipdef (John Ferlan),
      esx: No need to check for objectSpec (John Ferlan),
      parallels: Remove unused JSON fetch of "OS" (John Ferlan),
      virsh: Remove unused setting of 'br_node' and 'if_node' (John Ferlan),
      util: Remove the unused setting of 'res' for virHashLookup return (John Ferlan),
      locking: Remove unnecessary setting of lockspace (John Ferlan),
      maint: don't distribute generated .def files (Eric Blake),
      spec: remove redundant %if (Eric Blake),
      libvirt.h.in: Fix indentation (Michal Privoznik),
      Fix wrong indentation for virDomainState (Claudio Bley),
      tests: Remove remnants of removing the fake emulator output (John Ferlan),
      phyp: Remove deadcode referencing exit_status (John Ferlan),
      build: avoid compiler warning (Eric Blake),
      maint: formatting cleanups in buf.c (Eric Blake),
      conf: minor indentation cleanups (Martin Kletzander)



1.0.1: Dec 17 2012:
   -  Features:
      Introduce virtlockd daemon (Daniel P. Berrange),
      parallels: add disk and network device support (Dmitry Guryanov),
      Add virDomainSendProcessSignal API (Daniel P. Berrange),
      Introduce virDomainFSTrim() public API (Michal Privoznik),
      add fuse support for libvirt lxc (Gao feng),
      Add Gluster protocol as supported network disk backend (Harsh Prateek Bora),
      various snapshot improvements (Peter Krempa, Eric Blake)

   -  Documentation:
      fix some typos in examples (Eric Blake),
      Fix location of libvirt.conf and auth.conf (Michał Łomnicki),
      Document offline migration (Jiri Denemark),
      libvirt.c: Fix wording and grammar in virDomainFSTrim (Michal Privoznik),
      Fix a few spaces (Ján Tomko),
      boot order for host and redirected USB devices (Ján Tomko),
      AbortJob: Fix documentation (Michal Privoznik),
      Fix "virsh create" example (Guido Günther)

   -  Portability:
      build: minor build fixes for BSD (Eric Blake),
      Socket identity support for FreeBSD. (Roman Bogorodskiy),
      Require SANLK_INQ_WAIT for inq_lockspace support (Guido Günther),
      locking: Fix VPATH build and distribute generated files (Jiri Denemark),
      build: Fix VPATH build (Jiri Denemark),
      Change virCgroupGetAppRoot stub on non-Linux to avoid unused param warning (Daniel P. Berrange),
      Qemu FreeBSD: fix compilation (Roman Bogorodskiy),
      Drop mntent.h include. (Roman Bogorodskiy),
      virsh: Fix usage of header termios.h (Peter Krempa),
      pci: Fix building of 32bit PCI command array (Peter Krempa),
      spec: require dbus-daemon when using libvirtd in Fedora (Eric Blake),
      systemd: require dbus service (Eric Blake),
      rpc: fix build failure with older dbus (Eric Blake),
      build: fix build --without-network (Ján Tomko),
      build: trivial fix error: implicit declaration of function 'malloc' (Natanael Copa),
      run bootstrap if .gnulib is not present (Hu Tao),
      add ppc64 and s390x to arches where qemu-kvm exists (Dan Horák),
      nodeinfo: port nodecpumap to RHEL5 (Eric Blake),
      spec: don't enable cgconfig under systemd (Eric Blake)

   -  Bug Fixes:
      network: fix (non)update of dnsmasq config during virDomainUpdateDeviceFlags (Laine Stump),
      sanlock: Re-add lockspace unconditionally (Michal Privoznik),
      install: fix virtlockd installation (Eric Blake),
      qemu: don't fail update netdev on bridge detach failure (Laine Stump),
      selinux: fix NULL dereference in GetSecurityMountOptions (Ján Tomko),
      network: prevent dnsmasq from listening on localhost (Laine Stump),
      Fix error reporting when fetching SCSI/LVM keys (Daniel P. Berrange),
      Fix probing of QED file format (Daniel P. Berrange),
      Fix memory leak in QEMU QMP capabilities initialization (Daniel P. Berrange),
      qemu: snapshot: Remove memory image if external checkpoint fails (Peter Krempa),
      qemu: snapshot: Don't leak XML definition if restarting of CPUs fails (Peter Krempa),
      qemu: fix uninitialized variable warning in doPeer2PeerMigrate (Ján Tomko),
      conf: Remove duplicate declaration of virNetworkDNSDefPtr (Jiri Denemark),
      qemu: Restart CPUs with valid async job type when doing external snapshots (Peter Krempa),
      qemu: eliminate bogus error log when changing netdev's bridge (Laine Stump),
      qemu: capabilities: fix machine name/canonical swappage (Cole Robinson),
      Inhibit daemon shutdown during driver initialization (Guido Günther),
      util: Don't fail virGetGroupIDByName when group not found (Christophe Fergeau),
      util: Don't fail virGetUserIDByName when user not found (Christophe Fergeau),
      storage: Error out earlier if the volume target path already exists (Osier Yang),
      remote: Avoid the thread race condition (Daniel P. Berrange),
      qemu: Fix memory (and FD) leak on PCI device detach (Jiri Denemark),
      qemu: Don't free PCI device if adding it to activePciHostdevs fails (Jiri Denemark),
      qemu: Fix error code when attaching existing device (Jiri Denemark),
      Fix memory leak introduced by commit 501bfad1 (Jim Fehlig),
      Shut down session libvirtd cleanly on host shutdown/user logout (Alexander Larsson),
      Inhibit desktop shutdown while any virtual machines are running (Daniel P. Berrange),
      conf: prevent crash with no uuid in cephx auth secret (Ján Tomko),
      virsh: don't crash if shutdown --mode not provided (Eric Blake),
      qemu: Fix up the default machine type for QMP probing (Viktor Mihajlovski),
      Fix uninitialized variables (Guido Günther),
      qemu: don't attempt undefined QMP commands (Eric Blake),
      storage: fix scsi detach regression with cgroup ACLs (Eric Blake),
      nwfilter: report an error on OOM (Ján Tomko),
      virsh: check the return value of virStoragePoolGetAutostart (Ján Tomko),
      conf: fix uninitialized variable in virDomainListSnapshots (Ján Tomko),
      rpc: don't destroy xdr before creating it in virNetMessageEncodeHeader (Ján Tomko),
      virsh: use correct sizeof when allocating cpumap (Ján Tomko),
      util: fix virBitmap allocation in virProcessInfoGetAffinity (Ján Tomko),
      conf: fix NULL check in virNetDevBandwidthParse (Ján Tomko),
      Don't fail hard when we can't connect to the monitor (Guido Günther),
      node_memory: Fix bug of node_memory_tune (Osier Yang),
      node_memory: Do not fail if there is parameter unsupported (Osier Yang),
      network: fix crash when portgroup has no name (Laine Stump),
      maint: Fix use of invalid reboot flags (Michal Privoznik),
      util: check for NULL parameter in virFileWrapperFdCatchError (Ján Tomko),
      conf: snapshot: check return value of virDomainSnapshotObjListNum (Ján Tomko),
      conf: check the return value of virXPathNodeSet (Ján Tomko),
      cgroup: fix impossible overrun in virCgroupAddTaskController (Ján Tomko),
      nwfilter: fix NULL pointer check in virNWFilterSnoopReqNew (Ján Tomko),
      qemu: Fix error messages when dispatching guest agent commands (Peter Krempa),
      qemu: Fix QMP Capabability Probing Failure (Viktor Mihajlovski),
      qemu: Wait for monitor socket even without pid (Viktor Mihajlovski),
      bitmap: fix typo to use UL type of integer constant in virBitmapIsAllSet (Guannan Ren),
      qemu: fix a crash when save file can't be opened (Ján Tomko),
      Fix leak of virNetworkPtr in LXC startup failure path (Daniel P. Berrange),
      Fix error reporting in virNetDevVethDelete (Daniel P. Berrange),
      Ensure transient def is removed if LXC start fails (Daniel P. Berrange),
      Ensure failure to create macvtap device aborts LXC start (Daniel P. Berrange),
      Avoid crash when LXC start fails with no interface target (Daniel P. Berrange),
      Treat missing driver cgroup as fatal in LXC driver (Daniel P. Berrange),
      Ensure LXC container exits if cgroups setup fails (Daniel P. Berrange),
      Fix error handling in virSecurityManagerGetMountOptions (Daniel P. Berrange),
      storage: fix device detach regression with cgroup ACLs (Eric Blake),
      lxc: Don't crash if no security driver is specified in libvirt_lxc (Peter Krempa),
      lxc: Avoid segfault of libvirt_lxc helper on early cleanup paths (Peter Krempa),
      storage: fix logical volume cloning (Ján Tomko),
      Fix exiting of libvirt_lxc program on container quit (Daniel P. Berrange),
      Skip deleted timers when calculting next timeout (Daniel P. Berrange),
      Fix virDiskNameToIndex to actually ignore partition numbers (Daniel P. Berrange),
      qemu: Stop recursive detection of image chains when an image is missing (Peter Krempa),
      storage: Fix bug of fs pool destroying (Osier Yang),
      qemu: fix RBD attach regression (Scott Sullivan),
      qemu: allow larger discrepency between memory & currentMemory in domain xml (Laine Stump),
      sanlock: Retry after EINPROGRESS (Michal Privoznik),
      virsh: fix uninitialized variable in cmdSnapshotEdit (Ján Tomko),
      util: fix index when building lock owners array (Laine Stump),
      Fix uninitialized variable in virLXCControllerSetupDevPTS (Daniel P. Berrange),
      tests: Remove temporary directories in qemumonitorjsontest (Peter Krempa),
      tests: Fix qemumonitorjsontest deadlock when the machine is under load (Peter Krempa),
      qemu: Fix domain ID numbering race condition (Peter Krempa),
      storage: fix broken backing chain (Philipp Hahn),
      qemu: Don't corrupt pointer in qemuDomainSaveMemory() (Peter Krempa),
      esx: Yet another connection fix for 5.1 (Martin Kletzander),
      iohelper: Don't report errors on special FDs (Michal Privoznik),
      qemu: Fix possible race when pausing guest (Peter Krempa),
      conf: net: Fix deadlock if assignment of network def fails (Peter Krempa),
      conf: net: Fix helper for applying new network definition (Peter Krempa)

   -  Improvements:
      spec: Include lockd files in libvirt-daemon package (Jiri Denemark),
      build: Install both qemu-lockd.conf and qemu-sanlock.conf (Jiri Denemark),
      build: use fewer cat processes (Eric Blake),
      build: Distribute more files (Jiri Denemark),
      virsh: use vshReconnect for non-default connections too (Ján Tomko),
      virsh: don't lie about reconnection in vshReconnect (Ján Tomko),
      Add support for locking based on SCSI volume ID (Daniel P. Berrange),
      Add support for locking based on LVM volume uuid (Daniel P. Berrange),
      Add ability to maintain disk leases indirectly (Daniel P. Berrange),
      Add a virtlockd client as a lock driver impl (Daniel P. Berrange),
      Add support for re-exec() of virtlockd upon SIGUSR1 (Daniel P. Berrange),
      Enable systemd socket activation with virtlockd (Daniel P. Berrange),
      Implement dispatch functions for lock protocol in virtlockd (Daniel P. Berrange),
      Define a wire protocol for talking to the virtlockd daemon (Daniel P. Berrange),
      Introduce basic infrastructure for virtlockd daemon (Daniel P. Berrange),
      Refactor creation of lock manager plugins (Daniel P. Berrange),
      Support network boot for HVM guests in libxl (Jim Fehlig),
      Add lots of debugging to storage file probing code (Daniel P. Berrange),
      Log warning if storage magic matches, but version does not (Daniel P. Berrange),
      network: match xml warning message (Eric Blake),
      Fix make check with different object directory (Viktor Mihajlovski),
      qemu: Improve error reporting from qemuDomainManagedSaveRemove (Peter Krempa),
      qemu: Small code cleanups in the managedsave functions (Peter Krempa),
      qemu: Refactor managed save functions to use domain lookup helpers (Peter Krempa),
      qemu: Add a new domain lookup helper and improve the docs (Peter Krempa),
      util: Fix warning message in previous patch (Peter Krempa),
      util: rework error reporting in virGet(User|Group)IDByName (Peter Krempa),
      Refactor virDomainHostdevFind method (Daniel P. Berrange),
      Slightly refactor hostdev parsing / formating (Daniel P. Berrange),
      Remove bogus const return values in storage file APIs (Daniel P. Berrange),
      Add missing export of virStorageFileGetLVMKey & virStorageFileGetSCSIKey (Daniel P. Berrange),
      Fix sorting of libvirt_private.syms and add syntax check rule (Daniel P. Berrange),
      uml: Report error if inotify fails on driver startup (Cole Robinson),
      tools: Only install guests init script if --with-init=script=redhat (Cole Robinson),
      add vnc unix sockets to apparmor policy (Serge Hallyn),
      add security hook for permitting hugetlbfs access (Serge Hallyn),
      maint: mention when HACKING is rebuilt during make (Eric Blake),
      qemu: reuse qemuMigrationIsAllowed when doing save and managedsave (Peter Krempa),
      qemu: snapshot: Report better error message if migration isn't allowed (Peter Krempa),
      qemu: Make qemuMigrationIsAllowed more reusable (Peter Krempa),
      qemu: assume seccomp sandbox is supported since qemu 1.2 (Ján Tomko),
      domain: Keep assigned class_id in domstatus XML (Michal Privoznik),
      network: Create real network status files (Michal Privoznik),
      bandwidth: Create network bandwidth (un)plug functions (Michal Privoznik),
      bandwidth: Create rate update function (Michal Privoznik),
      bandwidth: Create (un)plug functions (Michal Privoznik),
      bandwidth: Create hierarchical shaping classes (Michal Privoznik),
      bandwidth: add new 'floor' attribute (Michal Privoznik),
      bandwidth: Attach sfq to leaf node (Michal Privoznik),
      parallels: handle network adapters of type 'routed' (Dmitry Guryanov),
      parallels: add routed pseudo network (Dmitry Guryanov),
      parallels: parse virtual network properties (Dmitry Guryanov),
      parallels: add network driver (Dmitry Guryanov),
      parallels: move parallelsParseError to parallels_utils.h (Dmitry Guryanov),
      parallels: add support of network interfaces to parallelsDomainDefineXML (Dmitry Guryanov),
      parallels: parse information about network interfaces (Dmitry Guryanov),
      examples: Fix balloon event callback (Jiri Denemark),
      network: put dnsmasq parameters in conf-file instead of command line (Gene Czarcinski),
      network: add support for DHCPv6 (Gene Czarcinski),
      conf: split <forward> parser/clear into separate functions (Laine Stump),
      conf: put data for network <forward> element into its own struct (Laine Stump),
      conf: make virNetworkIpDefClear consistent with other functions (Laine Stump),
      conf: rename some labels and functions in network_conf (Laine Stump),
      network: backend functions for updating network dns host/srv/txt (Laine Stump),
      conf: clear and parse functions for dns host/srv/txt records (Laine Stump),
      conf: rename network dns host/srv/txt arrays (Laine Stump),
      conf: use VIR_(INSERT|DELETE)_ELEMENT in virNetworkUpdate backend (Laine Stump),
      util: add VIR_(APPEND|INSERT|DELETE)_ELEMENT (Laine Stump),
      parallels: add support of removing disks (Dmitry Guryanov),
      parallels: apply config after VM creation (Dmitry Guryanov),
      parallels: add support of disks creation (Dmitry Guryanov),
      parallels: add function parallelsGetDiskBusName (Dmitry Guryanov),
      parallels: split parallelsStorageVolumeDelete function (Dmitry Guryanov),
      parallels: fill volumes capacity parameter (Dmitry Guryanov),
      parallels: add info about volumes (Dmitry Guryanov),
      parallels: fix leaks in parallelsFindVolumes (Dmitry Guryanov),
      parallels: create storage pools by VM list (Dmitry Guryanov),
      parallels: remove unused code from storage driver (Dmitry Guryanov),
      parallels: split parallelsStorageOpen function (Dmitry Guryanov),
      parallels: handle disk devices in parallelsDomainDefineXML (Dmitry Guryanov),
      parallels: add info about hard disk devices (Dmitry Guryanov),
      Add support for offline migration (liguang),
      S390: Assign default model "virtio" for network interfaces (Viktor Mihajlovski),
      virsh: allow metadata preallocation when creating volumes (Ján Tomko),
      storage: allow metadata preallocation when creating qcow2 images (Ján Tomko),
      qemu: Allow the user to specify vendor and product for disk (Osier Yang),
      Convert libxl driver to Xen 4.2 (Jim Fehlig),
      network: prevent a few invalid configuration combinations (Laine Stump),
      network: allow guest to guest IPv6 without gateway definition (Gene Czarcinski),
      util: Do not keep PCI device config file open (Jiri Denemark),
      util: Slightly refactor PCI list functions (Jiri Denemark),
      qemu: Simplify the code (Osier Yang),
      qemu: improve error for failed JSON commands (Eric Blake),
      qemu: nicer error message if live disk snapshot unsupported (Eric Blake),
      implement managedsave in libvirt xen legacy driver (Bamvor Jian Zhang),
      Bind connection close callback APIs to python binding (Daniel P. Berrange),
      Replace polling for active VMs with signalling by drivers (Daniel P. Berrange),
      Only let VM drivers block libvirtd timed shutdown (Daniel P. Berrange),
      Make QEMU perform managed save of all VMs on stop of libvirtd (Daniel P. Berrange),
      build: fix incremental autogen.sh when no AUTHORS is present (Eric Blake),
      Add iSCSI backend storage driver for ESX (Ata E Husain Bohra),
      qemu: support live update of an interface's filter (Laine Stump),
      nwfilter: utility function virNWFilterVarValueEqual (Stefan Berger),
      conf: fix virDomainNetGetActualDirect*() and BridgeName() (Laine Stump),
      virsh: Report errors if arguments of the schedinfo command are incorrect (Peter Krempa),
      logging: more API needing to log flags (Eric Blake),
      s/flags=%u/flags=%x/ in earlier commit (Daniel P. Berrange),
      Allow duration=0 for virsh nodesuspend (Daniel P. Berrange),
      Allow comma separated list of shutdown/reboot modes with virsh (Daniel P. Berrange),
      Introduce APIs for splitting/joining strings (Daniel P. Berrange),
      Add support for shutdown / reboot APIs in LXC driver (Daniel P. Berrange),
      Introduce two new methods for triggering controlled shutdown/reboot (Daniel P. Berrange),
      Move reboot/shutdown flags combination check into QEMU driver (Daniel P. Berrange),
      Add APIs for talking to init via /dev/initctl (Daniel P. Berrange),
      Ensure virDomainShutdownFlags logs flags parameter (Daniel P. Berrange),
      Quote client identity in SASL whitelist log message (Daniel P. Berrange),
      qemu: Refactor error reporting in qemu driver configuration parser (Peter Krempa),
      qemu: Refactor config parameter retrieval (Peter Krempa),
      network: use dnsmasq --bind-dynamic when available (Laine Stump),
      util: new virSocketAddrIsPrivate function (Laine Stump),
      util: capabilities detection for dnsmasq (Laine Stump),
      virsh: do timing even for unusable connections (Ján Tomko),
      Turn some dual-state int parameters into booleans (Daniel P. Berrange),
      Introduce a 'stop' method to virDriverState (Daniel P. Berrange),
      Implement virDomainSendProcessSignal for LXC driver (Daniel P. Berrange),
      Add a 'send-process-signal' command to virsh (Daniel P. Berrange),
      Specify remote protocol for virDomainSendProcessSignal (Daniel P. Berrange),
      Rename misc QEMU structs/enums to use normal naming style (Daniel P. Berrange),
      Replace 'struct qemud_driver *' with virQEMUDriverPtr (Daniel P. Berrange),
      virsh: fix error messages in iface-bridge (Ján Tomko),
      libssh2_session: support DSS keys as well (Ján Tomko),
      virsh: Rewrite cmdDomDisplay (Martin Kletzander),
      virsh: Expose new virDomainFSTrim API (Michal Privoznik),
      qemu: Implement virDomainFSTrim (Michal Privoznik),
      remote: Implement virDomainFSTrim (Michal Privoznik),
      qemu: Add QEMU version computation to QMP probing (Viktor Mihajlovski),
      mount fuse's meminfo file to container's /proc/meminfo (Gao feng),
      make /proc/meminfo isolate with host through fuse (Gao feng),
      add interface virCgroupGetAppRoot (Gao feng),
      add interface virCgroupGetMemSwapUsage (Gao feng),
      Add a configure option for fuse support in LXC driver (Gao feng),
      Alphabetically sort libvirt_daemon.syms (Daniel P. Berrange),
      Change bridge driver to use named initializers with virDriverState (Daniel P. Berrange),
      virdbus: Add virDBusGetSessionBus helper (Alexander Larsson),
      Specify name of target interface with macvlan error (Daniel P. Berrange),
      Store initpid in the domain status XML for LXC (Daniel P. Berrange),
      Pass virSecurityManagerPtr object further down into LXC setup code (Daniel P. Berrange),
      tests: Add tests for gluster protocol based network disks support (Harsh Prateek Bora),
      qemu: Add support for gluster protocol based network storage backend. (Harsh Prateek Bora),
      Refactor ESX storage driver to implement facade pattern (Ata E Husain Bohra),
      Add private data pointer to virStoragePool and virStorageVol (Ata E Husain Bohra),
      cpu: Add Intel Haswell cpu model (Peter Krempa),
      util: Use virReportSystemError for system error in pci.c (Osier Yang),
      virsh: Report error when taking a snapshot with empty --memspec argument (Peter Krempa),
      Warn if requesting update to non-existent timer/handle watch (Daniel P. Berrange),
      qemuhelpdata: Revert my 'fix' (Michal Privoznik),
      conf: Report sensible error for invalid disk name (Martin Kletzander),
      Log an audit message with the LXC init pid (Daniel P. Berrange),
      Use virNetServerRun instead of custom main loop (Daniel P. Berrange),
      storage: Improve virStorageBackendFileSystemStop (Osier Yang),
      tests: update qemuhelptest data (Ján Tomko),
      tests: add boot order for host and redirected USB to qemu argv test (Ján Tomko),
      conf: add support for booting from redirected USB devices (Ján Tomko),
      qemu: graphics support for simultaneous one of each sdl, vnc, spice (Alon Levy),
      qemu: refactor graphics code to not hardcode a single display (Alon Levy),
      snapshot: make cloning of domain definition easier (Eric Blake),
      snapshot: expose location through virsh snapshot-info (Eric Blake),
      snapshot: implement new filter sets (Eric Blake),
      snapshot: add virsh back-compat support for new filters (Eric Blake),
      snapshot: add two more filter sets to API (Eric Blake),
      nodeinfo: support kernels that lack socket information (Eric Blake),
      snapshot: require user to supply external memory file name (Eric Blake),
      virsh: save: report an error if XML file can't be read (Ján Tomko),
      virsh: Use virNodeGetCPUMap if possible (Viktor Mihajlovski),
      python: Use virNodeGetCPUMap where possible (Viktor Mihajlovski),
      qemu, lxc: Change host CPU number detection logic. (Viktor Mihajlovski),
      nodeinfo: enable nodeGetCPUCount for older kernels (Viktor Mihajlovski),
      Use helper functions to format the journal iov array (Miloslav Trmač),
      Add metadata to virLogOutputFunc (Miloslav Trmač),
      Add a metadata parameter to virLog{, V}Message (Miloslav Trmač),
      qemu: add bootindex for usb-host and usb-redir devices (Ján Tomko),
      build: rerun bootstrap if AUTHORS is missing (Eric Blake),
      qemu: Don't force port=0 for SPICE (Michal Privoznik),
      snapshot: qemu: Fix detection of external snapshots when deleting (Peter Krempa),
      nodeinfotest: Add test data from a AMD bulldozer machine. (Peter Krempa),
      nodeinfotest: Add test data for 2 processor host with broken NUMA (Peter Krempa),
      nodeinfo: Add check and workaround to guarantee valid cpu topologies (Peter Krempa),
      qemu: Allow migration to be cancelled at prepare phase (Michal Privoznik),
      capabilities: defaultConsoleTargetType can depend on architecture (Viktor Mihajlovski),
      snapshot: qemu: Add support for external inactive snapshots (Peter Krempa),
      virsh: add snapshot-create-as memspec support (Eric Blake),
      virsh: make ,, escape parsing common (Eric Blake),
      qemu: Emit event if 'cont' fails (Michal Privoznik),
      Introduce new VIR_DOMAIN_EVENT_SUSPENDED_API_ERROR event (Michal Privoznik),
      virsh: document which term is older (Eric Blake),
      tests: Add test for controller order (Michal Privoznik),
      qemu: Add controllers in specified order (Michal Privoznik),
      qemu: Wrap controllers code into dummy loop (Michal Privoznik),
      spec: replace scriptlets with new systemd macros (Václav Pavlín),
      gitignore: ignore more files (liguang),
      snapshot: qemu: Remove restrictions preventing external checkpoints (Peter Krempa),
      snapshot: qemu: Add support for external checkpoints (Peter Krempa),
      snapshot: qemu: Rename qemuDomainSnapshotCreateActive (Peter Krempa),
      snapshot: qemu: Add async job type for snapshots (Peter Krempa),
      snapshot: Add flag to enable creating checkpoints in live state (Peter Krempa),
      qemu: Split out domain memory saving code to allow reuse (Peter Krempa),
      qemu: Clean up snapshot retrieval to use the new helper (Peter Krempa),
      cpu: Add AMD Opteron G5 cpu model (Peter Krempa),
      cpu: Add newly added cpu flags (Peter Krempa),
      snapshot: merge pre-snapshot checks (Eric Blake),
      snapshot: populate new XML info for qemu snapshots (Eric Blake),
      snapshot: improve disk align checking (Eric Blake),
      snapshot: new XML for external system checkpoint (Eric Blake),
      snapshot: simplify OOM checking during parse (Eric Blake),
      Document bracket whitespace rules & add syntax-check rule (Daniel P. Berrange),
      net: Mark network persistent when assigning persistent definition (Peter Krempa),
      net: Add support for changing persistent networks to transient (Peter Krempa),
      net: Re-use checks when creating transient networks (Peter Krempa),
      net: Remove dnsmasq and radvd files also when destroying transient nets (Peter Krempa),
      net: Move creation of dnsmasq hosts file to function starting dnsmasq (Peter Krempa),
      net: Change argument type of virNetworkObjIsDuplicate() (Peter Krempa),
      build: Do not ignore logging.c in sc_prohibit_mkstemp (Jiri Denemark),
      qemu: use default machine type if missing it in qemu command line (Guannan Ren)

   -  Cleanups:
      storage: Remove the redundant white lines (Osier Yang),
      Fix the indention (Osier Yang),
      Do not export symbol virStateActive anymore (Osier Yang),
      maint: Misc whitespace cleanups (Peter Krempa),
      Fix the coding style (Osier Yang),
      Fix indentions (Osier Yang),
      qemu: Remove full stop from error messages (Jiri Denemark),
      build: more fix to avoid C99 for loop (Hu Tao),
      nwfilter: drop dead code (Eric Blake),
      qemu: Drop word "either" from comments for agent monitor functions (Peter Krempa),
      s/qemud/qemu/ in QEMU driver sources (Daniel P. Berrange),
      Remove bogus newline at end of debug log message (Daniel P. Berrange),
      build: avoid C99 for loop (Eric Blake),
      util: Fix the indention (Osier Yang),
      qemu/qemu_command.c: fix indent of label (Alon Levy),
      qemu: Beautify code indent in migration codes (liguang),
      qemu: Fix function header formating of 2 functions (Peter Krempa),
      Remove spurious whitespace between function name & open brackets (Daniel P. Berrange),
      Remove a chunk which should not have been pushed as part of 1.0.0 (Daniel Veillard),
      logging.c: Properly indent and ignore one syntax-check rule (Michal Privoznik)



1.0.0: Nov 2 2012:
   -  Features:
      virNodeGetCPUMap: Define public API. (Viktor Mihajlovski),
      Add systemd journal support (Daniel P. Berrange),
      Add a qemu capabilities cache manager (Daniel P. Berrange),
      USB migration support (Jiri Denemark),
      various improvement and fixes when using QMP QEmu interface
      Support for Xen 4.2 (Jim Fehlig),
      Lot of localization enhancements (Transifex teams)

   -  Documentation:
      net-update docs: s/domain/network/ (Michal Privoznik),
      libvirtd no longer uses abstract namespace (Eric Blake),
      documentation: HTML tag fix (Philipp Hahn),
      virsh: Fix POD syntax (Jiri Denemark),
      Fix installation of internals/*.html (Cole Robinson),
      virsh: clarify behavior of send-key (Cole Robinson),
      maint: fix license on polkit script (Eric Blake),
      Sort out the relationship between <vcpu>, <vcpupin>, and <emulatorpin> (Osier Yang),
      Tweak comments in the policykit rules file (Cole Robinson),
      Various typos and misspellings (Ján Tomko),
      qemu: Fix misleading comment for qemuDomainObjBeginJobWithDriver() (Peter Krempa),
      Correct name of domain/pm/suspend-to-mem in docs (Zeeshan Ali (Khattak)),
      update description about user/group in qemu.conf (Marcelo Cerri),
      Drop useless </p> in drvphyp.html.in (Michal Privoznik),
      fix links in migration.html TOC (Eric Blake),
      Add Maven repository to Java bindings documentation (Wido den Hollander),
      rudimentary phyp documentation (Eric Blake),
      update description about security labels on formatdomain.html (Marcelo Cerri),
      Add note about numeric domain names to manpage (Dave Allan),
      Fix typo in header file comment (Daniel P. Berrange),
      Update how to compile with -Werror (Doug Goldstein),
      node_memory: Improve the docs (Osier Yang)

   -  Portability:
      Don't assume pid_t is the same size as an int (Daniel P. Berrange),
      build: Fix RPM build for non-x86 platforms (Viktor Mihajlovski),
      build: fix linking with systemtap probes (Eric Blake),
      parallels: fix build for some older compilers (Laine Stump),
      Fix build with apparmor (Jiri Denemark),
      build: use correct printf types for uid/gid (Eric Blake),
      spec: Fix multilib issue with systemtap tapsets (Cole Robinson),
      spec: Require newer sanlock on recent distros 2 (Jiri Denemark),
      spec: Add runtime requirement for libssh2 (Peter Krempa),
      spec: Require newer sanlock on recent distros (Jiri Denemark),
      locking: Fix build with sanlock < 2.4 (Jiri Denemark),
      Fix virProcessKillPainfully on Win32 (Daniel P. Berrange),
      Properly parse (unsigned) long long (Guido Günther),
      win32: Pretend that close-on-exec works (Matthias Bolte),
      build: fix VPATH builds (Eric Blake),
      build: avoid journald on rhel 5 (Eric Blake),
      build: fix bitmap conversion when !CPU_ALLOC (Eric Blake),
      Fix compilation of legacy xen driver with Xen 4.2 (Jim Fehlig),
      build: fix detection of netcf linked with libnl1 (Christophe Fergeau)

   -  Bug Fixes:
      qemu: QMP capabilities support starts with 1.2 (Doug Goldstein),
      Linux Containers are not allowed to create device nodes. (Dan Walsh),
      qemu: Fix name comparison in qemuMonitorJSONBlockIoThrottleInfo() (Stefan Hajnoczi),
      qemu: Keep QEMU host drive prefix in BlkIoTune (Stefan Hajnoczi),
      iohelper: fdatasync() at the end (Michal Privoznik),
      conf: Fix private symbols exported by files in conf (Peter Krempa),
      Fix arch detection for qemu-system-i386 with QMP (Daniel P. Berrange),
      build: prefer mkostemp for multi-thread safety (Eric Blake),
      qemu: Fix EmulatorPinInfo without emulatorpin (Martin Kletzander),
      ip6tables rule removal (Gene Czarcinski),
      Create temporary dir for socket (Guido Günther),
      cpu: Fix definition of flag smap (Peter Krempa),
      nodeinfotest: Delete NUL bytes from test data (Peter Krempa),
      qemu: Do not ignore address for USB disks (Vladislav Bogdanov),
      esx: Fix connection to ESX 5.1 (Martin Kletzander),
      build: place attributes in correct location (Eric Blake),
      qemu: Fix domxml-to-native network model conversion (Cole Robinson),
      build: typo fix for qemu cpu affinity (Eric Blake),
      qemu: fix attach/detach of netdevs with matching mac addrs (Laine Stump),
      cpustat: fix regression when cpus are offline (Eric Blake),
      build: fix type-punning bug (Eric Blake),
      network: fix networkValidate check for default portgroup and vlan (Laine Stump),
      Fix detection of Xen sysctl version 9 (Jim Fehlig),
      selinux: Don't fail RestoreAll if file doesn't have a default label (Cole Robinson),
      xml: omit domain name from comment if it contains double hyphen (Ján Tomko),
      Fix disabling of apparmor/selinux security drivers (Christophe Fergeau),
      storage: Don't do wait loops from VolLookupByPath (Cole Robinson),
      qemu: Don't use -enable-nesting with qemu 1.2.0+ (Cole Robinson),
      qemu: Don't blindly assume VNC is supported (Doug Goldstein),
      test: Don't assume VNC is always available (Doug Goldstein),
      virsh: Fix segfault of snapshot-list (Osier Yang),
      qemu: Fix the unused parameter which causes the build failure (Osier Yang),
      daemon: Avoid 'Could not find keytab file' in syslog (Cole Robinson),
      network: don't allow multiple default portgroups (Laine Stump),
      network: always create dnsmasq hosts and addnhosts files, even if empty (Laine Stump),
      network: free/null newDef if network fails to start (Laine Stump),
      blockjob: avoid segv on early error (Eric Blake),
      selinux: relabel tapfd in qemuPhysIfaceConnect (Guannan Ren),
      qemu: Set arch to i686 if qemu-system-i386 is found (Guido Günther),
      qemu: Don't fail without emulatorpin or cpumask (Guido Günther),
      network: Set to NULL after virNetworkDefFree() (Michal Privoznik),
      spec: Fix dependency for lock-sanlock subpackage (Jiri Denemark),
      qemu: Correctly wait for spice to migrate (Michal Privoznik),
      qemu: Clear async job when p2p migration fails early (Jiri Denemark),
      selinux: fix wrong tapfd relablling (Guannan Ren),
      storage: lvm: lvcreate fails with allocation=0, don't do that (Cole Robinson),
      conf: Fix crash with cleanup (Martin Kletzander),
      Avoid straying </cpuset> (Guido Günther),
      conf: fix virDevicePCIAddressEqual args (Laine Stump),
      virsh: block SIGINT while getting BlockJobInfo (Ján Tomko),
      esx: Fix dynamic dispatch for types with more than one level of inheritance (Matthias Bolte),
      qemu: Fix QMP detection of QXL graphics (Jiri Denemark),
      Call curl_global_init from virInitialize to avoid thread-safety issues (Matthias Bolte),
      fix kvm_pv_eoi with kvmclock (Martin Kletzander),
      Fix typo in HAVE_DBUS automake conditional (Alexander Larsson),
      esx: Disable libcurl's use of signals to fix a segfault (Matthias Bolte),
      S390: Buffer too small for large CPU numbers. (Viktor Mihajlovski),
      Correct checking of virStrcpyStatic() return value (Kyle Mestery),
      qemu: Kill processes used for QMP caps probing (Jiri Denemark),
      qemu: Use proper agent entering function when freezing filesystems (Peter Krempa),
      lxc: Correctly report active cgroups (Michal Privoznik),
      build: avoid infinite autogen loop (Eric Blake),
      Avoid bogus I/O event errors when closing the QEMU monitor (Daniel P. Berrange),
      Fix QEMU test with 1.2.0 help output (Daniel P. Berrange),
      network: fix dnsmasq/radvd binding to IPv6 on recent kernels (Benjamin Cama),
      Fix regression starting QEMU instances without query-events (Daniel P. Berrange),
      Fix handling of itanium arch name in QEMU driver (Daniel P. Berrange),
      Fix potential deadlock when agent is closed (Daniel P. Berrange),
      Fix (rare) deadlock in QEMU monitor callbacks (Daniel P. Berrange),
      Don't skip over socket label cleanup (Daniel P. Berrange),
      Don't ignore return value of qemuProcessKill (Daniel P. Berrange),
      Fix deadlock in handling EOF in LXC monitor (Daniel P. Berrange),
      parallels: don't give null pointers to virBitmapEqual (Dmitry Guryanov),
      parallels: fix memory allocation (Dmitry Guryanov),
      qemu: wait for SPICE to migrate (Michal Privoznik),
      Don't use O_TRUNC when opening QEMU logfiles (Daniel P. Berrange),
      Fix start of containers with custom root filesystem (Daniel P. Berrange)

   -  Improvements:
      cpumap: optimize for clients that don't need online count (Eric Blake),
      daemon: Make the default PolicyKit policy auth_admin_keep. (Richard W.M. Jones),
      util: Improve error reporting from absolutePathFromBaseFile helper (Peter Krempa),
      Make non-KVM machines work with QMP probing (Martin Kletzander),
      maint: log xml during volume creation (Eric Blake),
      util: do a better job of matching up pids with their binaries (Laine Stump),
      sanlock: Introduce 'user' and 'group' conf variables (Michal Privoznik),
      qemu: pass -usb and usb hubs earlier, so USB disks with static address are handled properly (Vladislav Bogdanov),
      qemu: Report errors from iohelper (Michal Privoznik),
      util: Re-format literal strings in virXMLEmitWarning (Peter Krempa),
      xml: print uuids in the warning (Ján Tomko),
      blockjob: relabel entire existing chain (Eric Blake),
      blockjob: allow mirroring under SELinux and cgroup (Eric Blake),
      blockjob: allow for existing files in block-copy (Eric Blake),
      blockjob: implement block copy for qemu (Eric Blake),
      blockjob: make block pivot safer (Eric Blake),
      blockjob: support pivot operation on cancel (Eric Blake),
      blockjob: return appropriate event and info (Eric Blake),
      blockjob: react to active block copy (Eric Blake),
      blockjob: add qemu capabilities related to block jobs (Eric Blake),
      build: check for pod errors (Eric Blake),
      build: silence compiler warning about signedness (Eric Blake),
      maint: Sort .gitignore (Peter Krempa),
      virsh: Remove --flags from nodesuspend (Jiri Denemark),
      snapshot: improve snapshot-list error message (Eric Blake),
      maint: ignore unsaved emacs files (Eric Blake),
      daemon: Fix LIBVIRT_DEBUG=1 default output (Cole Robinson),
      virNodeGetCPUMap: Add python binding (Viktor Mihajlovski),
      virNodeGetCPUMap: Implement driver support (Viktor Mihajlovski),
      virNodeGetCPUMap: Implement support function in nodeinfo (Viktor Mihajlovski),
      nodeinfo: improve probing node cpu bitmap (Eric Blake),
      bitmap: add virBitmapCountBits (Eric Blake),
      esx: Update version checks for vSphere 5.1 (Matthias Bolte),
      cpu: Add recently added cpu feature flags. (Peter Krempa),
      qemu: Prohibit chaning affinity of domain process if placement is 'auto' (Osier Yang),
      qemu: Keep the affinity when creating cgroup for emulator thread (Osier Yang),
      qemu: Add helper to prepare cpumap for affinity setting (Osier Yang),
      virNodeGetCPUMap: Implement virsh support. (Viktor Mihajlovski),
      libvirt.h.in: Add new cpumap macro VIR_CPU_USED (Viktor Mihajlovski),
      virNodeGetCPUMap: Implement wire protocol. (Viktor Mihajlovski),
      header: declare node memory parameter handling earlier (Eric Blake),
      header: declare typed parameter handling earlier (Eric Blake),
      build: improve FORTIFY_SOURCE usage (Eric Blake),
      qemu_migration: Transport OVS per-port data during live migration (Kyle Mestery),
      openvswitch: Add utility functions for getting and setting Open vSwitch per-port data (Kyle Mestery),
      qemu_migration: Add hooks to transport network data during migration (Kyle Mestery),
      build: print uids as unsigned (Eric Blake),
      storage: don't shadow global 'wait' declaration (Ján Tomko),
      maint: update to latest gnulib (Eric Blake),
      snapshot: sanity check when reusing file for snapshot (Eric Blake),
      storage: let format probing work on root-squash NFS (Eric Blake),
      migrate: v2: use VIR_DOMAIN_XML_MIGRATABLE when available (Ján Tomko),
      qemu: set seamless migration capability (Michal Privoznik),
      Log parameters passed to virFileMakePath (Cole Robinson),
      Log file name passed to virConfReadFile (Cole Robinson),
      blockjob: properly label disks for qemu block-commit (Eric Blake),
      blockjob: refactor qemu disk chain permission grants (Eric Blake),
      blockjob: implement shallow commit flag in qemu (Eric Blake),
      blockjob: wire up online qemu block-commit (Eric Blake),
      blockjob: manage qemu block-commit monitor command (Eric Blake),
      blockjob: remove unused parameters after previous patch (Eric Blake),
      storage: use cache to walk backing chain (Eric Blake),
      storage: cache backing chain while qemu domain is live (Eric Blake),
      storage: make it easier to find file within chain (Eric Blake),
      storage: remember relative names in backing chain (Eric Blake),
      storage: don't require caller to pre-allocate metadata struct (Eric Blake),
      storage: get entire metadata chain in one call (Eric Blake),
      storage: don't probe non-files (Eric Blake),
      storage: use enum for snapshot driver type (Eric Blake),
      storage: use enum for disk driver type (Eric Blake),
      storage: use enum for default driver type (Eric Blake),
      storage: match RNG to supported driver types (Eric Blake),
      storage: treat 'aio' like 'raw' at parse time (Eric Blake),
      storage: list more file types (Eric Blake),
      Autogenerate AUTHORS (Cole Robinson),
      qemu: Allow migration with host USB devices (Jiri Denemark),
      dist: added cpu/cpu_ppc_data.h to Makefile.am (Viktor Mihajlovski),
      qemu: Always format CPU topology (Jiri Denemark),
      qemu: Add support for HyperV Enlightenment feature "relaxed" (Peter Krempa),
      conf: Add support for HyperV Enlightenment features (Peter Krempa),
      conf: Make tri-state feature options more universal (Peter Krempa),
      qemu: Fixed default machine detection in qemuCapsParseMachineTypesStr (Viktor Mihajlovski),
      qemu: Pin the emulator when only cpuset is specified (Martin Kletzander),
      interface: add virInterfaceGetXMLDesc() in udev (Doug Goldstein),
      Implement CPU model driver for PowerPC (Li Zhang),
      Add one file cpu_ppc_data.h to define CPU data for PPC (Li Zhang),
      selinux: remove unused variables in socket labelling (Guannan Ren),
      storage: lvm: Don't overwrite lvcreate errors (Cole Robinson),
      Make virInitialize thread safe (Daniel P. Berrange),
      Add JSON serialization of virNetServerPtr objects for process re-exec() (Daniel P. Berrange),
      Add JSON serialization of virNetServerClientPtr objects for process re-exec() (Daniel P. Berrange),
      Add JSON serialization of virNetServerServicePtr objects for process re-exec() (Daniel P. Berrange),
      Add JSON serialization of virNetSocketPtr objects for process re-exec() (Daniel P. Berrange),
      Add JSON serialization of virLockSpacePtr objects for process re-exec() (Daniel P. Berrange),
      Introduce an internal API for handling file based lockspaces (Daniel P. Berrange),
      tests: Fix domain-events python test (Martin Kletzander),
      maint: prepare for next release number (Eric Blake),
      conf: add test for boot dev and order (Martin Kletzander),
      selinux: Use raw contexts 2 (Martin Kletzander),
      selinux: add security selinux function to label tapfd (Guannan Ren),
      Add support for SUSPEND_DISK event (Martin Kletzander),
      util: switch virLogEatParams to virLogSource (Ján Tomko),
      node_memory: Add new parameter field to tune the new sysfs knob (Osier Yang),
      qemu: reorganize qemuDomainChangeNet and qemuDomainChangeNetBridge (Laine Stump),
      conf: virDomainDeviceInfoCopy utility function (Laine Stump),
      qemu: Ignore def->cpumask if emulatorpin is specified (Osier Yang),
      conf: Ignore emulatorpin if vcpu placement is auto (Osier Yang),
      qemu: Initialize cpuset for hotplugged vcpu as def->cpuset (Osier Yang),
      qemu: Create or remove cgroup when doing vcpu hotpluging (Osier Yang),
      conf: Initialize the pinning policy for vcpus (Osier Yang),
      conf: Ignore vcpupin for not onlined vcpus when parsing (Osier Yang),
      Only keep one polkit rules file (Cole Robinson),
      daemon: Use $(AM_V_GEN) in a few more places (Cole Robinson),
      spec: Add support for libssh2 transport (Peter Krempa),
      selinux: Use raw contexts (Martin Kletzander),
      conf: Mark missing optional USB devices in domain XML (Jiri Denemark),
      virsh: remove reference to migration in blockcopy (Ján Tomko),
      qemu: Make save/restore with USB devices usable (Jiri Denemark),
      Add MIGRATABLE flag for virDomainGetXMLDesc (Jiri Denemark),
      qemu: Implement startupPolicy for USB passed through devices (Jiri Denemark),
      qemu: Add option to treat missing USB devices as success (Jiri Denemark),
      qemu: Introduce qemuFindHostdevUSBDevice (Jiri Denemark),
      conf: Add support for startupPolicy for USB devices (Jiri Denemark),
      locking: Implement lock failure action in sanlock driver (Jiri Denemark),
      locking: Add support for lock failure action (Jiri Denemark),
      locking: Pass hypervisor driver name when acquiring locks (Jiri Denemark),
      locking: Add const char * parameter to avoid ugly typecasts (Jiri Denemark),
      conf: Add on_lockfailure event configuration (Jiri Denemark),
      conf: Rename life cycle actions to event actions (Jiri Denemark),
      storage: Report UUID/name consistently in driver errors (Cole Robinson),
      Change qemuSetSchedularParameters to use AFFECT_CURRENT (Daniel P. Berrange),
      interface: add udevIfaceIsActive() to udev backend (Doug Goldstein),
      interface: always build all available backends (Doug Goldstein),
      interface: fix netcf based backend naming (Doug Goldstein),
      interface: add udev based backend for virInterface (Doug Goldstein),
      hooks: let virCommand do the error reporting (Eric Blake),
      nodeinfo: Fully convert to new virReportError (Michal Privoznik),
      virsh: add qemu-monitor-command --pretty (Eric Blake),
      security: update user and group parsing in security_dac.c (Marcelo Cerri),
      util: extend virGetUserID and virGetGroupID to support names and IDs (Marcelo Cerri),
      python: keep consistent handling of Python integer conversion (Guannan Ren),
      python: cleanup vcpu related binding APIs (Guannan Ren),
      Check for private symbols presence as well (Michal Privoznik),
      spec: prefer canonical name of util-linux (Eric Blake),
      build: update gnulib for FreeBSD build (Eric Blake),
      security: also parse user/group names instead of just IDs for DAC labels (Marcelo Cerri),
      build: avoid -Wno-format on new-enough gcc (Eric Blake),
      build: fix typo in debug message (Eric Blake),
      hyperv: Fix and improve hypervListAllDomains (Matthias Bolte),
      esx: Fix and improve esxListAllDomains function (Matthias Bolte),
      build: default selinuxfs mount point to /sys/fs/selinux (Daniel J Walsh),
      Add support for detecting capablities using QMP commands (Daniel P. Berrange),
      Ignore error from query-cpu-definitions (Daniel P. Berrange),
      Remove need to pass in a virDomainObjPtr instance to qemuMonitorOpen (Daniel P. Berrange),
      ARMHF: implement /proc/cpuinfo parsing (Chuck Short),
      Automatically enable systemd journal logging (Daniel P. Berrange),
      Refactor qemuCapsParseDeviceStr to work from data tables (Daniel P. Berrange),
      Don't initialize logging twice in libvirtd (Daniel P. Berrange),
      Change logging category parameter into an enum (Daniel P. Berrange),
      Include filename explicitly in logging APIs (Daniel P. Berrange),
      Whitespace cleanup in logging files (Daniel P. Berrange),
      s/int/virLogDestination/ in logging code (Daniel P. Berrange),
      s/long long/size_t/ for file line numbers in logging code (Daniel P. Berrange),
      s/int/virLogPriority/ in logging code (Daniel P. Berrange),
      python: return error if PyObject obj is NULL for unwrapper helper functions (Guannan Ren),
      Pass the "raw" log message to each virLogOutputFunc (Miloslav Trmač),
      Split priority conversion from virLogOutputToSyslog (Miloslav Trmač),
      Move command/event capabilities detection out of QEMU monitor code (Daniel P. Berrange),
      Remove some unused includes in QEMU code (Daniel P. Berrange),
      Add a qemuMonitorGetTargetArch() method for QMP query-target command (Daniel P. Berrange),
      Add a qemuMonitorGetObjectProps() method for QMP device-list-properties command (Daniel P. Berrange),
      Add a qemuMonitorGetObjectTypes() method for QMP qom-list-types command (Daniel P. Berrange),
      Add a qemuMonitorGetEvents() method for QMP query-events command (Daniel P. Berrange),
      Add a qemuMonitorGetCommands() method for QMP query-commands command (Daniel P. Berrange),
      Add a qemuMonitorGetCPUDefinitions method for QMP query-cpu-definitions command (Daniel P. Berrange),
      Add a qemuMonitorGetMachines() method for QMP query-machines command (Daniel P. Berrange),
      Add a qemuMonitorGetVersion() method for QMP query-version command (Daniel P. Berrange),
      Refactor guest init to support qemu-system-i386 binary too (Daniel P. Berrange),
      Make qemuCapsProbeMachineTypes & qemuCapsProbeCPUModels static (Daniel P. Berrange),
      Remove probing of CPU models when launching QEMU guests (Daniel P. Berrange),
      Remove probing of machine types when canonicalizing XML (Daniel P. Berrange),
      Remove probing of flags when launching QEMU guests (Daniel P. Berrange),
      Switch over to use cache for building QEMU capabilities (Daniel P. Berrange),
      Use size_t instead of int for virDomainDefPtr struct (Daniel P. Berrange),
      Move most of qemuProcessKill into virProcessKillPainfully (Daniel P. Berrange),
      Support Xen sysctl version 9 in Xen 4.2 (Jim Fehlig),
      network: backend for virNetworkUpdate of interface list (Laine Stump),
      build: avoid older gcc warning (Eric Blake),
      Simplify some redundant locking while unref'ing objects (Daniel P. Berrange),
      Convert virLXCMonitor to use virObject (Daniel P. Berrange),
      Move virProcess{Kill,Abort,TranslateStatus} into virprocess.{c,h} (Daniel P. Berrange),
      Move virProcessKill into virprocess.{h,c} (Daniel P. Berrange),
      Rename virCommandTranslateStatus to virProcessTranslateStatus (Daniel P. Berrange),
      Rename virPid{Abort,Wait} to virProcess{Abort,Wait} (Daniel P. Berrange),
      Rename virKillProcess to virProcessKill (Daniel P. Berrange),
      qemu: Avoid holding the driver lock in trivial snapshot API's (Peter Krempa),
      storage: Add timeout for iscsi volume's stable path discovery (Osier Yang),
      tests: test previous commit (Eric Blake),
      command: Change virCommandAddEnv so it replaces existing environment variables. (Richard W.M. Jones),
      command: Move environ-adding code to common function virCommandAddEnv. (Richard W.M. Jones)

   -  Cleanups:
      gitignore: Ignore 'tags' (Michal Privoznik),
      build: fix syntax-check tab violation (Eric Blake),
      maint: consistent whitespace after 'if' (Eric Blake),
      Remove a couple duplicates from AUTHORS.in (Cole Robinson),
      qemu: Cleanup the unused 'nodeinfo' (Osier Yang),
      AUTHORS: Remove double entry (Michal Privoznik),
      Doc-fix for PowerPC CPU model driver (Li Zhang),
      Fix typo in previous commit s/lik/like/ (Daniel P. Berrange),
      maint: drop spurious semicolons (Eric Blake),
      Fix tab vs space (Guido Günther),
      private.syms: Drop virKillProcess (Michal Privoznik),
      Remove xenner support (Daniel P. Berrange),
      parallels: remove unneded code from parallelsDoCmdRun (Dmitry Guryanov),
      parallels: remove unused member 'os' from parallelsDomObj (Dmitry Guryanov),
      Remove pointless virLXCProcessMonitorDestroy method (Daniel P. Berrange)



0.10.2: September 24 2012:
   -  Features:
      network: define new API virNetworkUpdate (Laine Stump),
      add support for QEmu sandbox support (Ján Tomko),
      blockjob: add virDomainBlockCommit (Eric Blake),
      node_memory: Define the APIs to get/set memory parameters (Osier Yang),
      list: Define new API virConnectListAllSecrets (Osier Yang),
      list: Define new API virConnectListAllNWFilters (Osier Yang),
      list: Define new API virConnectListAllNodeDevices (Osier Yang),
      parallels: add support of containers to the driver (Dmitry Guryanov),
      list: Define new API virConnectListAllInterfaces (Osier Yang),
      list: Define new API virConnectListAllNetworks (Osier Yang),
      list: Define new API virStoragePoolListAllVolumes (Osier Yang),
      Add PMSUSPENDED life cycle event (Jiri Denemark),
      list: Define new API virStorageListAllStoragePools (Osier Yang),
      Add per-guest S3/S4 state configuration (Martin Kletzander),
      qemu: Support for Block Device IO Limits (Viktor Mihajlovski)

   -  Documentation:
      locking: Remove README file in favor of internals/locking.html (Jiri Denemark),
      fix typo in filesystem docs (Eric Blake),
      include article about libvirt+audit in relatedlinks.html (Marcelo Cerri),
      virsh: Clarify behavior of domain list filtering (Peter Krempa),
      update usb redirection filter infomation on formatdomain.html (Guannan Ren),
      mention another iaas app built on libvirt (Eric Blake),
      page.xsl: fix FAQ link in subdirectories (Ján Tomko),
      hacking.html.in: fix table of contents (Ján Tomko),
      point out git send-email location, be more stern about make check (Laine Stump),
      examples: Fix event detail printing in python test (Jiri Denemark),
      virsh: Improve the document for pool-list (Osier Yang),
      conf: describe security_driver behavior (Martin Kletzander),
      correct dompmwakeup description (Martin Kletzander)

   -  Portability:
      build: fix nodeinfo build on non-Linux platforms (Eric Blake),
      virBitmap: fix build without HAVE_NUMACTL (Ján Tomko),
      build: Fix build failure on non-linux platform (Osier Yang),
      build: fix missing include (Dwight Engen),
      Look in Debian's multiarch libs too (Guido Günther),
      build: don't fail if libnl-3 is not found (Eric Blake),
      build: Fix typo which causes build failure (Osier Yang),
      build: force libnl1 if netcf also used libnl1 (Eric Blake),
      build: fix build on older gcc (Eric Blake),
      Fix location of SELinux mount during RPM builds (Daniel P. Berrange),
      nwfilter: drop use of awk (Eric Blake),
      build: improved handling of <execinfo.h>, BSD <net/if.h> (Eric Blake),
      Define DYNLIB_NAME on OpenBSD (Jasper Lievisse Adriaanse),
      build: avoid test failure when sasl was not compiled in (Eric Blake),
      build: avoid check-symfile on non-Linux (Eric Blake),
      build: require netcf-0.2.2 when installing on Fedora18+ (Laine Stump),
      build: don't fail when xsltproc is missing (Eric Blake),
      build: avoid warnings from gcc 4.2.1 (Eric Blake),
      Remove explicit dependency on ceph RPM (Daniel P. Berrange),
      Pass a correct pointer type to localtime_r(3) (Paul Eggert),
      build: use correct libraries for clock_gettime (Eric Blake),
      Include an extra header needed for OpenBSD (Jasper Lievisse Adriaanse),
      Fix mingw64 build by using intptr_t for int->void* casts (Daniel P. Berrange)

   -  Bug fixes:
      network: don't "refresh" iptables rules on rule-less networks (Laine Stump),
      qemu: Fix failure path in disk hotplug (Jiri Denemark),
      Ensure existing selinux mount is removed before mounting new one in LXC (Daniel P. Berrange),
      Fix crash accessing a NULL URI when looking up auth credentials (Daniel P. Berrange),
      Ensure autogen.sh exists if bootstrap fails (Daniel P. Berrange),
      security: Don't ignore errors when parsing DAC security labels (Peter Krempa),
      qemu: Transition domain to PAUSED after 'stop' command (Michal Privoznik),
      network: fix element size / length in memmove (Laine Stump),
      network: fix incorrect VIR_NETWORK_UPDATE_COMMAND_* values (Laine Stump),
      virsh: Fix resource leaks when editing files (Peter Krempa),
      util: don't print free'd dmidecode path (Eric Blake),
      rpc: Fix name of member in remote_protocol-structs (Peter Krempa),
      qemu: Avoid deadlock on HandleAgentEOF (Michal Privoznik),
      conf: avoid freeing network object with undestroyed mutex (Laine Stump),
      Add missing 'goto error' in QEMU command line building (Daniel P. Berrange),
      Fix initialization of virCommandPtr when creating QEMU argv (Daniel P. Berrange),
      Fix 3 broken test cases which were mistakenly raising errors (Daniel P. Berrange),
      qemu: fix uninitialized variable in qemuParseCommandLine (Ján Tomko),
      security: Fix libvirtd crash possibility (Martin Kletzander),
      snapshot: fix rollback failure in transaction mode (Guannan Ren),
      conf: avoid libvirt crash with empty address guestfwd channel (Alex Jia),
      Wait to receive QMP greeting before sending any monitor commands (Daniel P. Berrange),
      parallels: fix parallelsDomainDefineXML for domains with VNC and autoport (Dmitry Guryanov),
      parallels: fix parallelsDoCmdRun in case of command failure (Dmitry Guryanov),
      Backcompt for console devices in virDomainDeviceInfoIterate (Li Zhang),
      fix bug in qemuSetupCgroupForEmulator (Hu Tao),
      python: Initialize new_params in virDomainSetSchedulerParameters (Federico Simoncelli),
      Don't invoke the auth callback if all credentials were in config file (Daniel P. Berrange),
      Call virResetLastError in all virConnectOpen* functions (Daniel P. Berrange),
      Check against python None type when filling in auth parameters (Daniel P. Berrange),
      Fix crash passing an empty list to python openAuth() API (Daniel P. Berrange),
      Fix unwanted closing of libvirt client connection (Christophe Fergeau),
      Fix RPM spec conditional when %{rhel} is not defined (Daniel P. Berrange),
      events: Fix domain event race on client disconnect (Christophe Fergeau),
      Don't assume use of /sys/fs/cgroup (Daniel P. Berrange),
      remove dnsmasq command line parameter "--filterwin2k" (Gene Czarcinski),
      network: prevent infinite hang if ovs-vswitchd isn't running (Laine Stump),
      qemu: don't pin all the cpus (Martin Kletzander),
      build: use re-entrant functions in virsh (Eric Blake),
      qemu: Do not require auth scheme in graphics events (Jiri Denemark),
      qemu: Fix reboot with guest agent (Jiri Denemark),
      qemu: Don't update graphic definitions on password change failure (Peter Krempa),
      python: don't mask libvirt errors (Eric Blake),
      command: shell-quote when logging commands (Eric Blake),
      qemu: fix remote port searching (Martin Kletzander),
      schemas: Fix wwn pattern (Osier Yang)

   -  Improvements:
      Don't install legacy initscripts at same time as systemd ones (Daniel P. Berrange),
      network: log error for unknown virNetworkUpdate command codes (Laine Stump),
      network: make virNetworkObjUpdate error detection/recovery better (Laine Stump),
      Drop unused return value of virLogOutputFunc (Miloslav Trmač),
      Add <lt;seclabel> to character devices (Richard W.M. Jones),
      Make virSecurityDeviceLabelDefParseXML into generic device <lt;seclabel> parser (Richard W.M. Jones),
      Improve some debugging log messages in LXC mount setup (Daniel P. Berrange),
      network: backend for virNetworkUpdate of portgroups (Laine Stump),
      network: backend for virNetworkUpdate of dhcp range (Laine Stump),
      virsh: new net-update command (Laine Stump),
      tests: Add tests for dump-core option (Martin Kletzander),
      qemu: add support for dump-guest-core option (Martin Kletzander),
      Add support for limiting guest coredump (Martin Kletzander),
      QEMU Tests for reboot-timeout (Martin Kletzander),
      qemu: Add support for reboot-timeout (Martin Kletzander),
      Add support for reboot-timeout (Martin Kletzander),
      simplify xenXMDomainPinVcpu function (liguang),
      Cleanup of domain_conf sentinels (Martin Kletzander),
      qemu: Cleanup boot parameter building (Martin Kletzander),
      virsh: Move daemon to misc since its not a network (Doug Goldstein),
      build: define WITH_INTERFACE for the driver (Doug Goldstein),
      virsh: Rename QEmu to QEMU to match upstream (Doug Goldstein),
      bitmap: fix problems in previous commit (Eric Blake),
      build: avoid non-portable byte-swapping (Eric Blake),
      Fix minor details not only in apic eoi (Martin Kletzander),
      secret: Fix error for private secrets (Martin Kletzander),
      virNetDevBandwidthClear: Improve error handling (Martin Kletzander),
      syntax-check: fix run.in (Martin Kletzander),
      Add a ./run script for running programs from the local directory (Richard W.M. Jones),
      daemon: Fix error message when libvirtd is missing (Richard W.M. Jones),
      gitignore: Ignore .gdb_history file (Richard W.M. Jones),
      Fix the augea test for qemu libvirtd options (Daniel Veillard),
      network: implement backend of virNetworkUpdate(IP_DHCP_HOST) (Laine Stump),
      network: restart radvd/dnsmasq if needed when libvirtd is restarted (Laine Stump),
      network: implement virNetworkUpdate for test_driver (Laine Stump),
      network: implement virNetworkUpdate for bridge_driver (Laine Stump),
      network: reorganize dnsmasq and radvd config file / startup (Laine Stump),
      conf: implement NetworkObj backend of virNetworkUpdate API (Laine Stump),
      network: utility functions for updating network config (Laine Stump),
      network: implement RPC calls for virNetworkUpdate (Laine Stump),
      tests: add qemu-1.2.0 help data (Ján Tomko),
      qemu: add -sandbox to command line if requested (Ján Tomko),
      qemu: conf: add seccomp_sandbox option (Ján Tomko),
      qemu: add capability flag for seccomp sandbox (Ján Tomko),
      qemu: Use disk wwn in qemu command line (Osier Yang),
      qemu: Add caps to indentify if setting wwn is supported by qemu (Osier Yang),
      conf: Parse and format disk <lt;wwn> (Osier Yang),
      schema: Add schema for disk <lt;wwn> (Osier Yang),
      blockjob: add blockcommit support to rpc (Eric Blake),
      blockjob: add virsh blockcommit (Eric Blake),
      conf: separate functions to parse DHCPHostDef and DHCPRangeDef (Laine Stump),
      remove virDomainCpuSetFormat and virDomainCpuSetParse (Hu Tao),
      xen: eliminate remaining uses of virDomainCpuSetParse (Laine Stump),
      use virBitmap to store nodeinfo (Hu Tao),
      use virBitmap to store cells' cpumask info (Hu Tao),
      use virBitmap to store cpumask info (Hu Tao),
      use virBitmap to store numa nodemask info (Hu Tao),
      use virBitmap to store cpu affinity info (Hu Tao),
      use virBitmap to store cpupin info (Hu Tao),
      New functions for virBitmap (Hu Tao),
      bitmap: new member variable and function renaming (Hu Tao),
      Build: Fix typos which cause build failure (Osier Yang),
      node_memory: Expose the APIs to Python bindings (Osier Yang),
      node_memory: Expose the APIs to virsh (Osier Yang),
      node_memory: Support get/set memory parameters for drivers (Osier Yang),
      node_memory: Implement the internal APIs (Osier Yang),
      node_memory: Wire up the RPC protocol (Osier Yang),
      list: Use virConnectListAllSecrets in virsh (Osier Yang),
      list: Expose virConnectListAllSecrets to Python binding (Osier Yang),
      list: Implement listAllSecrets (Osier Yang),
      list: Implement RPC calls for virConnectListAllSecrets (Osier Yang),
      list: Use virConnectListAllNWFilters in virsh (Osier Yang),
      list: Expose virConnectListAllNWFilters to Python binding (Osier Yang),
      list: Implement listAllNWFilters (Osier Yang),
      list: Implement RPC calls for virConnectListAllNWFilters (Osier Yang),
      list: Use virConnectListAllNodeDevices in virsh (Osier Yang),
      virsh: Don't motify the const string (Osier Yang),
      list: Expose virConnectListAllNodeDevices to Python binding (Osier Yang),
      list: Implement listAllNodeDevices (Osier Yang),
      list: Add helpers for listing node devices (Osier Yang),
      list: Implement RPC calls for virConnectListAllNodeDevices (Osier Yang),
      Introduce a API for creating QEMU capabilities for a binary (Daniel P. Berrange),
      Remove upfront check for hmp - just try it cope with failure (Daniel P. Berrange),
      Don't overwrite errors raised by qemuMonitorHMPCommand (Daniel P. Berrange),
      qemu: Add support for EOI with APIC (Martin Kletzander),
      Add support for EOI with APIC (Martin Kletzander),
      Improve virTypedParameterValidateSet (Osier Yang),
      parallels: implement containers creation (Dmitry Guryanov),
      parallels: fix parallelsDomainDefineXML for existing containers (Dmitry Guryanov),
      parallels: handle unlimited cpus on containers (Dmitry Guryanov),
      Fix data types used for list sizes in QEMU capabilities (Daniel P. Berrange),
      Add API for copying instances of the qemuCapsPtr object (Daniel P. Berrange),
      Add ability to store other metadata in the qemu capabilities object (Daniel P. Berrange),
      Make qemuCapsProbeCommand static (Daniel P. Berrange),
      Turn QEMU capabilities object into a full virObjectPtr (Daniel P. Berrange),
      Allow caps to be NULL when creating virDomainObjPtr instances (Daniel P. Berrange),
      Add a virBitmapCopy API (Daniel P. Berrange),
      test: add xml2argvtest for usb-redir filter and update xml schema (Guannan Ren),
      qemu: build USB redirection filter qemu command line (Guannan Ren),
      qemu: define and parse USB redirection filter XML (Guannan Ren),
      virsh: Fix version numbers in comments (Osier Yang),
      qemu: add usb-redir.filter qemu capability flag (Guannan Ren),
      maint: fix missing spaces in message (Eric Blake),
      build: avoid confusing make with raw name 'undefine' (Eric Blake),
      Add API for opening a QEMU monitor from a socket FD (Daniel P. Berrange),
      list: Expose virConnectListAllInterfaces to Python binding (Osier Yang),
      list: Use virConnectListAllInterfaces in virsh (Osier Yang),
      list: Implement listAllInterfaces (Osier Yang),
      list: Implemente RPC calls for virConnectListAllInterfaces (Osier Yang),
      build: avoid dirty docs on fresh bootstrap (Eric Blake),
      Print any exception that occurs in authentication callback (Daniel P. Berrange),
      virsh: Fix the typos (Osier Yang),
      list: Expose virConnectListAllNetworks to Python binding (Osier Yang),
      list: Use virConnectListAllNetworks in virsh (Osier Yang),
      list: Implement listAllNetworks for test driver (Osier Yang),
      list: Implement listAllNetworks for network driver (Osier Yang),
      list: Add helpers to list network objects (Osier Yang),
      list: Implement RPC calls for virConnectListAllNetworks (Osier Yang),
      list: Expose virStoragePoolListAllVolumes to Python binding (Osier Yang),
      list: Use virStoragePoolListAllVolumes in virsh (Osier Yang),
      list: Implement virStoragePoolListAllVolumes for test driver (Osier Yang),
      list: Implement virStoragePoolListAllVolumes for storage driver (Osier Yang),
      list: Implement RPC calls for virStoragePoolListAllVolumes (Osier Yang),
      Introduce a test suite for the JSON monitor (Daniel P. Berrange),
      Add helper library for testing the qemu monitor code (Daniel P. Berrange),
      Add non-null annotations to qemuMonitorOpen (Daniel P. Berrange),
      Fix PMSuspend and PMWakeup events (Jiri Denemark),
      virsh: Update only changed scheduler tunables (Peter Krempa),
      util: Add helper to assign typed params from string (Peter Krempa),
      qemu: Add range checking for scheduler tunables when changed by API (Peter Krempa),
      qemu: clean up qemuSetSchedulerParametersFlags() (Peter Krempa),
      list: fix typo in virsh patch (Eric Blake),
      Remove duplicate symbols and add test case (Daniel P. Berrange),
      python: Expose virStorageListAllStoragePools to python binding (Osier Yang),
      list: Use virConnectListAllStoragePools in virsh (Osier Yang),
      list: Change MATCH for common use in virsh (Osier Yang),
      virsh: Fix the wrong doc for pool-list (Osier Yang),
      list: Add helper to convert strings separated by ',' to array (Osier Yang),
      list: Implement listAllStoragePools for test driver (Osier Yang),
      list: Implement listAllStoragePools for storage driver (Osier Yang),
      list: Implement the RPC calls for virConnectListAllStoragePools (Osier Yang),
      list: Add helpers for listing storage pool objects (Osier Yang),
      esx: Add implementation for virConnectListAllDomains() (Peter Krempa),
      hyperv: Add implementation for virConnectListAllDomains() (Peter Krempa),
      maint: avoid doubled name in syntax check failures (Eric Blake),
      Rename iolimit to blockio (Viktor Mihajlovski),
      tests: Add tests for qemu S3/S4 state configuration (Martin Kletzander),
      qemu: Add support for S3/S4 state configuration (Martin Kletzander),
      conf: Support for Block Device IO Limits (Viktor Mihajlovski),
      virsh: Improve checking for connection when running commands (Peter Krempa),
      util: Update the inconsistent and outdated comments (Osier Yang)

   -  Cleanups:
      Remove redundant lines in src/qemu/qemu_driver.c (Tang Chen),
      Remove a redundant line in src/qemu/qemu_driver.c (Tang Chen),
      maint: fix up copyright notice inconsistencies (Eric Blake),
      build: avoid unused symbol (Eric Blake),
      Adhere to copyright_address check (Guido Günther),
      qemuhelptest: convert runaway tab to spaces (Ján Tomko),
      qemu: drop unused arguments for dump-guest-memory (Eric Blake),
      Build: Fix typos which cause build failure (Osier Yang),
      esx: Remove unused variable from esxDomainGetAutostart (Matthias Bolte),
      build: avoid tabs that failed syntax-check (Eric Blake),
      virsh: remove unneeded usage of vshConnectionUsability() (Peter Krempa)



0.10.1: August 31 2012:
   -  Bug Fixes:
      conf: Avoid formatting auto-generated DAC labels (Marcelo Cerri),
      conf: Fix parsing of seclabels without model (Marcelo Cerri),
      virsh: fixed incorrect timing report (Viktor Mihajlovski),
      qemu: Don't ignore CPU tuning config if required cgroups are missing (Jiri Denemark),
      cgroup: fix libvirtd crash caused by messed memory (Guannan Ren),
      cgroup: fix a typo on extracting data from vcpu cgroup (Guannan Ren),
      cgroup: read more data from cgroup cpuacct.usage_percpu (Guannan Ren),
      nwfilter: adapt IP learning for broadcasted DHCP replies (Stefan Berger),
      nwfilter: accept broadcasted DHCP replies in DHCP snooping code (Stefan Berger),
      Fix adding ports to OVS bridges without VLAN tags (Kyle Mestery),
      Fix xen driver following changes to make it stateful (Jim Fehlig),
      Fix issue of PF brought down if VF is 8021.Qbh and pci passthrough (Nishank Trivedi),
      nwfilter: loop generated too many rules (Stefan Berger),
      security: Re-apply commit ce53382ba28179d3a504b29b4f888b6e130d53f0 (Peter Krempa),
      vcpupin: Fix returning of arrays from virDomainVcpuPinAdd (Peter Krempa),
      qemu: Fix possible infinite loop and segfault on error path. (Peter Krempa),
      qemu: Clean up security driver initialisation and config file (Peter Krempa),
      qemu: Revert to blocking behavior of qemuAgentCommand (Jiri Denemark),
      qemu: Remove redundant parameter from qemuAgentSend (Jiri Denemark),
      network: get vlan info for Open vSwitch interfaces from proper source (Laine Stump),
      Small cleanup on previous patch (Daniel Veillard),
      Fix a crash when using Open vSwitch virtual ports (Kyle Mestery),
      qemu: Sort the numa params only when it affects the live config (Osier Yang),
      Fix configuration of QEMU security drivers (Daniel P. Berrange),
      qemu: Refactor initialisation of security drivers. (Peter Krempa),
      Revert "security: Add DAC to security_drivers" (Peter Krempa),
      qemu: Fix starting domains with no cpu cgroup (Jiri Denemark)

   -  Documentation:
      virsh: Document subdriver option of attach-disk (Jiri Denemark),
      update option force to subcommand change-media (Guannan Ren),
      Fix typo in CPU tuning (Jiri Denemark),
      Fix emulator pinning example in formatdomain.html (Peter Krempa)

   -  Improvement:
      Implement virMacAddrIsBroadcastRaw (Stefan Berger)

   -  Cleanup:
      security: remove dead code from virSecurityDACGenLabel (Alex Jia)



0.10.0: August 29 2012:
   -  Features:
      agent: add qemuAgentArbitraryCommand() for general qemu agent command (MATSUDA Daiki),
      Introduce virDomainPinEmulator and virDomainGetEmulatorPinInfo functions. (Tang Chen),
      network: use firewalld instead of iptables, when available (Thomas Woerner),
      network: make network driver vlan-aware (Laine Stump),
      esx: Implement network driver (Matthias Bolte),
      driver for parallels hypervisor (Dmitry Guryanov),
      Various LXC improvements (Daniel P. Berrange),
      Add virDomainGetHostname (Guido Günther)

   -  Documentation:
      CPU allocation and pinning clarification (Martin Kletzander),
      libssh2_transport: Add docs to remote.html (Peter Krempa),
      Fix some typos in messages, docs and comments. (Yuri Chornoivan),
      fix blockpull/blockcopy bandwidth Mbps -> MiB/s (Stefan Hajnoczi),
      qemu: modify 3 error messages (Martin Kletzander),
      Enhance documentation of log_filters (Jiri Denemark),
      Update libvirtd --help output to match code (Doug Goldstein),
      Update paths in man page to reflect libvirtd code (Doug Goldstein),
      Fix man page file paths to real paths (Doug Goldstein),
      Update documentation for CPU quota/period support for LXC (Sukadev Bhattiprolu),
      docs/virsh: various minor fixes (Martin Kletzander),
      autogenerate search.php (Martin Kletzander),
      fix 404 page when fetched from different location (Martin Kletzander),
      Add method to print warnings in docBuilder class (Peter Krempa),
      maint: avoid regression on copyright listings (Eric Blake),
      maint: Use consistent copyright. (Osier Yang),
      add more description on libvirtd option timeout (Guannan Ren),
      virsh man page - domain-id consistency (Jan Tomko),
      Fixup manpage names and copyright dates (Laine Stump),
      conf: Fix typo in virDomainHostdevSubsys comment (Jiri Denemark),
      maint: spelling correction in AUTHORS (Eric Blake),
      virsh: Clarify that memtune parameters may be rounded in the man page (Jan Tomko),
      Fix time keeping example for the guest clock (Doug Goldstein),
      Desert the FSF address in copyright (Osier Yang),
      Improve patch submission guidelines (Michal Privoznik),
      Clarify direct migration (Jiri Denemark),
      added description of the vendor_id attribute (Hendrik Schwartke),
      virsh: Clarify documentation for virsh dompmsuspend command (Peter Krempa)

   -  Portability:
      Don't require gawk for a simple print expression (Guido Günther),
      Portability fixes for non-linux or old linux platforms (Daniel Veillard),
      build: define 'inline' iff HAVE_LIBNL1 (Michal Privoznik),
      build: work with older libnl1 headers (Eric Blake),
      specfile: require libnl3 for Fedora >= 18 and RHEL >= 7 (Laine Stump),
      build: add LIBNL_CFLAGS to build of libvirt_lxc (Laine Stump),
      Fix a missing build requirement on dbus-devel (Daniel Veillard),
      Fix parameter list in virNetlinkEvent{Add,Remove}Client Win32 stubs (Daniel P. Berrange),
      build: avoid $(builddir) in Makefile (Eric Blake),
      build: network requires location of dbus headers (Eric Blake),
      atomic: mark header functions static (Eric Blake),
      build: work with glibc that lacks CPU_COUNT (Eric Blake),
      build: work with older RHEL 5 kernel (Eric Blake),
      build: silence stupid gcc warning on STREQ_NULLABLE (Eric Blake),
      Fix parsing of uid/gid on Mingw32 (Daniel P. Berrange),
      build: fix build with autoconf 2.59 (Eric Blake),
      Fix build of virsh on Win32 by moving SA_SIGINFO stub (Daniel P. Berrange),
      Make Win32 stub of vshAskReedit non-static (Daniel P. Berrange),
      Fix WIN32 conditional for disabling console command (Daniel P. Berrange),
      build: avoid warnings on older gcc (Eric Blake),
      Fix virJSONValueToString prototype for Mingw32 (Daniel P. Berrange),
      random: link with -lm when needed (Eric Blake),
      build: fix link error with appArmor (Eric Blake),
      virsh.c: Fix compiler warning (Cole Robinson),
      Avoid clash of base64 symbols (Daniel P. Berrange),
      build: fix build without HAVE_CAPNG (Eric Blake),
      Fix libnl CFLAGS/LIBS inclusion (Doug Goldstein),
      build: fix compilation without struct ifreq (Eric Blake),
      configure: rbd doesn't need -lcrypto (Cole Robinson),
      build: fix typo that breaks non-Linux builds (Eric Blake)

   -  BugFixes:
      nwfilter: Don't try to acquire DBus context when DBus is disabled (Peter Krempa),
      util: Prevent libvirtd crash (Alex Jia),
      security_dac: Don't return uninitialised uid and gid for image labels (Peter Krempa),
      security_dac: Don't return uninitialised value when parsing seclabels (Peter Krempa),
      security_dac: Avoid segfault when no label is requested (Peter Krempa),
      util: Fix error message when getpwuid_r fails to find the user (Peter Krempa),
      conf: Fix the problem which cause libvirtd to crash (Osier Yang),
      qemu: Fix define logic (Michal Privoznik),
      qemu_agent: Switch to virReportSystemError() on system error (Michal Privoznik),
      conf: prevent NULL pointer access in virSecurityLabelDefsParseXML (Ján Tomko),
      rpc: fix segmentation fault caused by null client-sock (Guannan Ren),
      qemu: fix regression with spice tls port allocation (Martin Kletzander),
      qemu: fix regression with pinning (Martin Kletzander),
      virsh: fix missing return value (Alex Jia),
      xen-xs: fix uuid of renamed domain (Philipp Hahn),
      openvz: check the exitstatus of vzlist (Laine Stump),
      network: fix virtual network bridge delay setting (Laine Stump),
      qemu: forbid suspend if already pmsuspended (Michal Privoznik),
      fix check of vcpuid in virDomainVcpuPinDefParseXML (Hu Tao),
      util: eliminate erroneous VIR_WARNs in (eb|ip)tables.c (Laine Stump),
      dnsmasq: avoid forwarding queries without a domain (Gene Czarcinski),
      virsh: don't print error info when snapshot xml is not changed (Guannan Ren),
      Fix typo in Makefile.am  s/LDFOAGS/LDFLAGS/ (Daniel P. Berrange),
      client: Change default location of known_hosts file for libssh2 layer (Peter Krempa),
      command: avoid double close in virExecWithHook (Ján Tomko),
      Fix regression generating image context (Daniel P. Berrange),
      selinux: Fix incorrect object label generation. (Viktor Mihajlovski),
      conf: log error when encountering multiple filterrefs in interface (Laine Stump),
      openvz: unlock virDomainObj objects in openvzOpen (Dmitry Guryanov),
      util: typos in fallback code fo virDoubleToStr (Martin Kletzander),
      Fix timebomb in LIBVIRT_VERSION_INFO calculation (Daniel P. Berrange),
      json: fix interface locale dependency (Martin Kletzander),
      virsh: say save-image-edit failed only when it does (Ján Tomko),
      sanlock: don't unlink lockspace if registration fails (Asad Saeed),
      build: Distribute check-symfile.pl (Cole Robinson),
      Release only specific sanlock resource (Frido Roose),
      build: fix binary location in stap files --with-driver-modules (Laine Stump),
      nwfilter: fix crash during filter define when lxc driver failed startup (Laine Stump),
      nwfilter: remove target table before renaming it (Stefan Berger),
      qemu: Fix debug message in p2p migration (Jiri Denemark),
      Fix errno check, prevent spurious errors under heavy load (Peter Feiner),
      rpc: fix a virObject typo error in struct _virNetServer (Guannan Ren),
      Set LIBVIRT_AUTOSTART=0 when running test suites (Daniel P. Berrange),
      qemu: Set reasonable RSS limit on domain startup (Michal Privoznik),
      conf: Remove console stream callback only when freeing console helper (Peter Krempa),
      client: Free message when freeing client (Peter Krempa),
      build: fix "make rpm" (Laine Stump),
      Fix typo s/AM_CLFAGS/AM_CFLAGS/ in sanlock link (Daniel P. Berrange),
      virsh: console: Avoid using stream after being freed. (Peter Krempa),
      remote: Fill snapshot argument in remoteDomainSnapshotListAllChildren (Peter Krempa),
      qemu: Fix typo in qemuDomainModifyDeviceFlags (Michal Privoznik),
      build: commit to 0.10.0 release naming (Eric Blake),
      build: Link security driver into daemon (Jiri Denemark),
      Fix rpm build failures (Daniel Veillard),
      Add missing parallels_utils.h to Makefile.am (Daniel Veillard),
      qemu: syntax fix (Marc-André Lureau),
      qemu: fix use after free (Eric Blake),
      build: distribute virsh related source files (Guannan Ren),
      daemon: Fix crash in virTypedParameterArrayClear (Jiri Denemark),
      conf: Remove callback from stream when freeing entries in console hash (Peter Krempa),
      Process all pending I/O for a RPC client before checking EOF (Daniel P. Berrange),
      libvirt-guests: systemd host shutdown does not work (Gerd v. Egidy),
      virsh: Fix error resetting on fallback paths (Peter Krempa),
      virsh: Check for existence of storage before undefining the domain (Peter Krempa),
      util: Fix typoes on return value and comments (Guannan Ren),
      fixed SegFault in virauth (Martin Kletzander),
      virsh: fixed domdisplay command (Martin Kletzander),
      building: fix deps error when some drivers are not built (Wen Congyang),
      ESX: Fix ESX_VI__TEMPLATE__DYNAMIC_DEEP_COPY (Ata E Husain Bohra),
      tests: avoid seclabeltest crash (Eric Blake),
      Only enforce check for YAJL when starting a VM (Daniel P. Berrange),
      Make the 'lxc_driver' global variable non-static (Gao feng),
      Reset the 'quit' flag in virNetServerRun (Daniel P. Berrange),
      Don't autostart domains when reloading config (Daniel P. Berrange),
      esx: Fix esxVI_String_Deserialize (Matthias Bolte),
      nodeinfo: deal with offline cpus in a node (Eric Blake),
      lxcContainerMountCGroups also mounts a tmpfs that needs to be labeled. (Dan Walsh),
      remote: Fix locking in stream APIs (Jiri Denemark),
      qemu: Do not fail virConnectCompareCPU if host CPU is not known (Jiri Denemark),
      qemu: Fix probing for guest capabilities (Jiri Denemark),
      fix failure when building with --disable-debug (Hu Tao),
      virsh: remove unnecessary sleep for nodecpustats --percent (Viktor Mihajlovski),
      Fix daemon auto-spawning (Christophe Fergeau),
      Fix directory removal in filesystem storage driver (Sascha Peilicke),
      storage: Default pool permission mode to 0755 (Osier Yang),
      Fix shutdown of LXC controller (Daniel P. Berrange),
      openvz: Handle domain obj hash map errors (Guido Günther),
      Fix /domain/features setting in qemuParseCommandLine (Christophe Fergeau),
      systemd: start libvirtd after network (Jim Fehlig),
      util: Use current uid and gid if they are passed as -1 for virDirCreate (Osier Yang),
      virsh: Ensure the parents of the readline history path exists (Osier Yang),
      Fix a string format bug in qemu_cgroup.c (tangchen),
      storage_backend_fs: Allocate entry for host before accessing it (Peter Krempa),
      storage_backend_fs: Don't free a part of a structure on error (Peter Krempa),
      Only ummount /proc, /sys, /dev if the root source is '/' (Daniel P. Berrange),
      Fix one test regression on auth Ceph support (Daniel Veillard),
      Avoid build shared source files again for libvirt_lxc (Daniel P. Berrange),
      qemu: Always set auth_supported for Ceph disks. (Wido den Hollander),
      virsh: Fix ordering of arguments when calling vshCalloc. (Peter Krempa),
      remote: Fill remote parameters in remoteDomainListAllSnapshots() (Peter Krempa),
      qemu: Mark domains as having managed state image only on managed save (Peter Krempa),
      fix key error for qemuMonitorGetBlockStatsInfo (lvroyce)

   -  Improvements:
      Introduce new VIR_ERR_AGENT_UNRESPONSIVE error code (Michal Privoznik),
      qemu: Switch to unified func name (Michal Privoznik),
      snapshot: rename an enum (Eric Blake),
      snapshot: split snapshot conf code into own file (Eric Blake),
      snapshot: make virDomainSnapshotObjList opaque (Eric Blake),
      conf: Don't always require security/@model (Michal Privoznik),
      security: Add DAC to security_drivers (Michal Privoznik),
      nwfilter: don't log error if firewalld is disabled, improve diagnostics (Laine Stump),
      qemu-agent: available in 0.10.0 (Eric Blake),
      agent: add qemu-agent-command to virsh (MATSUDA Daiki),
      agent: add python module support (MATSUDA Daiki),
      agent: add remote driver support (MATSUDA Daiki),
      agent: add qemu driver support (MATSUDA Daiki),
      agent: add virDrvDomainQemuAgentCommand prototype for drivers. (MATSUDA Daiki),
      agent : add @seconds variable to qemuAgentSend(). (MATSUDA Daiki),
      Add uevent netlink service. (Tang Chen),
      Introduce virNetlinkEventServiceStopAll() to stop all netlink services. (Tang Chen),
      Improve netlink to support all protocol. (Tang Chen),
      libssh2_session: Add support for creating known_hosts file (Peter Krempa),
      qemu: support of emulator_period and emulator_quota's modification (Wen Congyang),
      new interface to control emulator_period/emulator_quota (Hu Tao),
      qemu: introduce period/quota tuning for emulator (Hu Tao),
      limit cpu bandwidth only for vcpus (Hu Tao),
      new command emulatorpin (Hu Tao),
      Add a new function vshPrintPinInfo. (Hu Tao),
      remote: introduce emulator pinning RPCs (Tang Chen),
      qemu: support emulator pinning (Hu Tao),
      Introduce virDomainEmulatorPinAdd and virDomainEmulatorPinDel functions (Tang Chen),
      Add qemuProcessSetEmulatorAffinites and set emulator threads affinities (Tang Chen),
      qemu: synchronize emulatorpin info to cgroup (Tang Chen),
      Support emulatorpin xml parse. (Tang Chen),
      Change virDomainVcpuPinDefParseXML to support parsing emulatorpin (Hu Tao),
      Enable cpuset cgroup and synchronous vcpupin info to cgroup. (Hu Tao),
      updates of some vcpupin related functions (Hu Tao),
      refactor virDomainVcpuPinAdd() (Hu Tao),
      add function bitmapFromBytemap() to convert bytemap to bitmap (Hu Tao),
      create a new cgroup and move all emulator threads to the new cgroup (Wen Congyang),
      Introduce the function virCgroupMoveTask (Hu Tao),
      Introduce the function virCgroupForEmulator (Wen Congyang),
      output status information during guest shutdown again (Gerd v. Egidy),
      qemu: Disk Geometry Override Support (J.B. Joret),
      Support for Disk Geometry Override (J.B. Joret),
      nwfilter: provide basic support for firewalld (Stefan Berger),
      sanlock: Provide better error if lockspace directory is missing (Jiri Denemark),
      daemon: Autodetect lock driver directory (Jiri Denemark),
      build: split driver_storage into convenience library (Eric Blake),
      libssh2_transport: Use libssh2 driver code in remote driver (Peter Krempa),
      libssh2_transport: Add libssh2 session support to net client code (Peter Krempa),
      libssh2_transport: add ssh context support to virNetSocket (Peter Krempa),
      libssh2_transport: add main libssh2 transport implementation (Peter Krempa),
      Add test case for SELinux label generation (Daniel P. Berrange),
      Honour current sensitivity and category ranges in SELinux label generation (Daniel P. Berrange),
      qemu: configurable remote display port boundaries (Martin Kletzander),
      qemu: Unify port-wise SPICE and VNC behavior (Martin Kletzander),
      virsh: split out virsh-volume.c (Eric Blake),
      virsh: split out virsh-snapshot.c (Eric Blake),
      virsh: split out virsh-secret.c (Eric Blake),
      virsh: split out virsh-pool.c (Eric Blake),
      virsh: split out virsh-nwfilter.c (Eric Blake),
      virsh: split out virsh-nodedev.c (Eric Blake),
      virsh: split out virsh-network.c (Eric Blake),
      virsh: split out virsh-interface.c (Eric Blake),
      virsh: declare more common functions (Eric Blake),
      virsh: split out virsh-host.c (Eric Blake),
      virsh: split out virsh-domain-monitor.c (Eric Blake),
      Update the remote API (Marcelo Cerri),
      Support for multiple default security drivers in QEMU config (Marcelo Cerri),
      Update security layer to handle many security labels (Marcelo Cerri),
      Multiple security drivers in XML data (Marcelo Cerri),
      Internal refactory of data structures (Marcelo Cerri),
      virsh: use common namespacing (Eric Blake),
      Add support for creating sockets & RPC servers from a pre-opened fd (Daniel P. Berrange),
      Refactor impl of the virNetServerClientNew method (Daniel P. Berrange),
      Refactor the way new clients are registered with the server (Daniel P. Berrange),
      virsh: split out virsh-domain.c (Eric Blake),
      virsh: split out virsh.h (Eric Blake),
      virsh: move vshWatchJob earlier (Eric Blake),
      qemu: support netdevs from <forward mode='hostdev'> networks (Shradha Shah),
      network: support <forward mode='hostdev'> in network driver (Shradha Shah),
      conf: add function virDevicePCIAddressEqual (Shradha Shah),
      network: return netdev name or pci addr of the VF in actualDevice (Shradha Shah),
      conf: parser/formatter/rng for <forward mode='hostdev'> (Shradha Shah),
      network: helper function to create interface pool from PF (Shradha Shah),
      conf: move DevicePCIAddress functions to separate file (Shradha Shah),
      conf: Fix ABI stability check for spicevmc channel (Jiri Denemark),
      network: add support for setting VLANs on Open vSwitch ports (Kyle Mestery),
      qemu: Set swap_hard_limit before hard_limit (Osier Yang),
      build: ship stamp files (Eric Blake),
      qemu: support setting vlan tag for <interface type='hostdev'> (Laine Stump),
      util: properly save/restore original vlan tag for VFs (Laine Stump),
      qemu: Ensure the cpuset is formatted as expected before passing to cgroup (Osier Yang),
      conf: add <vlan> element to network and domain interface elements (Laine Stump),
      util: add virNetDevVlanType (Laine Stump),
      schema: fix some problems in network/interface schemas (Laine Stump),
      util: include memory.h even if WITH_VIRTUALPORT isn't defined (Laine Stump),
      Replace unset REMOTE_PID_FILE with proper value (Doug Goldstein),
      Refactor RPC client private data setup (Daniel P. Berrange),
      Add further debugging lines to domain lock manager (Daniel P. Berrange),
      Allow sync IO and keepalives to be skipped in RPC client setup (Daniel P. Berrange),
      Change interaction when accepting new RPC client connections (Daniel P. Berrange),
      Add APIs for virThreadPoolPtr to query some config params (Daniel P. Berrange),
      Allow control over JSON string pretty printing (Daniel P. Berrange),
      Change function signature for creating new lock manager instances (Daniel P. Berrange),
      parallels: add domain configuration example (Dmitry Guryanov),
      parallels: cleanup parallelsOpen and fix error message (Dmitry Guryanov),
      parallels: change URI to parallels:///system (Dmitry Guryanov),
      virsh: Add helper to avoid the strcase check for virsh-*.c (Osier Yang),
      network: add connections counter to networks (Laine Stump),
      network: change cleanup: to success/cleanup/error: in network*() functions (Laine Stump),
      conf: output forward device connections count in network XML (Laine Stump),
      conf: rename interface "usageCount" to "connections" (Laine Stump),
      conf: use a unique data type for PF array in virDomainNetDef (Laine Stump),
      network: merge relevant virtualports rather than choosing one (Laine Stump),
      conf: support partially-specified <virtualport> in parser and formatter (Laine Stump),
      conf: simplify Buffer Indentation in virDomainNetDefFormat (Laine Stump),
      conf: make error returns from virDomainActualNetDefFormat consistent (Laine Stump),
      conf: move virtPortProfile out of unions in virDomainNetDef (Laine Stump),
      util: utility functions for virNetDevVPortProfile (Laine Stump),
      util: add openvswitch case to virNetDevVPortProfileEqual (Laine Stump),
      util: eliminate union in virNetDevVPortProfile (Laine Stump),
      util: make return value of virUUIDFormat and virMacAddrFormat useful (Laine Stump),
      Pull code which finds a free MCS label out into its own method (Daniel P. Berrange),
      Honour current user and role in SELinux label generation (Daniel P. Berrange),
      Fix error reporting in virSecuritySELinuxGenNewContext (Daniel P. Berrange),
      Use VIR_ERR_CONFIG_UNSUPPORTED if requested security driver is disabled (Daniel P. Berrange),
      Add missing domain_conf.h include in security_manager.h (Daniel P. Berrange),
      Add virRandom() API to generate numbers with non-power-of-2 limit (Daniel P. Berrange),
      virsh: make 'help' command ignore spurious options (Cole Robinson),
      virsh: Convert '<cmd> --help' to 'help <cmd>' (Cole Robinson),
      virterror: Add error message for unsupported operations. (Peter Krempa),
      build: fix PROBE() usage of intptr_t (Eric Blake),
      esx: Remove redundant checks for esxVI_LookupHostSystemProperties result (Matthias Bolte),
      esx: Fix dynamic deep copy (Matthias Bolte),
      esx: Implement interface driver (Matthias Bolte),
      Add APIs for obtaining the unique ID of LVM & SCSI volumes (Daniel P. Berrange),
      examples: Update strings for event details (Jiri Denemark),
      qemu: Migrate at unlimited speed by default (Jiri Denemark),
      qemu: Refactor parsing of block device IO tuning parameters. (Peter Krempa),
      remote: Clean up coding style and refactor remote connection opening (Peter Krempa),
      Allow rbd backing stores (Peter Feiner),
      qemu: add two qemu caps for lsi and virtio-scsi SCSI controllers (Guannan Ren),
      qemu: add capabilities flags related to scsi controller (Guannan Ren),
      util: include stderr in log message when an external command fails (Laine Stump),
      Turn virNetClient* into virObject instances (Daniel P. Berrange),
      Turn virNetServer* into virObject instances (Daniel P. Berrange),
      Turn virSocket into a virObject (Daniel P. Berrange),
      Turn virKeepAlive into a virObject (Daniel P. Berrange),
      Turn virNetSASLContext and virNetSASLSession into virObject instances (Daniel P. Berrange),
      Turn virNetTLSContext and virNetTLSSession into virObject instances (Daniel P. Berrange),
      Turn qemuAgentPtr and qemuMonitorPtr into virObjectPtr instances (Daniel P. Berrange),
      Turn virDomainObjPtr into a virObjectPtr (Daniel P. Berrange),
      Convert public datatypes to inherit from virObject (Daniel P. Berrange),
      Add a generic reference counted virObject type (Daniel P. Berrange),
      apparmor: QEMU bridge helper policy updates (Richa Marwaha),
      Add -netdev bridge support (Richa Marwaha),
      Add -netdev bridge capabilities (Richa Marwaha),
      virrandom: make virRandomInitialize an automatic one-shot (Eric Blake),
      virsh: Use vshPrint instead of printf (Osier Yang),
      xen-xm: Generate UUID if not specified (Jim Fehlig),
      ESX: Add "Byte" datatype (Ata E Husain Bohra),
      parallels: translate error message (Eric Blake),
      Export virUUIDIsValid to libvirt internal code (Daniel P. Berrange),
      qemu: Allow to attach/detach controller device persistently (Osier Yang),
      Added timestamps to storage volumes (Hendrik Schwartke),
      Update xml schemas according to libvirt source (Ján Tomko),
      build: add stubs so mdns code can be unconditionally compiled (Eric Blake),
      virsh: Switch to close callback (Michal Privoznik),
      daemon: Portable auto-detection of driver module directory (Jiri Denemark),
      build: Rename security manager library (Jiri Denemark),
      build: Link security manager into libvirt.so (Jiri Denemark),
      Rewrite virAtomic APIs using GLib's atomic ops code (Daniel P. Berrange),
      Remove manual one-shot global initializers (Daniel P. Berrange),
      qemu: Add support for "none" USB controller (Peter Krempa),
      domain_conf: Add helpers to verify if device configuration is valid (Peter Krempa),
      domain_conf: Add USB controler model "none" (Peter Krempa),
      storage: netfs and iscsi need option srcSpec for resource discovery (Guannan Ren),
      maint: consolidate AUTHOR listings for Gerd von Egidy (Gerd v. Egidy),
      parallels: implement VM creation (Dmitry Guryanov),
      parallels: add storage driver (Dmitry Guryanov),
      parallels: implement virDomainDefineXML operation for existing domains (Dmitry Guryanov),
      parallels: add support of VNC remote display (Dmitry Guryanov),
      parallels: get info about serial ports (Dmitry Guryanov),
      parallels: implement functions for domain life cycle management (Dmitry Guryanov),
      parallels: add functions to list domains and get info (Dmitry Guryanov),
      add function virCommandNewVAList (Dmitry Guryanov),
      parallels: add driver skeleton (Dmitry Guryanov),
      Only perform symbol check against libvirt.so (Daniel P. Berrange),
      Don't link nwfilter or secrets driver to libvirt.so (Daniel P. Berrange),
      Remove bogus libvirt_network.syms file (Daniel P. Berrange),
      build: Don't export xenLinuxDomainBlockStats symbol (Jiri Denemark),
      Improve error message in LXC startup with network is not active (Daniel P. Berrange),
      Remove tabs from all perl files & enforce this (Daniel P. Berrange),
      Add handling for reboots of LXC containers (Daniel P. Berrange),
      Allow CAP_SYS_REBOOT on new enough kernels (Daniel P. Berrange),
      Run an RPC protocol over the LXC controller monitor (Daniel P. Berrange),
      Make RPC code generator a little more flexible (Daniel P. Berrange),
      Move LXC monitor code out into separate file (Daniel P. Berrange),
      Convert the LXC driver to use virNetClient (Daniel P. Berrange),
      Replace use of lxcError with virReportError (Daniel P. Berrange),
      Rename lxc_driver_t to virLXCDriver (Daniel P. Berrange),
      Rename all APIs in lxc_domain.c to have a virLXCDomain prefix (Daniel P. Berrange),
      Rename all APIs in lxc_process.c to have a virLXCProcess prefix (Daniel P. Berrange),
      Extend events demo to show close callbacks in use (Daniel P. Berrange),
      Update remote driver to support the connection close callbacks (Daniel P. Berrange),
      Add callback to virNetClient to be invoked on connection close (Daniel P. Berrange),
      Ensure client is marked for close in all error paths (Daniel P. Berrange),
      Add public API to register a callback to be invoked on connection close (Daniel P. Berrange),
      esx: Improve error reporting for unknown VI types (Matthias Bolte),
      security: Skip labeling resources when seclabel defaults to none (Jiri Denemark),
      lib: Revert removing of Summary and Description fields in headers (Peter Krempa),
      Add a test case that checks there are no bogus entries in .syms (Daniel P. Berrange),
      virsh: Refactor error clearing on graceful fallback paths (Peter Krempa),
      maint: don't permit format strings without % (Eric Blake),
      maint: avoid empty regex in syntax checker (Eric Blake),
      virsh: check if specified debug level is in range (Ján Tomko),
      build: update to latest gnulib, for secure tarball (Eric Blake),
      util: set minimum value of nodesuspend duration to 60 seconds (Guannan Ren),
      virsh: Move command group definition into its own file (Osier Yang),
      virsh: Split cmds in node device group from virsh.c (Osier Yang),
      virsh: Split cmds in host group from virsh.c (Osier Yang),
      virsh: Split cmds to manage domain snapshot from virsh.c (Osier Yang),
      virsh: Split cmds to manage secret from virsh.c (Osier Yang),
      virsh: Split cmds to manage network filter from virsh.c (Osier Yang),
      virsh: Split cmds to manage host interface from virsh.c (Osier Yang),
      virsh: Split cmds to manage network from virsh.c (Osier Yang),
      virsh: Split cmds of storage pool group from virsh.c (Osier Yang),
      virsh: Split cmds of storage volume group from virsh.c (Osier Yang),
      virsh: Split cmds of domain group from virsh.c (Osier Yang),
      virsh: Split cmds for domain monitoring from virsh.c (Osier Yang),
      virsh: Move definition of cmds and cmd groups right at the top of main (Osier Yang),
      daemon: Fix the wrong macro name (Osier Yang),
      More advanced auto-detection of driver module directory (Daniel P. Berrange),
      adding handling EINTR to poll to make it more robust (Royce Lv),
      build: regenerate .png files (Eric Blake),
      Make ESX & Hyper-V code generator safe with parallel builds (Daniel P. Berrange),
      tests: Add support for catching domain XML parsing errors (Peter Krempa),
      maint: Clean up coding style and fix error message spelling (Peter Krempa),
      Fix test failure when no IPv6 is avail (Doug Goldstein),
      vmx: handle shared folders parsing (Jean-Baptiste Rouault),
      vmx: handle shared folders formatting (Jean-Baptiste Rouault),
      openvz: Implement domainGetHostname (Guido Günther),
      openvz: Add openvzVEGetStringParam (Guido Günther),
      remote: Provide RPC call for domainGetHostname (Guido Günther),
      virsh: Add domhostname (Guido Günther),
      Report 'errno' in int1 field of virErrorPtr (Daniel P. Berrange),
      Use a hash table for storing MCS labels (Daniel P. Berrange),
      Fix error handling when adding MCS labels (Daniel P. Berrange),
      Use standard naming prefix for SELinux driver function names (Daniel P. Berrange),
      Disable NWFilter driver completely when unprivileged (Daniel P. Berrange),
      Replace use of custom macros with virReportError in the Xen drivers (Daniel P. Berrange),
      Make sure xenHypervisorInit correctly reports errors (Daniel P. Berrange),
      Ensure failure to talk to Xen hypervisor is fatal when privileged (Daniel P. Berrange),
      Using virOnce for global initialization (Daniel P. Berrange),
      Replace use of VMX_ERROR with virReportError (Daniel P. Berrange),
      Replace use of virNetError with virReportError (Daniel P. Berrange),
      Replace use of virConfError with virReportError (Daniel P. Berrange),
      Replace use of nodeReportError with virReportError (Daniel P. Berrange),
      Replace use of virSecurityReportError with virReportError (Daniel P. Berrange),
      Replace use of PHYP_ERROR with virReportError (Daniel P. Berrange),
      Replace use of HYPERV_ERROR with virReportError (Daniel P. Berrange),
      Replace use of ESX_ERROR & ESX_VI_ERROR with virReportError (Daniel P. Berrange),
      Replace use of virLockError with virReportError (Daniel P. Berrange),
      Replace use of libxlError with virReportError (Daniel P. Berrange),
      Add missing "%s" format string to constant error messages in lock manager (Jiri Denemark),
      Add missing "%s" format string to constant error messages in libxl driver (Jiri Denemark),
      Replace use of streamsReportError with virReportError (Daniel P. Berrange),
      Replace use of remoteError with virReportError (Daniel P. Berrange),
      Replace use of XENXS_ERROR with virReportError (Daniel P. Berrange),
      Replace use of openvzError with virReportError (Daniel P. Berrange),
      Fix Xen driver to have sensible error messages (Daniel P. Berrange),
      Move LXC process management code into separate file (Daniel P. Berrange),
      Move cgroup setup code out of lxc_controller.c (Daniel P. Berrange),
      Move LXC domain private data into separate file (Daniel P. Berrange),
      Replace use of vmwareError with virReportError (Daniel P. Berrange),
      Replace use of virCPUReportError with virReportError (Daniel P. Berrange),
      Replace use of testError with virReportError (Daniel P. Berrange),
      Replace use of vboxError with virReportError (Daniel P. Berrange),
      Replace use of xenapiError with virReportError (Daniel P. Berrange),
      Replace use of qemuReportError with virReportError (Daniel P. Berrange),
      qemu: Add missing "%s" before translation macros (Peter Krempa),
      Replace use of umlReportError with virReportError (Daniel P. Berrange),
      Add lots of internal symbols to libvirt_private.syms (Daniel P. Berrange),
      If in delay close mode for an RPC client, don't read further data (Daniel P. Berrange),
      Add missing deps on driver modules in libvirt RPM (Daniel P. Berrange),
      Replace use of networkReportError with virReportError (Daniel P. Berrange),
      maint: add mailmap entry for Dan Walsh (Eric Blake),
      esx: Extend esxVI_CURL_Download for partial downloads (Matthias Bolte),
      Replace use of interfaceReportError with virReportError (Daniel P. Berrange),
      Replace use of virNWFilterReportError with virReportError (Daniel P. Berrange)i Add missing "%s" with constant string error message in nwfilter_dhcpsnoop.c (Daniel P. Berrange),
      Add a sheepdog backend for the storage driver (Sebastian Wiedenroth),
      Mount all tmpfs filesystems with correct SELinux label (Daniel J Walsh),
      Replace use of virNodeDeviceReportError with virReportError (Daniel P. Berrange),
      Replace use of virSecretReportError with virReportError (Daniel P. Berrange),
      Replace use of virStorageReportError with virReportError (Daniel P. Berrange),
      Add missing "%s" format to const error message in RBD storage driver (Daniel P. Berrange),
      Convert all files in src/conf/ to use virReportError() (Daniel P. Berrange),
      Add missing _(...) around 2 error messages in test driver (Daniel P. Berrange),
      Fix parameter passed with VIR_ERR_INVALID_ARG in sanlock driver (Daniel P. Berrange),
      Convert all files in src/rpc/ to use virReportError() (Daniel P. Berrange),
      Convert (nearly) all files in src/util/ to use virReportError() (Daniel P. Berrange),
      Fix bogus cast to (int) in virNetServerMDNSTimeoutNew (Daniel P. Berrange),
      Add missing "%s" with constant string error message in stats_linux.c (Daniel P. Berrange),
      Remove newline from end of error message in virnodesuspend.c (Daniel P. Berrange),
      Add _(...) around two error messages in src/util/ (Daniel P. Berrange),
      Introduce virReportError macro for general error reporting (Daniel P. Berrange),
      xenapi: Convert to virMacAddr (Jiri Denemark),
      nwfilter: Convert to virMacAddrPtr not virMacAddrPtr* (Michal Privoznik),
      nwfilter: Convert to virMacAddrPtr completely (Michal Privoznik),
      Convert 'raw MAC address' usages to use virMacAddr (Stefan Berger),
      Wire up handling for QMP's BALLOON_EVENT (Daniel P. Berrange),
      Define public API for receiving guest memory balloon events (Daniel P. Berrange),
      ARMHF: CPU Support for armhf. (Chuck Short),
      Support creation of sparse LVM volumes (Daniel P. Berrange),
      Remove all use of virRun in storage code (Daniel P. Berrange),
      test: Add test case for nodeinfotest if host machine doesn't have NUMA (Peter Krempa),
      test: Add new test case for nodeinfotest (Peter Krempa),
      nodeinfo: Fix gathering of nodeinfo data structure (Peter Krempa),
      nodeinfo_test: Enhance test data before changing nodeinfo gathering (Peter Krempa),
      S390: Adding testcases for s390 (Viktor Mihajlovski),
      S390: Domain Schema for s390-virtio machines. (Viktor Mihajlovski),
      S390: Add support for virtio-s390 devices. (Viktor Mihajlovski),
      qemu: Change tests to use (modified) qemuDomainAssignAddresses (Viktor Mihajlovski),
      qemu: Extended qemuDomainAssignAddresses to be callable from everywhere. (Viktor Mihajlovski),
      build: detect all improper uses of _("%s") (Eric Blake),
      maint: update preferred contributor name (Eric Blake),
      storage_conf: Break long line and polish coding style (Peter Krempa),
      esx: Wrap libcurl multi handle (Matthias Bolte),
      Switch to using virNetServer APIs for monitor socket (Daniel P. Berrange),
      Move loop device setup code into virfile.{c,h} (Daniel P. Berrange),
      Move cgroup objects into virLXCControllerPtr (Daniel P. Berrange),
      Move monitor into virLXCControllerPtr (Daniel P. Berrange),
      Move /dev/pts setup out of virLXCControllerRun (Daniel P. Berrange),
      Move security manager into virLXCControllerPtr object (Daniel P. Berrange),
      Move loop device FDs into virLXCControllerPtr object (Daniel P. Berrange),
      Move daemon handshake FD into virLXCControllerPtr (Daniel P. Berrange),
      Make console handling part of virLXCControllerPtr (Daniel P. Berrange),
      Store the init PID in the virLXCController object (Daniel P. Berrange),
      Move veth device management into virLXCControllerPtr object (Daniel P. Berrange),
      Introduce a virLXCControllerPtr object to hold LXC controller state (Daniel P. Berrange),
      Allow RPC server to run single threaded (Daniel P. Berrange),
      Add a opaque parameter to the RPC client init callback (Daniel P. Berrange),
      vmware: detect when a domain was shut down from the inside (Jean-Baptiste Rouault),
      Added the attribute vendor_id to the cpu model (Hendrik Schwartke),
      qemu: add rbd to whitelist of migration-safe formats (Josh Durgin)

   -  Cleanups:
      atomic: fix whitespace in previous patch (Eric Blake),
      virsh: drop unused headers (Eric Blake),
      maint: prohibit translations in testsuite (Eric Blake),
      Fix syntax-check failures wrt virsh (Daniel P. Berrange),
      virsh: kill some double underscores (Eric Blake),
      Fix the indentions of libvirt.h.in (Osier Yang),
      build: fix syntax check during 'make distcheck' (Eric Blake),
      Move some SASL symbols into libvirt_sasl.syms (Daniel P. Berrange),
      Remove unused qemuProcessAutoDestroyRun decl from header (Daniel P. Berrange),
      maint: drop a leftover comment line (Eric Blake),
      Destroy virdomainlist.[ch] (Osier Yang),
      qemu:rename qemuCheckScsiControllerModel function (Guannan Ren),
      Don't check the 'connect' command in virsh-all test (Daniel P. Berrange),
      build: drop conditional use of mdns code (Eric Blake),
      Remove unused uuidstr variable from datatypes.c (Daniel P. Berrange),
      Fix indentions (Osier Yang),
      gitignore: Reorder alphabetically (Michal Privoznik),
      spec: Remove extra () with return statement (Jiri Denemark),
      conf: Remove dead code from virConsoleOpen() (Peter Krempa),
      python: Don't generate bodies for close callback functions (Peter Krempa),
      maint: regenerate bootstrap (Eric Blake),
      Remove accidentally commited virNetClientSetEOFNotify symbol (Daniel P. Berrange),
      Remove two non-existant NWFilter driver symbols from .syms (Daniel P. Berrange),
      tests: reduce length of nodeinfodata test names (Eric Blake),
      rpc: remove trailing whitespace character in error string (Guannan Ren),
      po: avoid spurious double spaces in messages (Eric Blake),
      virsh: remove extra space between function name and opening brace (Guido Günther),
      maint: revert gnulib update, until fixed automake is in more distros (Eric Blake),
      maint: use full author name for previous commit (Eric Blake)



0.9.13: July 2 2012:
   -  Features:
      S390: support for s390(x) (Thang Pham and Viktor Mihajlovski),
      snapshot: implement new APIs for esx and vbox (Eric Blake),
      snapshot: new query APIs and many improvements (Eric Blake),
      virsh: Allow users to reedit rejected XML (Michal Privoznik),
      nwfilter: add DHCP snooping (Stefan Berger),
      Enable driver modules in libvirt RPM (Daniel P. Berrange),
      Default to enable driver modules for libvirtd (Daniel P. Berrange),
      storage backend: Add RBD (RADOS Block Device) support (Wido den Hollander),
      sVirt support for LXC domains inprovement (Daniel P. Berrange and Daniel J Walsh)

   -  Documentation:
      virsh: Cleanup virsh -V output (Doug Goldstein),
      configure: show correct default argument in help (Marc-André Lureau),
      fix typo in virDomainDestroy API doc (Christophe Fergeau),
      virsh: fix few typos on desc command (Martin Kletzander),
      virsh: Update vol-create-as manpage (Michal Privoznik),
      virsh: Tweak attach-* documentation (Michal Privoznik),
      small typo in formatdomain.html (Laine Stump),
      client rpc: Improve debug messages in virNetClientIO (Jiri Denemark),
      minor fixes to domain interface documentation (Laine Stump),
      link to FLOSS Weekly podcast, virt blogs (Eric Blake),
      examples: add consolecallback example python script (Dave Allan),
      Fix typo in comment start (Daniel P. Berrange),
      typo in acceleration element (Martin Kletzander),
      Improve docs about compiling libvirt from GIT (Daniel P. Berrange)

   -  Portability:
      Fix compilation on older sanlock (Daniel Veillard),
      Fix unused parameters / functions in virsh on Win32 (Daniel P. Berrange),
      Update to latest GNULIB to fix compat with Mingw64 toolchain (Daniel P. Berrange),
      winsock2.h must always be included before windows.h (Daniel P. Berrange),
      Switch automated builds to use Mingw64 toolchain instead of Mingw32 (Daniel P. Berrange),
      openvz: Fix wordsize on 64 bit architectures (Guido Günther),
      Fixes for check and rpm builds without sanlock (and qemu) (Martin Kletzander),
      Fix Win32 build by linking to ole32 (Daniel P. Berrange),
      Add impl of APIs to get user directories on Win32 (Daniel P. Berrange),
      fix building error on non fedora system (Wen Congyang),
      Add stub impl of virNetlinkEventServiceLocalPid for Win32 (Daniel P. Berrange),
      Fix build when configuring with polkit0 (Jim Fehlig),
      build: fix virnetlink on glibc 2.11 (Eric Blake),
      Fix build compat with older libselinux for LXC (Daniel P. Berrange),
      build: really silence the 32-bit warning (Eric Blake)

   -  Bug Fixes:
      build: use correct limit for unsigned long long (Eric Blake),
      nwfilter: Fix memory leak (Stefan Berger),
      network_conf: Don't free uninitialized pointers while parsing DNS SRV (Peter Krempa),
      storage: Error out if the target is already mounted for netfs pool (Osier Yang),
      events: Don't fail on registering events for two different domains (Michal Privoznik),
      Don't install systemd service files executable (Guido Günther),
      fix a bug of ref count in virnetserver.c (Hu Tao),
      Fix deadlock on libvirtd shutdown (Jim Fehlig),
      openvz: check pointer size instead of int (Guido Günther),
      domain_conf: fix possible memory leak (Martin Kletzander),
      error: Fix typos in argument checking macros (Peter Krempa),
      LXC: fix incorrect DEBUG info (Gao feng),
      LXC: fix memory leak in lxcContainerSetupExtraMounts (Gao feng),
      LXC: fix memory leak in lxcContainerGetSubtree (Gao feng),
      LXC: fix memory leak in lxcContainerMountFSBlockHelper (Gao feng),
      qemu_agent: Wait for events instead of agent response (Michal Privoznik),
      Fix launch of libvirtd when DHCP snooping support is not available. (Daniel P. Berrange),
      qemu: fix potential dead lock (Wen Congyang),
      virsh: Null terminated the string memcpy from buffer explicitly (Osier Yang),
      qemu: Fix off-by-one error while unescaping monitor strings (Peter Krempa),
      virsh: Don't generate invalid XML in attach-disk command (Peter Krempa),
      client rpc: Fix error checking after poll() (Daniel P. Berrange),
      client rpc: Send keepalive requests from IO event loop (Jiri Denemark),
      Fix typo in RPM specfile (Daniel P. Berrange),
      python: fix snapshot listing bugs (Eric Blake),
      qemu: Don't overwrite security labels (Michal Privoznik),
      rpc: Fix memleak in virNetMessageEncodeHeader (Michal Privoznik),
      Fix privileges on /var/run/libvirt directory (Daniel P. Berrange),
      Only migrate profile in non-privileged libvirtd instance (Daniel P. Berrange),
      snapshot: avoid virsh crash with older servers (Eric Blake),
      LXC: fix memory leak in lxcContainerMountFSBlockAuto (Gao feng),
      LXC: fix incorrect parameter of mount in lxcContainerMountFSBind (Gao feng),
      util: Fix deadlock in virLogReset (Jiri Denemark),
      Assign correct address type to spapr-vlan and spapr-vty. (Li Zhang),
      command: avoid potential deadlock on handshake (Eric Blake),
      qemu: better detection of crashed domains (Martin Kletzander),
      command: avoid deadlock on EPIPE situation (Eric Blake),
      Fix sync issue in virNetClientStreamEventRemoveCallback (Radu Caragea),
      qemu: avoid closing fd more than once (Wen Congyang),
      command: check for fork error before closing fd (Wen Congyang),
      fdstream: avoid double close bug (Eric Blake),
      command: avoid double close bugs (Eric Blake),
      avoid fd leak (Wen Congyang),
      avoid closing uninitialized fd (Wen Congyang),
      lxc: return correct number of CPUs (Martin Kletzander),
      leak_fix.diff (Stefan Berger),
      Fix typos in RPM dependencies (Daniel P. Berrange),
      Remove more bogus systemd service dependencies (Daniel P. Berrange),
      qemu_hotplug: Don't free the PCI device structure after hot-unplug (Peter Krempa),
      Fix potential events deadlock when unref'ing virConnectPtr (Daniel P. Berrange),
      qemu: Don't delete USB device on failed qemuPrepareHostdevUSBDevices (Michal Privoznik),
      nodeinfo: Get the correct CPU number on AMD Magny Cours platform (Osier Yang),
      nodeinfo: avoid probing host filesystem during test (Eric Blake)

   -  Improvements:
      Remove sub-mounts under /dev when starting an LXC container (Daniel P. Berrange),
      Fix vm's outbound traffic control problem (Eiichi Tsukata),
      conf: Don't shadow error from virGetDomain() (Peter Krempa),
      maint: include ignore-value in internal.h (Peter Krempa),
      vbox: Add support for virConnectListAllDomains() (Peter Krempa),
      virsh: Add domdisplay cmd for VNC, SPICE and RDP (Doug Goldstein),
      AUTHORS: Update (Michal Privoznik),
      S390: Added sysinfo for host on s390(x). (Thang Pham),
      S390: Fixed core identification for s390 (Viktor Mihajlovski),
      S390: Fixed Parser for /proc/cpuinfo needs to be adapted for your architecture (Thang Pham),
      S390: Override QEMU_CAPS_NO_ACPI for s390x (Viktor Mihajlovski),
      storage backend rbd: Do not prefix rbd: on volume names. (Wido den Hollander),
      qemu: Improve error if setmem fails for lacking of balloon support (Osier Yang),
      Include the default listen address in the live guest XML (Daniel P. Berrange),
      storage: Introduce --inactive for pool-dumpxml (Michal Privoznik),
      storage: Switch to new def on pool-destroy (Michal Privoznik),
      Support bind mounting host files, as well as directories in LXC (Daniel J Walsh),
      Allow NOCONFIGURE=1 to make autogen.sh skip ./configure (Daniel P. Berrange),
      virsh: Use virXPath wrappers for vncdisplay cmd (Doug Goldstein),
      Add support for shared sanlock leases (Daniel P. Berrange),
      Add support for guest bind mounts with LXC (Daniel P. Berrange),
      Add support for RAM filesystems for LXC (Daniel P. Berrange),
      virsh: Improve error when trying to change vm's cpu count 0 (Peter Krempa),
      qemu: Add xhci support (Gerd Hoffmann),
      virsh: add support for virConnectListAllDomains and clean up cmdList (Peter Krempa),
      virsh: Rename namesorter to vshNameSorter and clean up indentation (Peter Krempa),
      Initialize random generator in lxc controller (Jim Fehlig),
      storage: Set the perms if the pool target already exists for fs pools (Osier Yang),
      snapshot: require existence before returning success (Eric Blake),
      drivers: Implement virListAllDomains for drivers using virDomainObj (Peter Krempa),
      Fix default USB controller for ppc64 (Dipankar Sarma),
      list: add qemu snapshot list support (Eric Blake),
      list: new helper function to collect snapshots (Eric Blake),
      list: provide RPC call for snapshots (Eric Blake),
      list: provide python bindings for snapshots (Eric Blake),
      list: use the new snapshot API in virsh when possible (Eric Blake),
      snapshot: expose new flags in virsh (Eric Blake),
      snapshot: add additional filters when getting lists (Eric Blake),
      virsh: make domiftune interface help string consistent (Martin Kletzander),
      snapshot: merge count and name collection (Eric Blake),
      snapshot: merge domain and snapshot computation (Eric Blake),
      snapshot: use metaroot node to simplify management (Eric Blake),
      conf: Add helper for listing domains on drivers supporting virDomainObj (Peter Krempa),
      conf: Store managed save image existence in virDomainObj (Peter Krempa),
      remote: implement remote protocol for virConnectListAllDomains() (Peter Krempa),
      python: add API exports for virConnectListAllDomains() (Peter Krempa),
      lib: Add public api to enable atomic listing of guest (Peter Krempa),
      Add a custom 404 error page for the website (Daniel P. Berrange),
      qemu_agent: Add some more debug prints (Michal Privoznik),
      snapshot: use new virsh function for snapshot-list (Eric Blake),
      snapshot: new virsh function factored from snapshot-list (Eric Blake),
      autogen: Always abide --system (Cole Robinson),
      Check for errors when parsing bridge interface XML (Jim Fehlig),
      Add more debug logging for libvirtd startup (Daniel P. Berrange),
      schema: Update domain XML schema (Osier Yang),
      virsh: allow the user to specify vmcore's format (Wen Congyang),
      qemu: allow the client to choose the vmcore's format (Wen Congyang),
      qemu: implement qemu's dump-guest-memory (Wen Congyang),
      Always pivot_root event if the new root source is '/' (Daniel P. Berrange),
      Improve error message diagnosing incorrect XML CPU mode (Daniel P. Berrange),
      qemu: Enable disconnecting SPICE clients without changing password (Peter Krempa),
      virsh: Report name from edited object (Michal Privoznik),
      virsh: Honor reedit opts printing to a function (Michal Privoznik),
      network: fully support/use VIR_NETWORK_XML_INACTIVE flag (Laine Stump),
      Add some missing hook functions (Daniel P. Berrange),
      server rpc: Remove APIs for manipulating filters on locked client (Jiri Denemark),
      rpc: Remove unused parameter in virKeepAliveStopInternal (Jiri Denemark),
      rpc: Do not use timer for sending keepalive responses (Jiri Denemark),
      client rpc: Separate call creation from running IO loop (Jiri Denemark),
      rpc: Add APIs for direct triggering of keepalive timer (Jiri Denemark),
      rpc: Refactor keepalive timer code (Jiri Denemark),
      client rpc: Drop unused return value of virNetClientSendNonBlock (Jiri Denemark),
      client rpc: Just queue non-blocking call if another thread has the buck (Jiri Denemark),
      client rpc: Don't drop non-blocking calls (Jiri Denemark),
      client rpc: Use event loop for writing (Jiri Denemark),
      build: fix 'make dist' on virgin checkout (Eric Blake),
      build: silence gettext warning (Eric Blake),
      openvz: wire up domainUpdateDeviceFlags (Guido Günther),
      openvz: add persist parameter to openvzSetDiskQuota (Guido Günther),
      Introduce virDomainFSIndexByName (Guido Günther),
      python: use simpler methods (Eric Blake),
      qemuProcessStop: Switch to flags (Michal Privoznik),
      snapshot: implement new APIs for qemu (Eric Blake),
      snapshot: RPC for new query APIs (Eric Blake),
      snapshot: add 'virsh snapshot-info' (Eric Blake),
      Two RPM conditional fixes for RHEL-7 (Daniel P. Berrange),
      snapshot: virsh indentation cleanup (Eric Blake),
      virsh: make tree listing more flexible (Eric Blake),
      virsh: remove limits on tree listing (Eric Blake),
      buf: support peeking at string contents (Eric Blake),
      Update AUTHORS (Osier Yang),
      LXC: Delete unused variable src in lxcContainerMountBasicFS (Gao feng),
      msg_buf_size is unsigned long not size_t (Guido Günther),
      Only check for cluster fs if we're using a filesystem (Guido Günther),
      snapshot: add virDomainSnapshotRef API (Eric Blake),
      Fix missing ) in 2 strings (Cole Robinson),
      maint: make it easier to copy FORTIFY_SOURCE snippet (Eric Blake),
      build: fix build without i18n (Eric Blake),
      spec: Build against systemd for udev (Cole Robinson),
      build: fix build of fresh checkout (Eric Blake),
      build: ensure storage driver is used (Eric Blake),
      rpc: Size up RPC limits (Michal Privoznik),
      rpc: Switch to dynamically allocated message buffer (Michal Privoznik),
      build: fix 'make distcheck' issues (Eric Blake),
      tests: Refresh qemu-1.1.0 data (Jiri Denemark),
      virsh: Back out if the argument for vol-create-as is malformed (Osier Yang),
      virsh: Accept UUID as an argument for net-info and net-start (Osier Yang),
      virsh: Accept UUID as an argument for storage commands (Osier Yang),
      Fix for parallel port passthrough for QEMU (Beat Jörg),
      util: fix "make rpm" when viratomic.h is used (Laine Stump),
      build: allow building with newer glibc-headers and -O0 (Eric Blake),
      fix make syntax-check failed (Wen Congyang),
      build: fix sc_prohibit_readlink (Eric Blake),
      file: Log closing filedescriptors (Jiri Denemark),
      command: Fix debug message during handshake (Jiri Denemark),
      virsh: Switch from generated cmd*Edit commands to nongenerated (Michal Privoznik),
      nwfilter: Add multiple IP address support to DHCP snooping (Stefan Berger),
      nwfilter: move code for IP address map into separate file (Stefan Berger),
      qemu: move -name arg to be 1st in "ps x" output (Marti Raudsepp),
      qemu: fix netdev alias name assignment wrt type='hostdev' (Laine Stump),
      tools: make virt-pki-validate work with acls and xattrs (Martin Kletzander),
      build: include augeas-gentest.pl into dist file (Wen Congyang),
      build: use same perl binary throughout build (Eric Blake),
      build: fix testing of augeas files in VPATH builds (Eric Blake),
      build: silence warning from autoconf (Eric Blake),
      virCommand: Extend debug message for handshake (Michal Privoznik),
      build: Fixed generating of libvirt_qemu_probes.h (Martin Kletzander),
      build: don't lose probes.o files (Eric Blake),
      build: fix missing dependencies for libvirt-qemu.so (Eric Blake),
      build: don't clean a file that belongs in the tarball (Eric Blake),
      virsh: avoid strncpy (Eric Blake),
      build: update to latest gnulib (Eric Blake),
      Introduce virMacAddr typedef (Stefan Berger),
      Santize the reporting of VIR_ERR_INVALID_ERROR (Daniel P. Berrange),
      build: silence libtool during tests (Eric Blake),
      Fix linking to DTrace probes file (Daniel P. Berrange),
      Autogenerate augeas test case from default config files (Daniel P. Berrange),
      Re-order config options in qemu driver augeas lens (Daniel P. Berrange),
      Fix mistakes in augeas lens (Daniel P. Berrange),
      Standardize whitespace used in example config files (Daniel P. Berrange),
      Remove uid param from directory lookup APIs (Daniel P. Berrange),
      Fix check for socket existence / daemon spawn (Daniel P. Berrange),
      Remove last usage of PATH_MAX and ban its future use (Daniel P. Berrange),
      maint: avoid new automake warning about AM_PROG_CC_STDC (Jim Meyering),
      build: silence libtool warning on probes.o (Eric Blake),
      tests: run valgrind on real executables, not libtool wrappers (Eric Blake),
      qemu augeas: Add spice_tls/spice_tls_x509_cert_dir (Douglas Schilling Landgraf),
      tests: back to short test names (Eric Blake),
      maint: ignore more files from version control (Eric Blake),
      Add sentinel for virErrorDomain enum (Daniel P. Berrange),
      Add parsing for VIR_ENUM_IMPL & VIR_ENUM_DECL in apibuild.py (Daniel P. Berrange),
      security: Switch to C99-style struct initialization (Michal Privoznik),
      Add test case for loading driver modules (Daniel P. Berrange),
      Override default driver dir when running from GIT (Daniel P. Berrange),
      Split QEMU dtrace probes into separate file (Daniel P. Berrange),
      Replace RTLD_LOCAL with RTLD_GLOBAL (Daniel P. Berrange),
      Ensure LXC driver links against libblkid explicitly. (Daniel P. Berrange),
      Remove libvirt_test.la library (Daniel P. Berrange),
      Fix broken linkage of libvirt_driver_nodedev.la (Daniel P. Berrange),
      Only build server side drivers as modules (Daniel P. Berrange),
      Fix dep from libvirt-lock-sanlock RPM (Daniel P. Berrange),
      openvz: add quota argument when creating container (Guido Günther),
      openvz: support file system quota reporting (Guido Günther),
      Introduce filesystem limits to virDomainFSDef (Guido Günther),
      Introduce virDomainParseScaledValue (Guido Günther),
      util: export virBufferTrim (Laine Stump),
      virBuffer: add way to trim back extra text (Eric Blake),
      build: fix unused variable after last patch (Eric Blake),
      nwfilter: Add support for ipset (Stefan Berger),
      Adds support to param 'vcpu_time' in qemu_driver. (Hu Tao),
      Add a new param 'vcpu_time' to virDomainGetCPUStats (Hu Tao),
      tests: add ich6 codec type test to qemuxml2argv-sound-device (Marc-André Lureau),
      qemu: honour sound <codec> sub-elements (Marc-André Lureau),
      domain: add <codec> sound sub-element (Marc-André Lureau),
      qemu: test CAPS_HDA_MICRO (Marc-André Lureau),
      nodeinfo: test more details (Eric Blake),
      Add a virLogMessage alternative taking va_list args (Daniel P. Berrange),
      build: fix recent syntax-check breakage (Eric Blake),
      qemu: Rollback on used USB devices (Michal Privoznik),
      Reject any non-option command line arguments (Daniel P. Berrange),
      Remount cgroups controllers after setting up new /sys in LXC (Daniel P. Berrange),
      Trim /proc & /sys subtrees before mounting new instances (Daniel P. Berrange),
      Avoid LXC pivot root in the root source is still / (Daniel P. Berrange),
      Mount fresh instance of sysfs/selinux in LXC (Daniel P. Berrange),
      Convert the LXC driver to use the security driver API for mount options (Daniel Walsh),
      Add security driver APIs for getting mount options (Daniel Walsh),
      Add support for LXC specific SELinux configuration (Daniel Walsh),
      Use private data struct in SELinux driver (Daniel Walsh),
      Don't enable the AppArmour security driver with LXC (Daniel Walsh),
      Pass the virt driver name into security drivers (Daniel Walsh),
      Remove bogus udev.target dep from libvirtd unit (Daniel P. Berrange),
      qemu: Add support for -no-user-config (Jiri Denemark),
      Set a sensible default master start port for ehci companion controllers (Daniel P. Berrange),
      Fix logic for assigning PCI addresses to USB2 companion controllers (Daniel P. Berrange),
      Fix virDomainDeviceInfoIsSet() to check all struct fields (Daniel P. Berrange),
      Remove redundant trailing slash in user dir paths (Daniel P. Berrange),
      Allow stack traces to be included with log messages (Daniel P. Berrange),
      Move user libvirtd socket out of abstract namespace (Daniel P. Berrange),
      Add openvz_util.c to POTFILES (Daniel P. Berrange),
      Add bundled(gnulib) to RPM specfile (Daniel P. Berrange),
      openvz: determine kb/pages only once (Guido Günther),
      libvirt-guests: Remove LISTFILE if it's empty when stopping service (Osier Yang),
      qemu: Set memory policy using cgroup if placement is auto (Osier Yang),
      qemu: Use the CPU index in capabilities to map NUMA node to cpu list. (Osier Yang),
      Assign spapr-vio bus address to ibmvscsi controller (Li Zhang),
      sanlock: fix locking for readonly devices (David Weber),
      nodeinfo: add some more tests (Eric Blake),
      nodeinfo: drop static variable (Eric Blake),
      maint: fix AUTHORS (Eric Blake),
      Use XDG Base Directories instead of storing in home directory (William Jon McCann)

   -  Cleanups:
      Remove accidentally added Patch: lines from mingw-libvirt.spec.in (Daniel P. Berrange),
      Add /tools/libvirt-guests.service to .gitignore (Guido Günther),
      sanlock: Properly indent (Michal Privoznik),
      Remove stray debug fprintf in XML parser (Daniel P. Berrange),
      util: Fix the indention (Osier Yang),
      LXC: avoid useless duplicate memory free (Gao feng),
      driver: Clean up driver header to space indentation (Peter Krempa),
      build: fix whitespace damage (Eric Blake),
      build: hoist qemu dependence on yajl to configure (Eric Blake),
      maint: command.c whitespace cleanups (Eric Blake),
      Revert "rpc: Discard non-blocking calls only when necessary" (Jiri Denemark



0.9.12: May 14 2012:
   -  Features:
      qemu: allow snapshotting of sheepdog and rbd disks (Josh Durgin),
      blockjob: add new APIs (Eric Blake)

   -  Documentation:
      mention migration issue of which credentials are used (Eric Blake),
      Add 'maintenance releases' link in 'News' sidebar (Cole Robinson),
      Added Snooze cloud manager to the IaaS section (Eugen Feller),
      python: Fix doc directory name for stable releases (Cole Robinson),
      virsh: Fix and clarify the --title flag for the list command in man page (Peter Krempa),
      Improve the schema for fs device (Osier Yang),
      openvz: Correct the comments for new node APIs (Osier Yang),
      fix 'omitted' typo in <cputune> doc (Christophe Fergeau),
      add missing <span> in <vcpu placement> doc (Christophe Fergeau),
      fix path to openvz network configuration file (Guido Günther),
      Fix comment about GNUTLS initialization/cleanup (Daniel P. Berrange),
      fix typo in previous patch (Eric Blake),
      news.html.in: Fix <br> void tag (Michal Privoznik)

   -  Portability:
      qemu: fix build when !HAVE_NUMACTL (Eric Blake),
      netlink: Fix build with libnl-3 (Jiri Denemark),
      build: avoid link failure on Windows (Eric Blake),
      qemu: avoid 32-bit compiler warning (Eric Blake),
      build: fix build on cygwin (Eric Blake),
      storage: fix build with iscsi (Eric Blake),
      build: fix bootstrap on RHEL (Eric Blake),
      win32: Properly handle TlsGetValue returning NULL (Matthias Bolte),
      build: avoid type-punning in vbox (Eric Blake),
      build: fix fresh checkout on RHEL5 (Eric Blake),
      fix dependencies on DBus (Daniel P. Berrange),
      tests: Fix libvirtdconftest in VPATH build (Jiri Denemark),
      build: avoid s390 compiler warnings (Eric Blake),
      Fix compilation error on 32bit (Stefan Berger),
      test: fix build errors with gcc 4.7.0 and -O0 (Laine Stump),
      Pull in GNULIB regex module for benefit of test suite on Win32 (Daniel P. Berrange),
      Fix format specifiers in test cases on Win32 (Daniel P. Berrange)

   -  Bug Fixes:
      esx: Fix memory leaks in error paths related to transferred ownership (Matthias Bolte),
      qemu: Don't skip detection of virtual cpu's on non KVM targets (Peter Krempa),
      qemu: Re-detect virtual cpu threads after cpu hot (un)plug. (Peter Krempa),
      build: fix stamp file name (Eric Blake),
      usb: fix crash when failing to attach a second usb device (Guannan Ren),
      build: Fix the typo in configure.ac (Osier Yang),
      conf: Fix memory leaks in virStoragePoolDefParseSource (Alex Jia),
      Report error when parsing character device target type (Jim Fehlig),
      snapshot: allow block devices past cgroup (Eric Blake),
      domain_conf: add "default" to list of valid spice channels (Alon Levy),
      domain_conf: add "usbredir" to list of valid spice channels (Alon Levy),
      virsh: avoid heap corruption leading to virsh abort (Jim Meyering),
      util: fix libvirtd startup failure due to netlink error (Laine Stump),
      qemu: call usb search function for hostdev initialization and hotplug (Guannan Ren),
      qemu: Emit compatible XML when migrating a domain (Jiri Denemark),
      qemu: don't modify domain on failed blockiotune (Eric Blake),
      node_device: fix possible non-terminated string (Stefan Berger),
      uuid: fix possible non-terminated string (Stefan Berger),
      tests: fix resource leak (Stefan Berger),
      qemu: fix resource leak (Stefan Berger),
      vmx: fix resource leak (Stefan Berger),
      Coverity: Fix resource leak in virnetlink.c (Osier Yang),
      Coverity: Fix resource leak in nodeinfo.c (Osier Yang),
      Coverity: Fix resource leak in test driver (Osier Yang),
      Coverity: Fix resource leak in xen driver (Osier Yang),
      Coverity: Fix resource leaks in phyp driver (Osier Yang),
      Coverity: Fix the forward_null error in Python binding codes (Osier Yang),
      Correct indent errors in the function qemuDomainNetsRestart (Li Zhang),
      Make lxcContainerSetStdio the last thing to be called in container startup (Daniel P. Berrange),
      maint: avoid false positives on unmarked diagnostics (Eric Blake),
      util: Avoid libvirtd crash in virNetDevTapCreate (Alex Jia),
      storage: Break out the loop if duplicate pool is found (Osier Yang),
      qemu: Make sure qemu can access its directory in hugetlbfs (Jiri Denemark),
      More coverity findings addressed (Stefan Berger),
      blockjob: fix block-stream bandwidth race (Eric Blake),
      lxc: Fix coverity findings (Stefan Berger),
      Serialize running apibuild.py (Cole Robinson),
      macvtap: fix a typo (Stefan Berger),
      nwfilter: address more coverity findings (Stefan Berger),
      nwfilter: address coverity findings (Stefan Berger),
      util: fix error messages in virNetlinkEventServiceStart (Laine Stump),
      qemu: Avoid bogus error at the end of tunnelled migration (Jiri Denemark),
      qemu: Fix detection of failed migration (Jiri Denemark),
      rpc: Discard non-blocking calls only when necessary (Jiri Denemark),
      qemu: Preserve original error during migration (Jiri Denemark),
      util: fix crash when starting macvtap interfaces (Laine Stump),
      fix memleak in linuxParseCPUmap (Hu Tao),
      vbox: Fix passing an empty IMedium* array to IMachine::Delete (Matthias Bolte),
      esx: Fix segfault in esxConnectToHost (Ryan Woodsmall),
      virnetserver: handle sigaction correctly (Eric Blake),
      virsh: avoid uninitialized memory usage (Eric Blake),
      nwfilter: Fix support for trusted DHCP servers (Stefan Berger),
      Fix a memory leak (Stefan Berger),
      Do not enforce source type of console[0] (Jan Kiszka),
      storage: lvm: use correct lv* command parameters (Cole Robinson),
      Fix macvtap detection by also checking for IFLA_VF_MAX (Guido Günther),
      conf: Avoid double assignment in virDomainDiskRemove (Michal Privoznik),
      qemu: Fix mem leak in qemuProcessInitCpuAffinity (Michal Privoznik),
      qemu,util: fix netlink callback registration for migration (D. Herrendoerfer),
      qemuOpenFile: Don't force chown on NFS (Michal Privoznik),
      daemon: Plug memory leaks (Alex Jia),
      blockjob: allow for fast-finishing job (Eric Blake),
      qemu: Fix deadlock when qemuDomainOpenConsole cleans up a connection (Peter Krempa),
      snapshot: fix memory leak on error (Eric Blake),
      qemu_ga: Don't overwrite errors on FSThaw (Michal Privoznik),
      xen config: No vfb in HVM guest configuration (Stefan Bader),
      virURIParse: don't forget to copy the user part (Guido Günther),
      test: fix segfault in networkxml2argvtest (Laine Stump),
      conf: Plug memory leaks on virDomainDiskDefParseXML (Alex Jia),
      Fix parallel build in docs/ directory (Daniel P. Berrange),
      qemu: Don't leak temporary list of USB devices (Michal Privoznik)

   -  Improvements:
      qemu: Refactor qemuDomainSetVcpusFlags (Peter Krempa),
      numad: Update comments in libvirt.spec.in (Osier Yang),
      numad: Check numactl-devel if compiled with numad support (Osier Yang),
      numad: Divide cur_balloon by 1024 before passing it to numad (Osier Yang),
      numad: Always output 'placement' of <vcpu> (Osier Yang),
      numad: Copy 'placement' of <numatune> to <vcpu> by default (Osier Yang),
      numad: Set memory policy from numad advisory nodeset (Osier Yang),
      tests: add some self-documentation to tests (Alon Levy),
      util: set src_pid for virNetlinkCommand when appropriate (Laine Stump),
      util: function to get local nl_pid used by netlink event socket (Laine Stump),
      util: allow specifying both src and dst pid in virNetlinkCommand (Laine Stump),
      openvz: simplify openvzDomainDefineCmd by using virCommandPtr (Guido Günther),
      usb: create functions to search usb device accurately (Guannan Ren),
      rpm: Handle different source URLs for maint releases (Cole Robinson),
      qemu: Don't use virDomainDefFormat* directly (Jiri Denemark),
      qemu: reject blockiotune if qemu too old (Eric Blake),
      util: remove error log from stubs of virNetlinkEventServiceStart|Stop (Laine Stump),
      openvz: read vmguarpages/privvmpages to set memory tunables (Guido Günther),
      build: support libnl-3 (Serge Hallyn),
      util: add functions for interating over json object (Dmitry Guryanov),
      build: update pid_t type static check (Marc-André Lureau),
      build: fix output of pid values (Marc-André Lureau),
      virsh: output scaled values with correct units (Eric Blake),
      virsh: make -h always give help (Eric Blake),
      build: make ATTRIBUTE_NONNULL() a NOP unless STATIC_ANALYSIS is on (Laine Stump),
      Ensure logging is initialized early in libvirt_lxc (Daniel P. Berrange),
      Ensure LXC security driver is set unconditonally (Daniel P. Berrange),
      Ensure libvirt_lxc process loads the live XML config (Daniel P. Berrange),
      qemu: change rbd auth_supported separation character to ; (Josh Durgin),
      storage: Allow multiple hosts for a storage pool (Wido den Hollander),
      qemu_agent: Report error class at least (Michal Privoznik),
      configure: Use ustar format for dist tarball (Cole Robinson),
      qemu: Use common helper when probing qemu capabilities (Jiri Denemark),
      qemu: improve errors related to offline domains (Eric Blake),
      keepalive: Add ability to disable keepalive messages (Peter Krempa),
      Add new functions to virSocketAddr (Stefan Berger),
      macvtap: use embedded buffers (Stefan Berger),
      Improve on virAtomic implementation (Stefan Berger),
      build: Fix version of gettext macros (Peter Krempa),
      openvz: add network interface stats (Guido Günther),
      blockjob: enhance xml to track mirrors across libvirtd restart (Eric Blake),
      blockjob: add 'blockcopy' to virsh (Eric Blake),
      cpu: Improve error reporting on incompatible CPUs (Peter Krempa),
      openvz: wire up getHostname (Guido Günther),
      build: avoid strtol and strtod (Eric Blake),
      conf: tighten up XML integer parsing (Eric Blake),
      virsh: avoid strtol (Eric Blake),
      Support for atomic operations on integers (Stefan Berger),
      Implement virHashRemoveAll function (Stefan Berger),
      util: only register callbacks for CREATE operations in virnetdevmacvlan.c (D. Herrendoerfer),
      blockjob: add virsh blockpull --wait (Eric Blake),
      qemu: use consistent error when qemu binary is too old (Eric Blake),
      vbox: avoid provoking assertions in VBoxSVC (Jean-Baptiste Rouault),
      conf: Do not parse cpuset only if the placement is auto (Osier Yang),
      tests: Update read-bufsiz to delete the UUID of vm XML (Osier Yang),
      test: Set the fixed uuid for the default XMLs (Osier Yang),
      qemu: Split ide-drive into ide-cd and ide-hd (Osier Yang),
      qemu: Split scsi-disk into into scsi-hd and scsi-cd (Osier Yang),
      xen: do not use ioemu type for any emulated NIC (Stefan Bader),
      qemuProcessStart: Switch to flags instead of bunch booleans (Michal Privoznik),
      qemu: Avoid the memory allocation and freeing (Osier Yang),
      numad: Ignore cpuset if placement is auto (Osier Yang),
      numad: Convert node list to cpumap before setting affinity (Osier Yang),
      openvz: wire up more node information functions (Guido Günther),
      virnetdev: Check for defined IFLA_VF_* (Philipp Hahn),
      Web placeholder for pending patches on the web site (Daniel Veillard),
      xend_internal: Use domain/status for shutdown check (Stefan Bader),
      blockjob: wire up qemu async virDomainBlockJobAbort (Eric Blake),
      blockjob: optimize JSON event handler lookup (Eric Blake),
      blockjob: add API for async virDomainBlockJobAbort (Adam Litke),
      blockjob: add qemu capabilities related to block pull jobs (Eric Blake),
      qemu: Warn on possibly incorrect usage of EnterMonitor* (Jiri Denemark),
      qemu: Track job owner for better debugging (Jiri Denemark),
      qemu: Avoid excessive calls to qemuDomainObjSaveJob() (Jiri Denemark),
      daemon: Add libvirtd-config.c to the list of files to translate (Jiri Denemark),
      Wire up <loader> to set the QEMU BIOS path (Daniel P. Berrange),
      virsh: Clean up usage of boolean flag variables (Peter Krempa),
      virsh: Clarify use of the --managed-save flag for the list command (Peter Krempa),
      Replace daemon-conf test script with a proper test case (Daniel P. Berrange),
      Switch libvirtd config loading code to use error APIs (Daniel P. Berrange),
      Add API for loading daemon config from in-memory blob (Daniel P. Berrange),
      Split libvirtd config file loading out into separate files (Daniel P. Berrange),
      UML: fix iteration over consoles (MATSUDA, Daiki),
      tests: avoid compiler warnings (Eric Blake),
      openvz: support vzctl 3.1 (Ilja Livenson),
      Don't install sysctl file on non-Linux hosts (Daniel P. Berrange),
      Add linuxNodeInfoCPUPopulate to src/libvirt_linux.syms (Daniel P. Berrange),
      qemu: Build activeUsbHostdevs list on process reconnect (Michal Privoznik),
      qemu: Delete USB devices used by domain on stop (Michal Privoznik),
      Fix initial hypervisor conditionals (Daniel P. Berrange),
      Remove bogus xen-devel dep from libvirt-devel RPM (Daniel P. Berrange),
      Introduce per-hypervisor virtual RPMs (Daniel P. Berrange),
      Split config files & daemon off from main daemon RPM (Daniel P. Berrange),
      Remove API XML files from libvirt RPM (Daniel P. Berrange),
      Move all documentation into a -docs sub-RPM (Daniel P. Berrange),
      virsh: Clarify escape sequence (Michal Privoznik)

   -  Cleanups:
      building: remove libvirt_dbus.syms from EXTRA_DIST (Wen Congyang),
      conf: remove redundant () (Eric Blake),
      util: remove dead casts (Eric Blake),
      virsh: minor syntactic cleanups (Eric Blake),
      gitignore: Reorder alphabetically (Michal Privoznik)



0.9.11: Apr 3 2012:
   -  Features:
      Add support for the suspend event (Osier Yang),
      Add support for event tray moved of removable disks (Osier Yang),
      qemu: Support numad (Osier Yang),
      cpustats: API, improvements and qemu support (KAMEZAWA Hiroyuki and Eric Blake),
      qemu: support type='hostdev' network devices at domain start (Laine Stump),
      Introduce virDomainPMWakeup API (Michal Privoznik),
      network: support Open vSwitch (Ansis Atteka),
      a number of snapshot improvements (Eric Blake)

   -  Portability:
      build: fix build on cygwin (Eric Blake),
      build: fix mingw ssize_t, syntax check (Eric Blake),
      Disable build of commandhelper & ssh on Win32 (Daniel P. Berrange),
      build: avoid 'devname' for BSD (Eric Blake),
      build: avoid frame size error when building without -O2 (Laine Stump),
      spec: Add missed dependancy for numad (Osier Yang),
      util: fix build mingw (and all non-linux) build failure (Laine Stump),
      Build error on OSX in src/util/virnetlink.c (Duncan Rance),
      Fix build after commit e3ba4025 (Jim Fehlig),
      build: Fix build with dtrace + apparmor (Jiri Denemark),
      build: fix output of pid values (Eric Blake),
      avoid global variable shadowed (Hu Tao),
      lxc: Cleaner fix for compilation without SELinux (Martin Kletzander),
      Fix compilation on MacOS X (Lincoln Myers)

   -  Documentation:
      snapshot: fix virsh docs (Eric Blake),
      Expand docs for timer tick policy (Daniel P. Berrange),
      Add documentation for new attribute tray of disk target (Osier Yang),
      Clarify virsh freecell manpage entry (Dave Allan),
      fix typo (Zhou Peng),
      Clarify what documentation is being referenced (Dave Allan),
      Minor docs fix (Martin Kletzander),
      libvirt: fix comment typo (Alex Jia),
      fix usage example on setting log levels (Eric Blake),
      use correct terminology for 1024 bytes (Eric Blake),
      Fix typo (Osier Yang),
      Fix typo in domain XML documentation (Christophe Fergeau),
      storage: fix typo (Michal Privoznik),
      comments wiping supported algorithms (Alex Jia),
      Fix libvirt name in qemu commandline namespace URL (Michal Privoznik),
      virsh: Break long lines in virsh.pod (Osier Yang),
      Update bug reporting page (Dave Allan),
      lib: Fix function documentation for virConnectListDomains (Peter Krempa),
      virsh: Fix docs for list command (Peter Krempa)

   -  Bug fixes:
      qemu: Start nested job in qemuDomainCheckEjectableMedia (Jiri Denemark),
      qemu: fix memory leak in virDomainGetVcpus (Laine Stump),
      conf: allow fuzz in XML with cur balloon > max (Eric Blake),
      qemu: reflect any memory rounding back to xml (Eric Blake),
      qemu: support live change of the bridge used by a guest network device (Hendrik Schwartke),
      qemu_agent: Issue guest-sync prior to every command (Michal Privoznik),
      conf: Prevent crash of libvirtd without channel target name (Alex Jia),
      fix a deadlock when qemu cannot start (Wen Congyang),
      qemu: Make migration fail when port profile association fails on the dst host (Christian Benvenuti),
      virsh: plug memory leaks on failure path (Alex Jia),
      snapshot: don't pass NULL to QMP command creation (Eric Blake),
      qemu: Avoid entering monitor with locked driver (Jiri Denemark),
      Leave all child processes running when stopping systemd service (Daniel P. Berrange),
      python: Avoid memory leaks on libvirt_virNodeGetCPUStats (Alex Jia),
      qemu: Avoid dangling migration-out job when client dies (Jiri Denemark),
      qemu: Avoid dangling migration-in job on shutoff domains (Jiri Denemark),
      qemu: Use unlimited speed when migrating to file (Jiri Denemark),
      python: Avoid memory leaks on libvirt_virNodeGetMemoryStats (Alex Jia),
      conf: forbid use of multicast mac addresses (Laine Stump),
      conf: return immediately on error in dhcp host element (Laine Stump),
      util: fail attempts to use same mac address for guest and tap (Laine Stump),
      snapshot: make quiesce a bit safer (Eric Blake),
      virConfGetValue: Fixed NULL pointer check (Martin Kletzander),
      Fix handling of blkio deviceWeight empty string (Daniel P. Berrange),
      remote: Fix migration leaks (Osier Yang),
      lib: Don't access configuration if none is present (Peter Krempa),
      qemuDomainDetachPciDiskDevice: Free allocated cgroup (Michal Privoznik),
      virsh: fix invalid free (Alex Jia),
      qemu: Reverse condition in qemuDomainCheckDiskPresence (Michal Privoznik),
      qemu: fix segfault when detaching non-existent network device (Guannan Ren),
      qemu: Fix (managed)save and snapshots with host mode CPU (Jiri Denemark),
      qemu: support disk filenames with comma (Eric Blake),
      Fix a few typo in translated strings (Daniel Veillard),
      qemuBuildCommandLine: Don't add tlsPort if none set (Michal Privoznik),
      qemu: eliminate memory leak in qemuDomainUpdateDeviceConfig (Laine Stump),
      util: eliminate device object leaks related to virDomain*Remove*() (Laine Stump),
      qemu: don't 'remove' hostdev objects from domain if operation fails (Laine Stump),
      util: Don't overflow on errno in virFileAccessibleAs (Michal Privoznik),
      sanlock: Use STREQ_NULLABLE instead of STREQ on strings that may be null (Peter Krempa),
      qemu: Fix startupPolicy for snapshot-revert (Michal Privoznik),
      rpc: allow truncated return for virDomainGetCPUStats (Eric Blake),
      conf: fix error log with "address address" (Laine Stump),
      Ensure max_id is initialized in linuxParseCPUmap() (Daniel P. Berrange),
      util: eliminate crash in virNetDevMacVLanCreateWithVPortProfile (Laine Stump),
      rpc: Fix client crash on connection close (Jiri Denemark),
      Correct a check for capacity arg of storageVolumeResize() (Zeeshan Ali (Khattak)),
      qemu: Don't emit tls-port spice option if port is -1 (Jiri Denemark),
      libxl: eliminate memory leak in libxmlDomainModifyDeviceFlags (Laine Stump),
      qemu: fix cleanup of bridge during failure of qemuDomainAttachNetDevice (Laine Stump),
      qemu: unescape HMP commands before converting them to json (Josh Durgin),
      virsh: fix informational message in iface-bridge command (Laine Stump),
      virterror: Misleading error message when name is missing (Benjamin Cama),
      util: Fix virFileAccessibleAs return path from parent (Michal Privoznik),
      qemu: Prevent crash of libvirtd without guest agent (Alex Jia),
      qemu: Unlock monitor when connecting to dest qemu fails (Jiri Denemark),
      qemu: Fix segfault when host CPU is empty (Jiri Denemark),
      Fix polkit0 authentication (Jim Fehlig),
      snapshot: fix snapshot deletion use-after-free (Eric Blake),
      daemon: fix logic bug with virAsprintf (Eric Blake),
      daemon: plug memory leak (Eric Blake),
      Fix typos in API XML file paths (Daniel P. Berrange)

   -  Improvements:
      Xen: Fix <clock> handling (Philipp Hahn),
      Support clock=variable relative to localtime (Philipp Hahn),
      python: improve conversion validation (Eric Blake),
      Fix client only RPM build & other misc RPM problems (Daniel P. Berrange),
      Refactor the libvirt RPM daemon pieces (Daniel P. Berrange),
      virnetdevtap: Don't check for flags in virNetDevTapCreateFlags (Michal Privoznik),
      Consistent style for usage of sizeof operator (Daniel P. Berrange),
      Don't redefine the CPU comparison constants in CPU test (Daniel P. Berrange),
      Fix some format specifiers for size_t vs ssize_t (Daniel P. Berrange),
      build: silence recent syntax check violations (Eric Blake),
      private.syms: Add virNetDevMacVLanRestartWithVPortProfile (Zhou Peng),
      Set default name for SPICE agent channel (Christophe Fergeau),
      python: make python APIs use these helper functions (Guannan Ren),
      python: Add new helper functions for python to C integral conversion (Guannan Ren),
      Enable all warnings permanently & default to -Werror for GIT builds (Daniel P. Berrange),
      Enable build of test suite programs by default for GIT checkouts (Daniel P. Berrange),
      Change the default of mdns_adv to false (Stef Walter),
      Add LXC XML files to schema test & fix problems this uncovers (Daniel P. Berrange),
      Add support for setting init argv for LXC (Daniel P. Berrange),
      Detect location fo selinux mount point (Daniel P. Berrange),
      qemu,util: on restart of libvirt restart vepa callbacks (D. Herrendoerfer),
      build: fix "missing initializer" error in qemu_process.c (Laine Stump),
      build: fix "missing initializer" errors in virsh.c (Laine Stump),
      Added syntax-check rule for return with parentheses (Martin Kletzander),
      Cleanup for a return statement in source files (Martin Kletzander),
      Fix and test round-trip of query parameters (Eric Blake),
      snapshot: improve qemu handling of reused snapshot targets (Eric Blake),
      snapshot: wire up qemu transaction command (Eric Blake),
      snapshot: add support for qemu transaction command (Eric Blake),
      snapshot: rudimentary qemu support for atomic disk snapshot (Eric Blake),
      snapshot: make offline qemu snapshots atomic (Eric Blake),
      snapshot: add atomic create flag (Eric Blake),
      snapshot: add qemu capability for 'transaction' command (Eric Blake),
      build: fix incorrect enum declaration (Eric Blake),
      Add qemu support for ppc64 on FC16 or above for rpm packaging (Li Zhang),
      Fix typo s/virURIFormatQuery/virURIFormatParams/ (Daniel P. Berrange),
      qemu: Update domain status to running while wakeup event is emitted (Osier Yang),
      qemu: Update domain state to pmsuspended while suspend event occurs (Osier Yang),
      New domain state pmsuspended (Osier Yang),
      Add support for the wakeup event (Osier Yang),
      qemu: Update tray status while tray moved event is emitted (Osier Yang),
      qemu: Prohibit setting tray status as open for block type disk (Osier Yang),
      qemu: Do not start with source for removable disks if tray is open (Osier Yang),
      conf: Parse and for the tray attribute (Osier Yang),
      Implement sysinfo on PowerPC. (Prerna Saxena),
      Lookup auth credentials in config file before prompting (Daniel P. Berrange),
      Refactor code prompting for SASL credentials (Daniel P. Berrange),
      Add helper API for finding auth file path (Daniel P. Berrange),
      Rename virRequest{Username,Password} to virAuthGet{Username,Password} (Daniel P. Berrange),
      Rename src/util/authhelper.[ch] to src/util/virauth.[ch] (Daniel P. Berrange),
      Add a virKeyfilePtr object for parsing '.ini' files (Daniel P. Berrange),
      Convert drivers over to use virURIPtr for query params (Daniel P. Berrange),
      Store parsed query parameters directly in the virURIPtr struct (Daniel P. Berrange),
      Use a libvirt custom struct for virURIPtr (Daniel P. Berrange),
      Centralize error reporting for URI parsing/formatting problems (Daniel P. Berrange),
      s/xmlURIPtr/virURIPtr/ in virURIFormat impl (Daniel P. Berrange),
      Use virURIFree instead of xmlFreeURI (Daniel P. Berrange),
      Add test case for virURIPtr classs (Daniel P. Berrange),
      python: add virDomainGetCPUStats python binding API (Guannan Ren),
      qemu: Make autodestroy utilize connection close callbacks (Jiri Denemark),
      qemu: Add connection close callbacks (Jiri Denemark),
      qemu: Add support for domain cleanup callbacks (Jiri Denemark),
      python: always include config.h first (Eric Blake),
      Cpu mapping cleanup (Martin Kletzander),
      virsh: trim aliases from -h output (Eric Blake),
      Add support for forcing a private network namespace for LXC guests (Daniel P. Berrange),
      Emit graphics events when a SPICE client connects/disconnects (Laine Stump),
      numad: Fix typo and warning (Osier Yang),
      Add container_uuid env variable to LXC guests (Daniel P. Berrange),
      Allow overriding default URI in config file (Daniel P. Berrange),
      virsh: A bit smarter attach-disk (Osier Yang),
      qemu: Use scsi-block for lun passthrough instead of scsi-disk (Osier Yang),
      cpu: Add cpu definition for Intel Sandy Bridge cpu type (Peter Krempa),
      Added support for AMD Bulldozer CPU (Martin Kletzander),
      graphics: Cleanup port policy (Michal Privoznik),
      cpustats: report user and sys times (Eric Blake),
      qemuxml2argvtest: Pass some additional flags to graphics-spice-agentmouse (Michal Privoznik),
      qemu: spice agent-mouse support (Peng Zhou),
      virsh: Use option alias for outmoded "--persistent" (Osier Yang),
      util: consolidate duplicated error messages in pci.c (Laine Stump),
      qemu: support persistent hotplug of <hostdev> devices (Laine Stump),
      util: standardize return from functions calling virNetlinkCommand (Laine Stump),
      util: make virDomainLeaseDefFree global (Laine Stump),
      util: consolidate duplicated error messages in virnetlink.c (Laine Stump),
      util: log error on OOM in virNetDevOpenvswitchAddPort (Laine Stump),
      Attach vm-id to Open vSwitch interfaces. (Ansis Atteka),
      util: whitespace change to virNetDevOpenvswitchAddPort (Laine Stump),
      util: add stub pciConfigAddressToSysfsFile for non-linux platforms (Laine Stump),
      rpc: generalize solution for VPATH builds (Eric Blake),
      xml: Clean up schemas to use shared data types instead of local (Peter Krempa),
      qemu: Don't parse device twice in attach/detach (Michal Privoznik),
      virsh: improve memory unit parsing (Eric Blake),
      virsh: improve storage unit parsing (Eric Blake),
      virsh: add command aliases, and rename nodedev-detach (Eric Blake),
      virsh: use option aliases (Eric Blake),
      virsh: add option aliases (Eric Blake),
      xml: allow scaled memory on input (Eric Blake),
      xml: use better types for memory values (Eric Blake),
      xml: use long long internally, to centralize overflow checks (Eric Blake),
      xml: drop unenforced minimum memory limit from RNG (Eric Blake),
      storage: support more scaling suffixes (Eric Blake),
      xml: output memory unit for clarity (Eric Blake),
      xml: share 'unit' in RNG (Eric Blake),
      util: new function for scaling numbers (Eric Blake),
      api: add overflow error (Eric Blake),
      cpu-stats command shows cpu statistics information of a domain. (KAMEZAWA Hiroyuki),
      qemu driver for virDomainGetCPUstats using cpuacct cgroup. (KAMEZAWA Hiroyuki),
      add nodeGetCPUmap() for getting available CPU IDs in a cpumap. (KAMEZAWA Hiroyuki),
      qemu: install port profile and mac address on netdev hostdevs (Roopa Prabhu),
      util: Changes to support portprofiles for hostdevs (Roopa Prabhu),
      util: support functions for mac/portprofile associations on hostdev (Roopa Prabhu),
      util: two new pci util functions (Roopa Prabhu),
      qemu: support type=hostdev network device live hotplug attach/detach (Laine Stump),
      qemu: use virDomainNetRemove instead of inline code (Laine Stump),
      conf: change virDomainNetRemove from static to global (Laine Stump),
      conf: parse/format type='hostdev' network interfaces (Laine Stump),
      qemu: refactor hotplug detach of hostdevs (Laine Stump),
      qemu: re-order functions in qemu_hotplug.c (Laine Stump),
      conf: hostdev utility functions (Laine Stump),
      conf: put subsys part of virDomainHostdevDef into its own struct (Laine Stump),
      conf: give each hostdevdef a parent pointer (Laine Stump),
      conf: HostdevDef parse/format helper functions (Laine Stump),
      conf: make hostdev info a separate object (Laine Stump),
      conf: add device pointer to args of virDomainDeviceInfoIterate callback (Laine Stump),
      qemu: rename virDomainDeviceInfoPtr variables to avoid confusion (Laine Stump),
      conf: reorder static functions in domain_conf.c (Laine Stump),
      conf: relocate virDomainDeviceDef and virDomainHostdevDef (Laine Stump),
      conf: add missing device types to virDomainDevice(Type|Def) (Laine Stump),
      blockResize: add flag for bytes (Eric Blake),
      qemu: Shared or readonly disks are always safe wrt migration (Jiri Denemark),
      libvirt-guests: Add parallel startup and shutdown of guests (Peter Krempa),
      Fix type and add missed comment for diskChange callback (Osier Yang),
      cpu: Add new flag supported by qemu to the cpu definition (Peter Krempa),
      util: combine bools in virNetDevTapCreateInBridgePort into flags (Laine Stump),
      util: centralize tap device MAC address 1st byte "0xFE" modification (Ansis Atteka),
      build: use correct type for pid and similar types (Eric Blake),
      build: prohibit cross-inclusion (Eric Blake),
      virsh: expose partial pull (Eric Blake),
      qemu: pass block pull backing file to monitor (Eric Blake),
      qemu: require json for block jobs (Eric Blake),
      fix alphabetical order of virNetlink functions in symbol file (Laine Stump),
      build: update to latest gnulib (Eric Blake),
      Add de-association handling to macvlan code (D. Herrendoerfer),
      util: Add netlink event handling to virnetlink.c (D. Herrendoerfer),
      Support for cpu64-rhel* qemu cpu models (Martin Kletzander),
      libvirt-guests: Check if URI is reachable before launching commands (Peter Krempa),
      libvirt-guests: Don't try to do a managed-save of transient guests (Peter Krempa),
      libvirt-guests: Add documentation and clean up to use virsh's improved list (Peter Krempa),
      qemu: Add pre-migration hook (Jiri Denemark),
      hooks: Add support for capturing hook output (Jiri Denemark),
      util: fix a typo (Alex Jia),
      storage: fix a typo (Alex Jia),
      Do not include binaries in EXTRA_DIST (Daniel Veillard),
      virsh: New command cmdChangeMedia (Osier Yang),
      virsh: Use vshFindDisk and vshPrepareDiskXML in cmdDetachDisk (Osier Yang),
      virsh: Two new helper functions for disk device changes (Osier Yang),
      tests: Add tests for virtio-scsi and ibmvscsi controllers (Osier Yang),
      qemu: Build command line for the new address format (Osier Yang),
      qemu: New cap flag to indicate if channel is supported by scsi-disk (Osier Yang),
      conf: Introduce new attribute for device address format (Osier Yang),
      conf: Add helper function to look up disk controller model (Osier Yang),
      qemu: add virtio-scsi controller model (Paolo Bonzini),
      qemu: add ibmvscsi controller model (Paolo Bonzini),
      qemu: Add ability to abort existing console while creating new one (Peter Krempa),
      util: Add helpers for safe domain console operations (Peter Krempa),
      fdstream: Add internal callback on stream close (Peter Krempa),
      fdstream: Emit stream abort callback even if poll() doesnt. (Peter Krempa),
      virsh: add support for VIR_DOMAIN_CONSOLE_* flags (Peter Krempa),
      Add flags for virDomainOpenConsole (Peter Krempa),
      pidfile: Make checking binary path in virPidFileRead optional (Peter Krempa),
      qemu: Implement virDomainPMWakeup API (Michal Privoznik),
      virsh: Expose virDomainPMWakeup (Michal Privoznik),
      Fixed URI parsing (Martin Kletzander),
      Workaround python header file insanity (Daniel P. Berrange),
      Improve error reporting when virsh console is run without a TTY (Daniel P. Berrange),
      Error out when using SPICE TLS with spice_tls=0 (Christophe Fergeau),
      vmx: Better Workstation vmx handling (Jean-Baptiste Rouault),
      qemu: nicer error message on failed graceful destroy (Eric Blake),
      qemu: Forbid migration with cache != none (Jiri Denemark),
      Introduce virStorageFileIsClusterFS (Jiri Denemark),
      virsh: Add --unsafe option to migrate command (Jiri Denemark),
      Add support for unsafe migration (Jiri Denemark),
      configure: Define program name if not found (Michal Privoznik),
      virsh: Enhance list command to ease creation of shell scripts (Peter Krempa),
      vmware: implement domainXMLFromNative (Jean-Baptiste Rouault),
      esx: Correctly disable HTTP Expect header usage of libcurl (Matthias Bolte),
      caps: Improve error if passed an unknown arch (Cole Robinson),
      spec: use ix86 macros (Peter Robinson),
      nwfilter: improved logging during driver initialization (Stefan Berger),
      storage: Allow runtime detection of scrub (Michal Privoznik),
      Fix build with polkit0 (Jim Fehlig),
      python: Expose virDomain{G,S}etInterfaceParameters APIs in python binding (Alex Jia),
      conf: rename virDomainNetGetActualDirectVirtPortProfile (Laine Stump),
      qemu: increase the timeout before sending SIGKILL to qemu process (Laine Stump),
      qemu: drop driver lock while trying to terminate qemu process (Laine Stump),
      qemu: Implement DomainPMSuspendForDuration (Michal Privoznik),
      qemu: Set capabilities based on supported monitor commands (Michal Privoznik),
      Install API XML desc to a standard location (Daniel P. Berrange),
      qemu: make block io tuning smarter (Eric Blake)

   -  Cleanups:
      Fix typos and spacing in messages. (Yuri Chornoivan),
      qemu: eliminate nested switch, simplify code (Laine Stump),
      Fix typo in previous patch (Daniel P. Berrange),
      build: drop obsolete qparams test (Eric Blake),
      build: drop a painfully long gnulib test (Eric Blake),
      Removed more AMD-specific features from cpu64-rhel* models (Martin Kletzander),
      conf: eliminate redundant VIR_ALLOC of 1st element of network DNS hosts. (Laine Stump),
      remove daemon/probes.h from .gitignore (Laine Stump),
      sanlock: Fix condition left crippled while debugging (Peter Krempa),
      qemu: Fix indention (Osier Yang),
      daemon: Remove deprecated HAL from init script dependencies (Peter Krempa),
      util: remove unneeded #include in virrandom.c (Laine Stump),
      util: wrap virnetlink.c to 80 columns (Laine Stump),
      Fixed service handling in specfile (Martin Kletzander)



0.9.10: Feb 13 2012:
   -  Features:
      Add support for sVirt in the LXC driver (Daniel P. Berrange),
      block rebase: add new API virDomainBlockRebase (Eric Blake),
      API: Add api to set and get domain metadata (Peter Krempa),
      virDomainGetDiskErrors public API (Jiri Denemark),
      conf: add rawio attribute to disk element of domain XML (Taku Izumi),
      Add new public API virDomainGetCPUStats() (KAMEZAWA Hiroyuki),
      Introduce virDomainPMSuspendForDuration API (Michal Privoznik),
      resize: add virStorageVolResize() API (Zeeshan Ali (Khattak)),
      Add a virt-host-validate command to sanity check HV config (Daniel P. Berrange),
      Add new virDomainShutdownFlags API (Daniel P. Berrange),
      QEMU guest agent support (Daniel P. Berrange)

   -  Documentation:
      fix typo in python bindings (Eric Blake),
      conf: small changes to comments in virDomainDeviceInfo (Laine Stump),
      Clarify the purpose of domxml-from-native (Dave Allan),
      Enhance documentation of the old-style boot configuration (Jiri Denemark),
      virterror.c: Fix several spelling mistakes (Philipp Hahn),
      Add detail to documentation on storage pools and volumes. (Dave Allan),
      fill out rawio description (Laine Stump),
      XenXs: Update documentation (Philipp Hahn),
      reorder public header (Eric Blake),
      tweak recent suspend API additions (Eric Blake),
      Add missing docs for <viridian/> feature flag (Daniel P. Berrange),
      fix virsh man page (Eric Blake),
      fix a few small typos in formatdomain.html.in (Laine Stump),
      src/datatypes.h: fix typo (Alon Levy),
      Clarify semantics of virDomainMigrate{,ToURI}2 (Jiri Denemark),
      Add missed RNG schema for interface (Osier Yang),
      Add documentation new ways to access members of variables (Stefan Berger),
      virsh: improve doMigrate function docs (Alex Jia),
      standardize description of flags (Eric Blake),
      Document Android application using libvirt (Michal Privoznik)

   -  Portability:
      virpidfile: replace fopen/fwrite/fscanf with more portable version (Marc-André Lureau),
      util: Do not use PRIx64 macro (Osier Yang),
      Replace truncate() with ftruncate() (Daniel P. Berrange),
      build: avoid gcc 4.7 warning about inlines (Eric Blake),
      lxc: Fix build with AppArmor (Jiri Denemark),
      Update gnulib to fix mingw64 compilation errors (Marc-André Lureau),
      tests: virnettlscontexttest needs gnutls-2.6.0 (Philipp Hahn),
      qemu: Silent bogus warning about unitialized variable (Jiri Denemark),
      build: fix text regression (Eric Blake),
      Add virt-host-validate.1 to Mingw32 RPM spec file list (Daniel P. Berrange),
      build: fix missing include (Eric Blake),
      qemu: support qmp on RHEL/CentOS qemu (Eric Blake),
      util: Include stdint.h because of uint32_t (Michal Privoznik),
      Cast pointer to int using intptr_t (Marc-André Lureau),
      build: fix header order on mingw (Eric Blake),
      errcode is typedef by mingw, rename an argument name (Marc-André Lureau),
      Add missing virGetGroupName() (Marc-André Lureau),
      build: skip lxc with too-old glibc (Eric Blake),
      Remove dmidecode dependancy outside PC arches (Daniel Veillard),
      build: fix bootstrap on fresh clone (Eric Blake),
      tests: Add qemuxml2argv tests for PPC64 pseries machine (Michael Ellerman),
      tests: Teach qemuxml2argvtest about spapr-vio addresses (Michael Ellerman),
      Disable netcf if building without libvirtd (Daniel P. Berrange),
      build: fix build on mingw with netcf available (Eric Blake),
      build: avoid spurious compiler warning (Eric Blake)

   -  Bug Fixes:
      rpc: Plug memory leaks on doRemoteOpen() failure path (Alex Jia),
      GetCPUStats: fix overflow test (Lai Jiangshan),
      python: Correct arguments number for migrateSetMaxSpeed (Osier Yang),
      qemu: fix persistent setting of blkiodevice weights (Eric Blake),
      qemu: Fix memory leak when building -cpu argument (Jiri Denemark),
      security: Driver 'none' cannot create confined guests (Jiri Denemark),
      seclabel: Do not output relabel attribute for type 'none' (Jiri Denemark),
      virsh: Plug memory leak on cmdDesc (Alex Jia),
      virsh: Do not check the input XML at virsh layer for cmdDetachDevice (Osier Yang),
      On systems with dmidecode version 2.10 or older, (Prerna Saxena),
      storage: Don't unsparsify images when cloning (Cole Robinson),
      build: don't require avahi during install (Laine Stump),
      pyhton: Don't link against libvirt_util.la (Michal Privoznik),
      xen-xm: SIGSEGV in xenXMDomainDefineXML: filename (Philipp Hahn),
      xen-xm: fix data loss in domain edit (Philipp Hahn),
      virsh: Fix resource leak while listing inactive domains with titles (Peter Krempa),
      xen_xm: Fix SIGSEGV in xenXMDomainDefineXML (Philipp Hahn),
      qemu: Fix seamless spice migration (Jiri Denemark),
      apparmor: Add missing comma (Jiri Denemark),
      virsh: Avoid invalid read of size errors (Alex Jia),
      qemu: eliminate "Ignoring open failure" when using root-squash NFS (Laine Stump),
      conf: Plug memory on virDomainDiskDefParseXML (Alex Jia),
      virsh: Plug memory leak on cmdUndefine (Alex Jia),
      network: fix testsuite regression (Eric Blake),
      network: Avoid memory leaks on networkBuildDnsmasqArgv (Alex Jia),
      python: correct a copy-paste error (Alex Jia),
      qemu: Don't jump to endjob if no job was even started (Michal Privoznik),
      qemu: fix my typo at commit 74e034964c32edb1732d0ff7642f3977f3587d72 (Taku Izumi),
      qemu: Fix segfault in qemuMonitorTextGetBlockInfo (Hendrik Schwartke),
      tests: fix reversed comparisons (Eric Blake),
      qemu: avoid double free of qemu help output (Eric Blake),
      apparmor: Fix use of uninitialized random_data (Jiri Denemark),
      storage: Fix any VolLookupByPath if we have an empty logical pool (Cole Robinson),
      Don't bind mount onto a char device for /dev/ptmx in LXC (Daniel P. Berrange),
      xen: Don't crash when we fail to init caps (Guido Günther),
      xen: properly report out of memory when hvm_type is too small (Guido Günther),
      threads: check for failure to set thread-local value (Eric Blake),
      Fix rpc generator to anchor matches for method names (Daniel P. Berrange),
      Fix startup of LXC containers with filesystems containing symlinks (Daniel P. Berrange),
      qemu: Prohibit reattaching node device if it is in use (Osier Yang),
      qemu: Don't break domain with 0:0:2.0 assigned to anything but VGA (Jiri Denemark),
      Fixed dumpxml of <iotune> parameters (Martin Kletzander),
      nwfilter: fix typing error in filter (Stefan Berger),
      events: Return the correct number of registered events (Adam Litke),
      uuid: fix off-by-one (Eric Blake),
      build: fix virsh reformat fallout (Eric Blake),
      stream: Check for stream EOF (Michal Privoznik),
      Do not generate security_model when fs driver is anything but 'path' (Deepak C Shetty),
      qemu: check for kvm availability before starting kvm guests (Laine Stump),
      qemu: fix a typo on qemuDomainSetBlkioParameters (Alex Jia),
      config: report error when script given for inappropriate interface type (Laine Stump)

   -  Improvements:
      python: make other APIs share common {get, set}PyVirTypedParameter (Guannan Ren),
      npiv: Auto-generate WWN if it's not specified (Osier Yang),
      Remove single quotes from audit records (Marcelo Cerri),
      domain: add implicit USB controller (Marc-André Lureau),
      python: refactoring virTypedParameter conversion for NUMA tuning APIs (Guannan Ren),
      qemu: make blkiodevice weights easier to read (Eric Blake),
      sysinfo: simplify function signature (Eric Blake),
      Populate /dev/std{in,out,err} symlinks in LXC containers (Daniel P. Berrange),
      Update symbols file for virFileDirectFd/virFileWrapperFd rename (Daniel P. Berrange),
      virsh: Fix flag semantics and docs for "desc" command (Peter Krempa),
      qemu: Always use iohelper for domain save (Jiri Denemark),
      qemu: Always use iohelper for dumping domain core (Jiri Denemark),
      util: Generalize virFileDirectFd (Jiri Denemark),
      Allow polkit auth for VNC and SSH users (Cole Robinson),
      seclabel: make code and RNG match (Eric Blake),
      maint: Add test output files to .gitignore (Peter Krempa),
      tests: Fix build with -Werror (Jiri Denemark),
      maint: consolidate several .gitignore files (Eric Blake),
      util: refactor virFileOpenAs (Laine Stump),
      util: rename netlink.[ch] to virnetlink.[ch] (D. Herrendoerfer),
      virsh: add --graceful switch to destroy command (Laine Stump),
      qemu: new GRACEFUL flag for virDomainDestroy w/ QEMU support (Laine Stump),
      Added missing memory reporting into python bindings (Martin Kletzander),
      python: use libvirt_util to avoid raw free (Eric Blake),
      build: expand rule to cover testsuite (Eric Blake),
      build: prohibit raw malloc and free (Eric Blake),
      build: clean up CPPFLAGS/INCLUDES usage (Eric Blake),
      command: allow merging stdout and stderr in string capture (Eric Blake),
      maint: prune duplicate listings in AUTHORS (Eric Blake),
      virsh: extension of virsh attach-disk for rawio (Taku Izumi),
      Fixed connection definition for non-SELinux builds (Martin Kletzander),
      Added RSS reporting (Martin Kletzander),
      Added RSS information gathering into qemudGetProcessInfo (Martin Kletzander),
      Set a security context on /dev and /dev/pts mounts (Daniel P. Berrange),
      Add two new security label types (Daniel P. Berrange),
      Re-add domain device seclabel parsing / formatting (Daniel P. Berrange),
      Revert changes to sec label parsing (Daniel P. Berrange),
      tests: dynamically replace dnsmasq path (Philipp Hahn),
      xen_xs: name xendConfigVersion magic numbers (Philipp Hahn),
      block rebase: initial qemu implementation (Eric Blake),
      block rebase: wire up remote protocol (Eric Blake),
      qemu: Add support for virDomainGetMetadata and virDomainSetMetadata (Peter Krempa),
      virsh: Add support for modifying domain description and titles (Peter Krempa),
      xml: Add element <title> to allow short description of domains (Peter Krempa),
      build: add missing virStorageFileResize to libvirt_private.syms (Laine Stump),
      build: add missing virCommandAddCap to libvirt_private.syms (Laine Stump),
      daemon: Allow overriding NOFILES ulimit for the daemon as well (Michal Privoznik),
      python: Add binding for virDomainGetDiskErrors (Jiri Denemark),
      virsh: Implement domblkerror command (Jiri Denemark),
      qemu: Implement virDomainGetDiskErrors (Jiri Denemark),
      Remote protocol for virDomainGetDiskErrors (Jiri Denemark),
      command: Fix ATTRIBUTE_UNUSED on virSetCapabilities (Michal Privoznik),
      simplify block of codes (Alex Jia),
      qemu: make qemu processes to retain rawio capability (Taku Izumi),
      util: extend virExecWithHook() (Taku Izumi),
      util: add functions to keep capabilities (Taku Izumi),
      Implement virStorageVolResize() for FS backend (Zeeshan Ali (Khattak)),
      resize: slightly alter signature (Eric Blake),
      qemu: add "romfile" support to specify device boot ROM (Laine Stump),
      qemu: (and conf) support rombar for network devices (Laine Stump),
      conf: relocate rombar and boot order parse/format (Laine Stump),
      conf: put all guest-related HostdevDef data in one object (Laine Stump),
      xen: Don't add <console> to xml for dom0 (Cole Robinson),
      remote handler for virDomainGetCPUStats() (KAMEZAWA Hiroyuki),
      virsh: Expose new virDomainPMSuspendForDuration API (Michal Privoznik),
      resize: implement remote protocol for virStorageVolResize() (Zeeshan Ali (Khattak)),
      Return more error output if policykit auth fails. (Cole Robinson),
      Add new error code VIR_ERROR_AUTH_CANCELLED (Cole Robinson),
      Move virEmitXMLWarning into xml.h (Daniel P. Berrange),
      Move virMacAddrXXX functions to src/util/virmacaddr.[ch] (Daniel P. Berrange),
      Rename virXXXXMacAddr to virMacAddrXXX (Daniel P. Berrange),
      qemu: parse and create -cpu ...,-kvmclock (Paolo Bonzini),
      conf: add kvmclock timer (Paolo Bonzini),
      qemu: do not create useless <cpu> element (Paolo Bonzini),
      qemu: get arch name from <cpu> element (Paolo Bonzini),
      qemu: detect arch correctly for KVM (Paolo Bonzini),
      x86: add kvm32 and kvm64, update qemu64 (Paolo Bonzini),
      qemu: parse -enable-kvm (Paolo Bonzini),
      qemu: require qmp on new enough qemu (Eric Blake),
      nwfilter: Rebuild filters only if new filter is different than current (Stefan Berger),
      nwfilter: Force instantiation of filters upon driver reload (Stefan Berger),
      qemu: Refactor qemuMonitorGetBlockInfo (Jiri Denemark),
      Update VIRT_CONTROL audit record with pid. (Marcelo Cerri),
      build: allow for 64-bit pid in daemon (Eric Blake),
      daemon: convert virRun to virCommand (Eric Blake),
      hash: minor touchups (Eric Blake),
      Replace hashing algorithm with murmurhash (Daniel P. Berrange),
      Rename  hash.h and hash.c to virhash.h and virhash.c (Daniel P. Berrange),
      Convert various virHash functions to use size_t / uint32 (Daniel P. Berrange),
      Introduce new API for generating random numbers (Daniel P. Berrange),
      schema: Relax schema for domain name (Peter Krempa),
      storage: Support different wiping algorithms (Michal Privoznik),
      lxc: export container=lxc-libvirt for systemd (Eric Blake),
      Add virFileTouch for creating empty files (Daniel P. Berrange),
      virsh: Expose new VIR_DOMAIN_SNAPSHOT_CREATE_QUIESCE flag (Michal Privoznik),
      snapshots: Introduce VIR_DOMAIN_SNAPSHOT_CREATE_QUIESCE flag (Michal Privoznik),
      qemu_agent: Create file system freeze and thaw functions (Michal Privoznik),
      qemu: Emit bootindex even for direct boot (Jiri Denemark),
      metadata: group metadata next to description (Eric Blake),
      build: simplify xmlFreeNode usage (Eric Blake),
      Allow custom metadata in domain configuration XML (Zeeshan Ali (Khattak)),
      virCommandProcessIO(): make poll() usage more robust (Laszlo Ersek),
      Allow choice of shutdown method via virsh (Daniel P. Berrange),
      Wire up QEMU agent to reboot/shutdown APIs (Daniel P. Berrange),
      hashtest: Initialize variable in virHashEqual test (Michal Privoznik),
      Add test case for virHashEqual function (Stefan Berger),
      Compare two hash tables for equality (Stefan Berger),
      virsh: let domif-{get,set}link take target name (Taku Izumi),
      maint: cleanup qemu capabilities (Eric Blake),
      maint: enforce use of _LAST marker (Eric Blake),
      API: make declaration of _LAST enum values conditional (Eric Blake),
      error: drop old-style error reporting (Eric Blake),
      util: use new virTypedParameter helpers (Eric Blake),
      util: add new file for virTypedParameter utils (Eric Blake),
      lxc: use live/config helper (Eric Blake),
      build: silence some compiler warnings from gnulib (Eric Blake),
      Rename APIs for fetching UNIX socket credentials (Daniel P. Berrange),
      Add virGetGroupName to convert from GID to group name (Daniel P. Berrange),
      Remove duplicate call to virNetSASLSessionGetIdentity (Daniel P. Berrange),
      Also retrieve GID from SO_PEERCRED (Daniel P. Berrange),
      Added capability checking for block <iotune> setting. (Martin Kletzander),
      qemu: Introduce inactive PCI device list (Osier Yang),
      Permission change for systemtap examples. (Martin Kletzander),
      Add new attribute wrpolicy to <driver> element (Deepak C Shetty),
      tests: avoid dirname in tests (Eric Blake),
      qemu: Add support for host CPU modes (Jiri Denemark),
      Taint domains configured with cpu mode=host-passthrough (Jiri Denemark),
      cpu: Update guest CPU in host-* mode (Jiri Denemark),
      Add support for cpu mode attribute (Jiri Denemark),
      cpu: Optionally forbid fallback CPU models (Jiri Denemark),
      tests: Print XML file name in verbose CPU test (Jiri Denemark),
      docs: Expose alias tag in domain RNG schema (Osier Yang),
      docs: Add readonly to filesystem RNG schema (Osier Yang),
      conf: Remove do-nothing validation functions (Michael Ellerman),
      Make drive unit attribute optional in the XML schema (Michael Ellerman),
      virsh domiflist: change output (Taku Izumi),
      export virNetDevGetVirtualFunctions as a private symbol (Paolo Bonzini),
      virsh: Two new fields for command domblklist (Osier Yang),
      qemu: Support copy on read for disk (Osier Yang),
      Added check for maximum number of vcpus exceeding topology limit (Martin Kletzander),
      build: update to latest gnulib (Eric Blake),
      Rsync keymaps.csv file with GTK-VNC (Daniel P. Berrange),
      Re-write LXC controller end-of-file I/O handling yet again (Daniel P. Berrange),
      Allow 10 chars for domain IDs & 30 chars for names in virsh list (Daniel P. Berrange),
      virsh: New command print summary of all virtual interfaces (Osier Yang),
      Added new option to virsh net-dumpxml called --inactive (Shradha Shah),
      Functionality to implicitly get interface pool from SR-IOV PF. (Shradha Shah),
      Adding the element pf to network xml. (Shradha Shah),
      Added Function virNetDevGetVirtualFunctions (Shradha Shah),
      Added function pciSysfsFile to enable access to the PCI SYSFS files. (Shradha Shah),
      Add test cases for new ways to access variables in filters (Stefan Berger),
      Address side effects of accessing vars via index (Stefan Berger),
      Add access to elements of variables via index (Stefan Berger),
      Introduce possibility to have an iterator per variable (Stefan Berger),
      Optimize the elements the iterator visits. (Stefan Berger),
      apparmor: Mark pid parameter as unused (Jiri Denemark),
      Change security driver APIs to use virDomainDefPtr instead of virDomainObjPtr (Daniel P. Berrange),
      snapshot: allow reuse of existing files in disk snapshot (Eric Blake),
      PolicyKit: Check auth before asking client to obtain it (Jim Fehlig),
      qemu: add new disk device='lun' for bus='virtio' & type='block' (Laine Stump),
      qemu: add capabilities flags related to SG_IO (Laine Stump),
      qemu: one more client to live/config helper (Eric Blake)

   -  Cleanups:
      python: drop unused function (Eric Blake),
      python: drop redundant function (Eric Blake),
      Replace TAB with white spaces (Osier Yang),
      qemu: Clenup qemuDomainSetInterfaceParameters (Michal Privoznik),
      conf: remove duplicate call to VIR_FREE(info->alias) (Laine Stump),
      xml: fix struct typos (Eric Blake),
      Remove tabs from libvirt_public.syms & enforce it (Daniel P. Berrange)



0.9.9: Jan 7 2012:
   -  Features:
      Add new API virDomain{S,G}etInterfaceParameters (Hu Tao),
      Add new API virDomain{G,S}etNumaParameters (Hu Tao),
      Add support for ppc64 qemu (Prerna Saxena, Bharata B Rao, Michael Ellerman),
      Support Xen domctl v8 (Jim Fehlig)

   -  Documentation:
      Fix typos in messages. (Yuri Chornoivan),
      docs: re-fix stray / (Eric Blake),
      virsh: move version command to host group (Lai Jiangshan),
      docs: Move 'echo' command description into the generic commands section (Satoru SATOH),
      docs: Move 'send-key' command description into the domain commands section (Satoru SATOH),
      docs: remove stray / (Eric Blake),
      docs: fix missing / in xml examples (Eric Blake),
      docs: improve virsh domxml-*-native command docs (Alex Jia),
      docs: document <qemu:commandline> xml (Eric Blake),
      Fix typo in storage pool documentation (Christophe Fergeau),
      docs: tweak 'virsh edit' wording (Eric Blake),
      docs: document <address> elements in one place (Eric Blake),
      threads: Document spurious wakeups on virCondWait (Michal Privoznik)

   -  Portability:
      build: fix mingw virCommand build (Eric Blake),
      tests: avoid test failure on rawhide gnutls (Eric Blake),
      build: drop check for ANSI compiler (Eric Blake),
      Fix build on s390(x) and other stange arches (Daniel Veillard),
      Require avahi as an rpm dependancy (Daniel Veillard),
      Disable python explicitly in mingw32 autobuild (Daniel P. Berrange),
      build: disable dtrace on non-Linux builds (Eric Blake),
      build: let autobuild check more code (Eric Blake),
      maint: allow bootstrap in a sandbox (Eric Blake)

   -  Bug Fixes:
      qemu: Avoid memory leaks on qemuParseRBDString (Alex Jia),
      qemu: fix a bug in numatune (Hu Tao),
      qemu: fix use-after-free regression (Eric Blake),
      seclabel: fix regression in libvirtd restart (Eric Blake),
      command: Discard FD_SETSIZE limit for opened files (Michal Privoznik),
      Fix xenstore serial console path for HVM guests (Jim Fehlig),
      schemas: Allow '.' in CPU feature name (Jiri Denemark),
      virCommand: Properly handle POLLHUP (Michal Privoznik),
      virCPUDefCopy forgot to copy NUMA topology (Jiri Denemark),
      qemu: fix block stat naming (Eric Blake),
      domiftune: clean up previous patches (Eric Blake),
      virsh: Fix checking for reconnect conditions (Peter Krempa),
      qemu: Fix bandwidth memory leak on failure (Alex Jia),
      qemu: fix blkio memory leak on failure (Eric Blake),
      remove a static limit on max domains in python bindings (Daniel Veillard),
      python: Fix problems of virDomain{Set, Get}BlockIoTune bindings (Alex Jia),
      qemu: fix inf-loop in blkio parameters (Eric Blake),
      qemu: Keep list of USB devices attached to domains (Michal Privoznik),
      qemu: Release the lock on domobj if fails on finding the disk path (Osier Yang),
      virsh: plug mem leaks in domxml-*-native (Alex Jia),
      console: plug memory leaks (Alex Jia),
      rpc: handle param_int, plug memory leaks (Eric Blake),
      python: plug memory leak on libvirt_virConnectOpenAuth (Alex Jia),
      Only add the timer when a callback is registered (Daniel P. Berrange),
      qemu: detect truncated file as invalid save image (Eric Blake),
      qemu: Don't drop hostdev config until security label restore (Michal Privoznik),
      Fix default migration speed in qemu driver (Jim Fehlig),
      qemu: Fix race between async and query jobs (Jiri Denemark),
      qemu: Do not free the device from activePciHostdevs if it's in use (Osier Yang),
      qemu: Honor the original properties of PCI device when detaching (Osier Yang),
      spec: fix inverted logic on sanlock (Wen Congyang),
      tests: plug memory leak on linuxTestNodeInfo (Alex Jia),
      storage: Fix a potential crash when creating vol object (Osier Yang),
      qemu: Disable EOF processing during qemuDomainDestroy (Jiri Denemark),
      virsh: Free returned MIME type string (Michal Privoznik),
      storage: Activate/deactivate logical volumes only on local node (Rommer),
      security: don't try to label network disks (Josh Durgin),
      test: replace deprecated "fedora-13" machine with "pc-0.13" (Laine Stump),
      network: don't add iptables rules for externally managed networks (Laine Stump),
      threadpool: Use while loop on virCondWait (Michal Privoznik),
      virsh: plug memory leak on cmdDomblklist (Alex Jia),
      fix error when parsing ppc64 models on x86 host (Stefan Berger),
      fix memory leak in src/nodeinfo.c (Stefan Berger),
      threadpool: Don't wait on condition if pool has no workers (Michal Privoznik),
      bridge: Fix forward delay APIs (Jiri Denemark),
      virsh: return correct value from cmdDomIfGetLink (Peter Krempa),
      virsh: plug memory leak on cmdDomIfGetLink() sucessful path (Alex Jia),
      virsh: plug memory leak on cmdBlkdeviotune() sucessful path (Alex Jia),
      test: fix potential lock corruption in test driver (Laine Stump),
      spec: fix logic bug in deciding to turn on cgconfig (Eric Blake),
      When checking nttyFDs to see if it is != 1, be sure to use '1' and not '-1' (Daniel P. Berrange),
      Fix installation of libvirt-guests.service (Daniel P. Berrange)

   -  Improvements:
      Implement DNS SRV record into the bridge driver (Michal Novotny),
      seclabel: honor device override in selinux (Eric Blake),
      seclabel: allow a seclabel override on a disk src (Eric Blake),
      seclabel: extend XML to allow per-disk label overrides (Eric Blake),
      seclabel: move seclabel stuff earlier (Eric Blake),
      seclabel: refactor existing domain_conf usage (Eric Blake),
      schema: rewrite seclabel rng to match code (Eric Blake),
      domiftune: Enable the virDomain{S,G}etInterfaceParameters in virsh (Hu Tao),
      domiftune: Add virDomain{S,G}etInterfaceParameters support to qemu driver (Hu Tao),
      domiftune: Add a util function virDomainNetFind (Hu Tao),
      domiftune: Add support of new APIs to the remote driver (Hu Tao),
      domiftune: virDomain{S,G}etInterfaceParameters: the main entry points (Hu Tao),
      daemon: clean up daemonization (Eric Blake),
      tests: fix schema checks sorting (Eric Blake),
      qemu: Support for overriding NOFILE limit (Michal Privoznik),
      virsh: Use vshWatchJob in cmdManagedSave (Michal Privoznik),
      virsh: Use vshWatchJob in cmdSave (Michal Privoznik),
      virsh: Use vshWatchJob in cmdDump (Michal Privoznik),
      virsh: Move job watch code to a separate function (Michal Privoznik),
      qemuhelptest: Add new qemuCap flag (Michal Privoznik),
      qemu: Support readonly filesystem passthrough (Osier Yang),
      nwfilter: Do not require DHCP requests to be broadcasted (Stefan Berger),
      tests: run schema checks in sorted order (Eric Blake),
      tests: Add fake PPC64 emulator for QEMU testing (Michael Ellerman),
      qemu: Add spapr-vio address assignment (Michael Ellerman),
      Add New address type spapr-vio to domain.rng (Bharata B Rao),
      Add address type for SPAPR VIO devices (Michael Ellerman),
      qemu: Add a capability flag for -no-acpi (Michael Ellerman),
      add new command numatune to virsh (Hu Tao),
      Implement virDomain{G, S}etNumaParameters for the qemu driver (Hu Tao),
      Add virDomain{G, S}etNumaParameters support to the remote driver (Hu Tao),
      use cpuset to manage numa (Hu Tao),
      Add functions to set/get cgroup cpuset parameters (Hu Tao),
      virsh: simplify printing of typed parameters (Eric Blake),
      Hide use of timers for domain event dispatch (Daniel P. Berrange),
      Remove decl of all APIs related to domain event callbacks & queues (Daniel P. Berrange),
      Remove all domain event structs from header (Daniel P. Berrange),
      Convert drivers to thread safe APIs for adding callbacks (Daniel P. Berrange),
      Add APIs to allow management of callbacks purely with virDomainEventState (Daniel P. Berrange),
      Return count of callbacks when registering callbacks (Daniel P. Berrange),
      Convert Xen & VBox drivers to use virDomainEventState (Daniel P. Berrange),
      nwfilter: do not create ebtables chain unnecessarily (Stefan Berger),
      migration: Add more specific error code/message on migration abort (Peter Krempa),
      virsh: Add option to undefine storage with domains (Peter Krempa),
      python: Expose blockPeek and memoryPeek in Python binding (Osier Yang),
      virsh: support multifunction in attach-disk (KAMEZAWA Hiroyuki),
      python: Fix export of virDomainSnapshotListChildrenNames (Peter Krempa),
      Provide a helper method virDomainLiveConfigHelperMethod (Lei Li),
      virsh: Print error message if argument parsing fails for cmdNodesuspend (Peter Krempa),
      build: follow directory install conventions (Eric Blake),
      Fix make uninstall (Dave Allan),
      qemu: Prepare to cater for more general address assignment (Michael Ellerman),
      qemu: Add address in qemuBuildChrDeviceStr() on pseries (Michael Ellerman),
      qemu: Use spapr-vscsi on pseries machine type (Michael Ellerman),
      network: allow '-' in model name (Eric Blake),
      cpu: Add cpu flags supported by newest qemu (Peter Krempa),
      Pass the VM's UUID into the nwfilter subsystem (Stefan Berger),
      nwfilter: cleanup return codes in nwfilter subsystem (Stefan Berger),
      spec: make it easier to autoreconf when building rpm (Eric Blake),
      Ensure to prefix %{buildroot} when overriding systemd install location (Daniel P. Berrange),
      Add ppc64 specific definitions to domain.rng (Bharata B Rao),
      Clean up qemuBuildCommandLine to remove x86-specific (Prerna Saxena),
      Modify the tests/nodeinfotest.c to use sysfs in addition (Prerna Saxena),
      Use sysfs to gather host topology, in place of (Prerna Saxena)

   -  Cleanups:
      network_conf: Fix whitespace to pass syntax-check (Peter Krempa)



0.9.8: Dec 8 2011:
   -  Features:
      Add support for QEMU 1.0 (Jiri Denemark),
      Add first parts of PPC cpu driver. (Prerna Saxena),
      Add new API virDomain{Set, Get}BlockIoTune (Lei Li),
      block_resize: Define the new API (Osier Yang),
      Add a public API to invoke suspend/resume on the host (Srivatsa S. Bhat),
      Various improvements for LXC containers (Daniel P. Berrange),
      Define keepalive protocol and add virConnectIsAlive API (Jiri Denemark),
      Add support for STP and VLANfiltering (Stefan Berger)

   -  Documentation:
      Add documentation for <disk><source type="dir"> (Christophe Fergeau),
      Fix typo in virDomainResume API doc (Christophe Fergeau),
      maint: fix improper use of 'an' (Eric Blake),
      virsh: translate net-info help (Eric Blake),
      maint: typo fixes (Eric Blake),
      virsh: Fix typos in man page (Jiri Denemark),
      rpc: Fix a typo in virNetClientSendNonBlock documentation (Jiri Denemark),
      docs: fix grammar of capabilities (Eric Blake),
      Documentation about chains' priorities, lists of elements etc. (Stefan Berger)

   -  Portability:
      spec: don't use chkconfig --list (Eric Blake),
      build: fix build with older libxml2 (Eric Blake),
      Conditionalize daemonPath decl for Win32 which lacks UNIX sockets (Daniel P. Berrange),
      build: reduce warnings from older gcc (Eric Blake),
      Fix incorrect symbols for virtime.h module breaking Mingw32 (Daniel P. Berrange),
      build: fix build on Cygwin (Eric Blake),
      build: fix build at -O2 on rawhide (Eric Blake),
      Fix build for platforms lacking struct ifreq (Daniel P. Berrange),
      build: fix 'make dist' without dtrace (Eric Blake),
      Don't use undocumented __isleap macro (Daniel P. Berrange),
      virnetsocket: pass XAUTORITY for ssh connection (Christian Franke),
      Fix build on Mingw32 wrt export of virNetServerGetDBusConn (Daniel P. Berrange),
      build: fix compile error with no macvtap (Eric Blake),
      Fix build with polkit0 (Jim Fehlig),
      Fix strchr call triggering gcc 4.3 & 4.4 bug (Stefan Berger),
      PATCH: Fix build without MACVTAP (Michael Wood),
      util: fix compile error on debian (Eli Qiao),
      Disable numactl on ARM architectures too (Daniel P. Berrange),
      Add libvirt confdir to files section in mingw32 spec (Daniel P. Berrange),
      build: fix mingw build of gnulib openpty (Eric Blake)

   -  Bug Fixes:
      Fix updating of haveTheBuck in RPC client to be race-free (Daniel P. Berrange),
      Prevent crash of libvirtd when attaching to existing qemu process (Jim Fehlig),
      qemu: Ignore shutdown event from destroyed domain (Jiri Denemark),
      remote_driver: don't fail if keepalive check fails (Guido Günther),
      command: handle empty buffer argument correctly (Eric Blake),
      client: Check if other thread claims it has the buck before claiming it. (Peter Krempa),
      Avoid crash in shunloadtest (Daniel P. Berrange),
      Fix a logic error for setting block I/O (Lei Li),
      virsh: Allow other escape characters for console (Michal Privoznik),
      bridge_driver: Don't define network if XML contains more IPv4 adreses. (Peter Krempa),
      virsh: Fix possible deadlock when virsh is about to exit (Jiri Denemark),
      util: Plug memory leak on virNetDevMacVLanCreateWithVPortProfile() error path (Alex Jia),
      util: Plug memory leak on virNetDevBridgeGet() sucessful path (Alex Jia),
      uml: Plug memory leak on umlStartVMDaemon() error path (Alex Jia),
      rpc: Plug memory leak on virNetClientSendInternal() error path (Alex Jia),
      conf: Plug memory leak on virDomainDefParseXML() error path (Alex Jia),
      qemu: Plug memory leak onqemuProcessWaitForMonitor() error path (Alex Jia),
      conf: reject duplicate paths in device weights (Eric Blake),
      Make logging async signal safe wrt time stamp generation (Daniel P. Berrange),
      Don't mark suspend as active until we know it is running (Daniel P. Berrange),
      util: avoid null deref on qcowXGetBackingStore (Alex Jia),
      virsh: correct return value error (Alex Jia),
      qemu: fix blkiotune --live --config (Eric Blake),
      lxc: Fix suspend/resume with freezer cgroup (Jiri Denemark),
      rpc: Really send non-blocking calls while waiting for another call (Jiri Denemark),
      util: fix thinko in runIO (Paolo Bonzini),
      storage: Skip socket and fifo on pool-start (Michal Privoznik),
      conf: Don't drop console definition on domain restart (Michal Privoznik),
      qemu: Avoid dereference of NULL pointer (Peter Krempa),
      nwfilter: Initialize virNWFilterAddIpAddrForIfname return variable (Michal Privoznik),
      Fix disabling of virtual port profile code on old hosts (Daniel P. Berrange),
      Fix uninitialized variable in NWfilter IP learning code (Daniel P. Berrange),
      storage: Fallback to use lvchange first if lvremove fails (Chang Liu),
      conf: don't modify cpu set string during parsing (Eric Blake),
      qemu: don't release network actual device twice (Roopa Prabhu),
      tests: avoid xend ABRT crash report (Eric Blake),
      Fix use of uninitialized variable in QEMU driver (Daniel P. Berrange),
      snapshot: refuse to generate names for non-regular backing files (Eric Blake),
      fix a bug in remoteSerializeTypedParameters (Hu Tao),
      Don't return a fatal error if receiving unexpected stream data (Daniel P. Berrange),
      Fix handling of stream EOF (Daniel P. Berrange),
      storage: forbid rebuilding existing disk storage pools (Guido Günther),
      qemu: fix domjobabort regression (Eric Blake),
      fix two bugs in bridge_driver.c (Hu Tao),
      nwfilter: avoid failure with noexec /tmp (Eric Blake),
      lxc: free error object to avoid memory leak (Alex Jia),
      lxc: free 'ttyFDs' array on return from lxcVmStart (Alex Jia)

   -  Improvements:
      npiv: Expose fabric_name outside (Osier Yang),
      Improve error reporting when libvirtd is not installed (Daniel P. Berrange),
      spec: fix sanlock dependency (Eric Blake),
      spec: add dmidecode as prereq (Eric Blake),
      examples: Update event tests for shutdown event (Jiri Denemark),
      qemu: Rework handling of shutdown event (Jiri Denemark),
      python: Expose binding for virNodeGetMemoryStats() (Peter Krempa),
      python: Expose binding for virNodeGetCPUStats() (Peter Krempa),
      build: require more tools from maintainers (Eric Blake),
      apparmor: allow tunnelled migrations. (Serge Hallyn),
      Update of filters to handle multiple IP addresses (Stefan Berger),
      build: update to latest gnulib (Eric Blake),
      build: properly skip tests (Eric Blake),
      spec: mark directories in /var/run as ghosts (Eric Blake),
      qemu: filter blkio 0-device-weight at two other places (Hu Tao),
      qemu: amend existing table of device weights (Eric Blake),
      virsh: fix setting weight and device-weights at the same time (Hu Tao),
      Add tests for blkdeviotune (Lei Li),
      Support virDomain{Set, Get}BlockIoTune in the python API (Lei Li),
      Enable the blkdeviotune command in virsh (Lei Li),
      Implement virDomain{Set, Get}BlockIoTune for the qemu driver (Lei Li),
      Support block I/O throttle in XML (Lei Li),
      Add virDomain{Set, Get}BlockIoTune support to the remote driver (Lei Li),
      Fix leak build config file path (Daniel P. Berrange),
      Add internal APIs for dealing with time (Daniel P. Berrange),
      Remove obsolete virGetPMCapabilities sym from private symbols file (Daniel P. Berrange),
      Add suspend info to Xen, LXC and UML hypervisor capabilities (Daniel P. Berrange),
      Remove pointless strdup in node suspend code (Daniel P. Berrange),
      Do lazy init of host PM features (Daniel P. Berrange),
      Remove powerMgmt_valid field from capabilities struct (Daniel P. Berrange),
      Add export of node suspend capabilities APIs (Daniel P. Berrange),
      Move suspend capabilities APIs out of util.h into virnodesuspend.c (Daniel P. Berrange),
      Rename suspend capabilities APIs (Daniel P. Berrange),
      Sanitize virDiscoverHostPMFeature to return a boolean (Daniel P. Berrange),
      Move the virHostPMCapability enum helpers into capabilities.c (Daniel P. Berrange),
      Fix capabilities XML to use generic terms for suspend targets (Daniel P. Berrange),
      Remove internal only virHostPMCapability enum (Daniel P. Berrange),
      Fix values of PM target type constants (Daniel P. Berrange),
      blkiotune: add qemu support for blkiotune.device_weight (Hu Tao),
      blkiotune: add interface for blkiotune.device_weight (Hu Tao),
      qemu, lxc: drop redundant checks (Eric Blake),
      API: prevent query of --live and --config at once (Eric Blake),
      build: fix typo in last patch (Eric Blake),
      block_resize: Update test file for RPC (Osier Yang),
      block_resize: Expose the new API to virsh (Osier Yang),
      block_resize: Implement qemu driver method (Osier Yang),
      block_resize: Implement qemu monitor functions (Osier Yang),
      block_resize: Wire up the remote protocol (Osier Yang),
      examples: Correct the example command to use testnode.xml (Osier Yang),
      Add virsh command to initiate suspend on the host (Srivatsa S. Bhat),
      Implement the core API to suspend/resume the host (Srivatsa S. Bhat),
      Add the remote protocol implementation for virNodeSuspendForDuration (Srivatsa S. Bhat),
      Add 'Hybrid-Suspend' power management discovery for the host (Srivatsa S. Bhat),
      virsh: Don't traverse childless nodes in vshNodeIsSuperset (Michal Privoznik),
      conf: make virt-xml-validate work with vbox domains (Lorin Hochstein),
      conf: Improve incorrect root element error messages (Michal Privoznik),
      Refactor initial LXC mem tune / device ACL code (Daniel P. Berrange),
      Add support for blkio tuning of LXC containers (Daniel P. Berrange),
      Add support for CPU quota/period to LXC driver (Daniel P. Berrange),
      Support CPU placement in LXC driver (Daniel P. Berrange),
      Support NUMA memory placement for LXC containers (Daniel P. Berrange),
      storage: Refetch file status after open (Michal Privoznik),
      Fix version numbers for isAlive and setKeepAlive driver APIs (Jiri Denemark),
      build: Properly generate and check virkeepaliveprotocol-structs (Jiri Denemark),
      examples: Use virConnectOpenAuth in events-c (Jiri Denemark),
      qemu: Cancel p2p migration when connection breaks (Jiri Denemark),
      qemu: Add support for keepalive messages during p2p migration (Jiri Denemark),
      Add keepalive support into domain-events examples (Jiri Denemark),
      Implement virConnectIsAlive in all drivers (Jiri Denemark),
      Introduce virConnectIsAlive API (Jiri Denemark),
      Implement keepalive protocol in remote driver (Jiri Denemark),
      Add support for async close of client RPC socket (Jiri Denemark),
      Implement keepalive protocol in libvirt daemon (Jiri Denemark),
      virsh: Always run event loop (Jiri Denemark),
      Introduce virConnectSetKeepAlive (Jiri Denemark),
      Implement common keepalive handling (Jiri Denemark),
      rpc: Add some debug messages to virNetClient (Jiri Denemark),
      rpc: Fix handling of non-blocking calls that could not be sent (Jiri Denemark),
      rpc: Pass the buck only to the first available thread (Jiri Denemark),
      nwfilter: remove virConnectPtr from internal API calls (Stefan Berger),
      API: prefer 'disk' over 'block' or 'path' (Eric Blake),
      blockstats: support lookup by path in blockstats (Eric Blake),
      virsh: Increase device-detach intelligence (Michal Prívozník),
      Enable detection of multiple IP addresses (Stefan Berger),
      fix error message when using wrong URI alias (Eli Qiao),
      Pass additional parameter into applyDHCPOnly function (Stefan Berger),
      nwfilter: use shell variable to invoke 'ip(6)tables' command (Stefan Berger),
      nwfilter: use shell variable to invoke 'ebtables' command (Stefan Berger),
      Improve error reporting of failures to apply filtering rules (Stefan Berger),
      Add documentation for STP filtering support (Stefan Berger),
      Add test cases for STP traffic filtering (Stefan Berger),
      Add a 'mac' chain (Stefan Berger),
      Add strings.h include to capabilities.h for ffs() function prototype (Daniel P. Berrange),
      build: Update AUTHORS (Osier Yang),
      Export KVM Host Power Management capabilities (Srivatsa S. Bhat),
      qemu: Copy console definition from serial (Michal Privoznik),
      storage: Skips backingStore of virtual snapshot lv (Osier Yang),
      Add documentation for VLAN filtering support (Stefan Berger),
      Add test cases for VLAN traffic filtering (Stefan Berger),
      Don't copy sexpr node value that is an empty string (Jim Fehlig),
      enable cgroup cpuset by default (Hu Tao),
      tests: test recent hash addition (Eric Blake),
      Add test cases for parsing of list values (Stefan Berger),
      Extend NWFilter parameter parser to cope with lists of values (Stefan Berger),
      Create rules for each member of a list (Stefan Berger),
      Rework value part of name-value pairs (Stefan Berger),
      Add test cases (Stefan Berger),
      Interleave jumping into chains with filtering rules in 'root' table (Stefan Berger),
      Extend rule priorities into negative numbers (Stefan Berger),
      Enable chains with names having a known prefix (Stefan Berger),
      Extend the filter XML to support priorities of chains (Stefan Berger),
      Use the actual names of chains in data structure (Stefan Berger),
      Use scripting for cleaning and renaming of chains (Stefan Berger),
      Make filter creation in root table more flexible (Stefan Berger),
      Introduce an internal priority for chains (Stefan Berger),
      Add function to get hash table's key/value pairs (Stefan Berger),
      Add support for systemd init service (Daniel P. Berrange),
      Add support for interfaces with type=direct to LXC (Daniel P. Berrange),
      Allow creation of plain macvlan devices (Daniel P. Berrange),
      Refactor LXC network setup to allow future enhancements (Daniel P. Berrange),
      Add missing 'const' annotations for internal domain conf helpers (Daniel P. Berrange),
      qemu: Generate -numa option (Bharata B Rao),
      XML definitions for guest NUMA and parsing routines (Bharata B Rao),
      virsh: add iface-bridge and iface-unbridge commands (Laine Stump),
      Allow non-blocking message sending on virNetClient (Daniel P. Berrange),
      Refactor code for enabling/disabling I/O callback in remote client (Daniel P. Berrange),
      Split virNetClientSend into 2 methods (Daniel P. Berrange),
      Refactor code for passing the buck in the remote client (Daniel P. Berrange),
      Explicitly track whether the buck is held in remote client (Daniel P. Berrange),
      Remove all linked list handling from remote client event loop (Daniel P. Berrange),
      util: Add netdev helper functions to private symbols (Eli Qiao),
      qemu/rbd: improve rbd device specification (Sage Weil),
      maint: fix build (Stefan Berger),
      Fix error reporting in port profile parsing/formatting APIs (Daniel P. Berrange),
      API: add trivial qemu support for VIR_TYPED_PARAM_STRING (Eric Blake),
      API: remote support for VIR_TYPED_PARAM_STRING (Eric Blake),
      API: add VIR_TYPED_PARAM_STRING (Eric Blake),
      maint: use mailmap, not AUTHORS, for secondary addresses (Eric Blake),
      maint: fix make syntax-check (Stefan Berger),
      nwfilter: simplify execution of ebiptables scripts (Eric Blake),
      Remove usage of brctl command line tool (Daniel P. Berrange),
      Add an API for retrieving the MAC address of an interface (Daniel P. Berrange),
      Expose MTU management APIs (Daniel P. Berrange),
      Turn two int parameters into bools in bridge APIs (Daniel P. Berrange),
      Make all brXXX APIs raise errors, instead of returning errnos (Daniel P. Berrange),
      build: allow for local gnulib diffs (Eric Blake),
      qemu: Fix improper error message for disk detaching (Osier Yang),
      virsh: Add VSH_OFLAG_EMPTY_OK for attach-disk command (Xu He Jie)

   -  Cleanups:
      Remove time APIs from src/util/util.h (Daniel P. Berrange),
      bandwidth: Fix funky identation (Michal Privoznik),
      qemu: fix a const-correctness issue (Eric Blake),
      build: fix accidental POTFILES.in regression (Eric Blake),
      Fix up ordering of private symbols file (Daniel P. Berrange),
      Move ifaceMacvtapLinkDump and ifaceGetNthParent functions (Daniel P. Berrange),
      Move functions for dealing with physical/virtual devices (Daniel P. Berrange),
      Rename APIs for dealing with virtual/physical functions (Daniel P. Berrange),
      Move virNetDevValidateConfig to virnetdev.c (Daniel P. Berrange),
      Rename ifaceCheck to virNetDevValidateConfig (Daniel P. Berrange),
      Move virNetDevGetIPv4Address to virnetdev.c (Daniel P. Berrange),
      Rename ifaceGetIPAddress to virNetDevGetIPv4Address (Daniel P. Berrange),
      Move virNetDevGetIndex & virNetDevGetVLanID to virnetdev.c (Daniel P. Berrange),
      Rename ifaceGetIndex and ifaceGetVLAN (Daniel P. Berrange),
      Move MAC address replacement functions to virnetdev.c (Daniel P. Berrange),
      Rename interface MAC address replacement APIs (Daniel P. Berrange),
      Move the low level macvlan creation APIs (Daniel P. Berrange),
      Rename low level macvlan creation APIs (Daniel P. Berrange),
      Rename high level macvlan creation APIs (Daniel P. Berrange),
      Rename and split the macvtap.c file (Daniel P. Berrange),
      Rename Macvtap management APIs (Daniel P. Berrange),
      Remove ifaceSetMac and ifaceGetMac APIs (Daniel P. Berrange),
      Remove ifaceUp, ifaceDown, ifaceCtrl & ifaceIsUp APIs (Daniel P. Berrange),
      Move LXC veth.c code into shared utility APIs (Daniel P. Berrange),
      Rename the LXC veth management APIs and delete duplicated APIs (Daniel P. Berrange),
      Split src/util/network.{c,h} into 5 pieces (Daniel P. Berrange),
      Rename virVirtualPortProfileParams & APIs (Daniel P. Berrange),
      build: drop useless dirent.h includes (Eric Blake),
      xenapi: remove unused variable (Eric Blake),
      Remove code instantiating filters on direct interfaces (Stefan Berger),
      Adjust naming of network device bandwidth management APIs (Daniel P. Berrange),
      Santize naming of socket address APIs (Daniel P. Berrange),
      Split bridge.h into three separate files (Daniel P. Berrange),
      Rename all brXXXX APIs to follow new convention (Daniel P. Berrange),
      Remove 'brControl' object (Daniel P. Berrange)



0.9.7: Nov 8 2011:
   -  Features:
      esx: support vSphere 5.x (Patrice LACHANCE),
      vbox: support for VirtualBox 4.1 (Matthias Bolte),
      Introduce the virDomainOpenGraphics API (Daniel P. Berrange),
      Add AHCI support to qemu driver (Jim Fehlig),
      snapshot: many improvements and 2 new APIs (Eric Blake),
      api: Add public api for 'reset' (Xu He Jie)

   -  Documentation:
      Add <deviceboot> capability. (Philipp Hahn),
      API: document scheduler parameter names (Eric Blake),
      improve typed parameter documentation (Eric Blake),
      fix typo in <disk>/<target> example (Eric Blake),
      python: Fix documentation of virStream recv (Matthias Bolte),
      Add documentation about migration. (Daniel P. Berrange),
      Document filesystem type='block' for LXC (Ryota Ozaki),
      fix incorrect info about routed networks (Laine Stump),
      document managed=yes of hostdev passthrough (Eric Blake),
      trivial spelling fix (Philipp Hahn),
      Fix virt-sanlock-cleanup documentation (Philipp Hahn),
      Fix two comments related to error handling (Philipp Hahn),
      fix network XML documentation (Laine Stump),
      Clarify semantics of virDomainMigrate2 (Jiri Denemark),
      Update examples for probing with systemtap (Daniel P. Berrange),
      fix html bug (Eric Blake),
      virsh: Update the help information for undefine command. (tangchen),
      Document STREQ_NULLABLE and STRNEQ_NULLABLE (Guido Günther),
      Document that ff callbacks need to be invoked from a clean stack. (Guido Günther),
      formatdomain.html.in: fix tickpolicy (Douglas Schilling Landgraf),
      virsh: describe attach-interface parameter target (Daniel Veillard),
      virsh: update man page for cpu_shares parameter (Daniel Veillard),
      document node device XML (Eric Blake),
      document virsh nodedev-* commands (Eric Blake),
      snapshot: fix man page typos (Eric Blake),
      virsh: Better document --copy-storage migrate options (Jiri Denemark),
      virsh: Enhance documentation of commands starting jobs (Jiri Denemark),
      virsh: Improve virsh manual for virsh memtune command (Peter Krempa)

   -  Portability:
      build: fix build on platforms without ptsname_r (Eric Blake),
      build: silence compiler warning on BSD (Eric Blake),
      build: fix linking on BSD (Eric Blake),
      remote: fix mingw32 build (Laine Stump),
      build: fix deep VPATH builds (Eric Blake),
      Use ENAMETOOLONG if the socket path is longer than UNIX_PATH_MAX (Guido Günther),
      build: avoid RHEL 5 build failure on LXC (Eric Blake),
      build: use gnulib fdatasync (Eric Blake),
      Fix virFileOpenTty definition on Win32 (Daniel P. Berrange),
      compile: fix undefined reference to gnutls_x509_crt_get_dn with gcc-4.6.1 (Xu He Jie),
      Fix VPATH build (Jiri Denemark),
      build: fix 'make dist' error (Wen Congyang),
      Fix syntax problem in mingw32-libvirt.spec.in (Daniel P. Berrange),
      spec: mingw cleanups (Eric Blake),
      build: fix mingw build without sasl (Eric Blake),
      build: fix 'make rpm' (Eric Blake),
      build: fix 'make distcheck' (Eric Blake),
      disable xenlight for non-Xen platforms (Dan Horák),
      build: Fix VPATH build with new probes (Jiri Denemark),
      build: fix 'make distcheck' with pdwtags installed (Eric Blake),
      spec: F15 still uses cgconfig, RHEL lacks hyperv (Eric Blake)

   -  Bug Fixes:
      Fix sending/receiving of FDs when stream returns EAGAIN (Daniel P. Berrange),
      lxc: avoid use-after-free (Eric Blake),
      conf: Don't free uninitialized pointer (Jiri Denemark),
      Fix default console type setting (Daniel P. Berrange),
      Fix crash formatting virtio console (Daniel P. Berrange),
      Fix off-by-one printing month in logging code (Daniel P. Berrange),
      Add missing param initialization in qemuDomainBlockStatsFlags (Daniel P. Berrange),
      fix crash when starting network (Wen Congyang),
      Don't overwrite error message during VM cleanup (Daniel P. Berrange),
      Correctly handle '*' in /etc/filesystems (Daniel P. Berrange),
      Fix URI alias prefix matching (Wen Ruo Lv),
      ServerClient: Flush cached data (Michal Privoznik),
      Fix storage pool source comparison to avoid comparing with self (Daniel P. Berrange),
      qemu: plug memory leak (Alex Jia),
      qemu: Restore the original states of PCI device when restarting daemon (Osier Yang),
      macvtap: Fix error return value convention/inconsistencies (Roopa Prabhu),
      pci address conflict when virtio disk with drive type (Xu He Jie),
      qemu: plug memory leak (Alex Jia),
      qemu: avoid leaking uninit data from hotplug to dumpxml (Eric Blake),
      util: Fix virUUIDGeneratePseudoRandomBytes (Ryota Ozaki),
      lxc: Revert zeroing count of allocated items if VIR_REALLOC_N fails (Peter Krempa),
      lxc: avoid null deref on lxcSetupLoopDevices failure (Alex Jia),
      lxc: avoid missing '{' in the function (Alex Jia),
      storage: avoid null deref on qemu-img failure (Eric Blake),
      storage: make previous leak less likely to regress (Eric Blake),
      storage: plug iscsi memory leak (Eric Blake),
      qemu: avoid leaking uninit data from hotplug to dumpxml (Eric Blake),
      qemu: Do not wait if the PCI device is not managed when reattaching (Osier Yang),
      Add missing strdup return value check (Roopa Prabhu),
      macvtap: avoid invalid free (Roopa Prabhu),
      util: Fix typo in virGetHostname description (Jiri Denemark),
      macvtap: plug memory leak for 802.1Qbh (Eric Blake),
      qemu: plug memory leak on migration (Eric Blake),
      conf: plug memory leak on error (Eric Blake),
      storage: plug memory leak on error (Eric Blake),
      util: Make getaddrinfo failure nonfatal in virGetHostname (Jiri Denemark),
      qemu: fix text block info parsing (Eric Blake),
      qemu: avoid text monitor null deref (Eric Blake),
      qemu: check for json allocation failure (Eric Blake),
      virFDStream: close also given errfd (fd leak) (Marc-André Lureau),
      command: avoid fd leak on failure (Eric Blake),
      qemu: Check for domain being active on successful job acquire (Michal Privoznik),
      xen: Return tap2 for tap2 disks (Philipp Hahn),
      xen: fix PyGrub boot device order (Philipp Hahn),
      build: fix 'make check' linkage with dtrace (Eric Blake),
      Fix deps for probes.o to ensure correct build ordering (Daniel P. Berrange),
      If receiving a stream error, mark EOF on the stream (Daniel P. Berrange),
      xen_xs: Guard against set but empty kernel argument (Guido Günther),
      snapshot: avoid accidental renames with snapshot-edit (Eric Blake),
      storage: Do not use comma as seperator for lvs output (Osier Yang),
      qemuDomainAttach: Initialize pidfile variable (Michal Privoznik),
      lxc: fix logic bug (Eric Blake),
      Don't send back unknown program errors for async messages (Daniel P. Berrange),
      Fix deadlock when the RPC program is unknown (Daniel P. Berrange),
      remote_driver: Avoid double free in EventControl building (Michal Privoznik),
      xenParseXM: don't dereference NULL pointer when script is empty (Guido Günther),
      qemu: Fix migration with dname (Jiri Denemark),
      virsh: do not unlink NULL file (Marc-André Lureau),
      qemu: Fix error message mentioning VNC instead of SPICE (Peter Krempa),
      qemu: Check for ejected media during startup and migration (Michal Privoznik),
      qemu: add return value check (Alex Jia),
      qemu: Always remove domain object if MigratePrepare fails (Jiri Denemark),
      fix AppArmor driver for pipe character devices (Jamie Strandboge),
      daemon: Don't remove pidfiles in init scripts (Peter Krempa),
      storage: Do not break the whole vol lookup process in the middle (Osier Yang),
      Fix synchronous reading of stream data (Daniel P. Berrange)

   -  Improvements:
      Add missing defaultConsoleTargetType callback for AppArmour (Daniel P. Berrange),
      Fix naming of constant for disk event (Daniel P. Berrange),
      lxc: use common code for process cleanup (Eric Blake),
      Set aliases for LXC/UML console devices (Daniel P. Berrange),
      Default console target type with no <target> element (Daniel P. Berrange),
      Add support for multiple consoles in LXC (Daniel P. Berrange),
      Rewrite LXC I/O forwarding to use main event loop (Daniel P. Berrange),
      Allow multiple consoles per virtual guest (Daniel P. Berrange),
      virnetsockettest: Use a temporary directory in /tmp (Guido Günther),
      xen: allow getting < max typed parameters (Eric Blake),
      lxc: allow getting < max typed parameters (Eric Blake),
      libxl: allow getting < max typed parameters (Eric Blake),
      esx: allow getting < max typed parameters (Eric Blake),
      qemu: allow getting < max typed parameters (Eric Blake),
      Add support for probing filesystem with libblkid (Daniel P. Berrange),
      Fix error message when failing to detect filesystem (Daniel P. Berrange),
      Workaround for broken kernel autofs mounts (Daniel P. Berrange),
      Ensure errno is valid when returning from lxcContainerWaitForContinue (Daniel P. Berrange),
      Create /var/lib/libvirt/filesystems for LXC trees (Daniel P. Berrange),
      esx: Support folders in the path of vpx:// connection URIs (Matthias Bolte),
      qemu: pass virConnectPtr into Domain{Attach,Detach}* (Sage Weil),
      vbox: Support shared folders (Matthias Bolte),
      xenapi: Improve error reporting in xenapiOpen once again (Matthias Bolte),
      Use a common xml type for ceph secret usage. (Josh Durgin),
      storage: add auth to virDomainDiskDef (Josh Durgin),
      secret: add Ceph secret type (Sage Weil),
      Implement RPC driver support for virDomainOpenGraphics (Daniel P. Berrange),
      Extend RPC server to allow FD passing (Daniel P. Berrange),
      Add client side support for FD passing (Daniel P. Berrange),
      Extend RPC protocol to allow FD passing (Daniel P. Berrange),
      Add APIs for virNetSocket for sending/receiving file descriptors (Daniel P. Berrange),
      Wire up QEMU implementation for virDomainOpenGraphics (Daniel P. Berrange),
      Extend graphics event to include UNIX socket (Daniel P. Berrange),
      virsh: Fix error message on vol-create-from failure (Ryota Ozaki),
      bridge: modify for use when sVirt is enabled with qemu (Tyler Coumbes),
      Use virXMLSaveFile when writing XML config (Jiri Denemark),
      Introduce virXMLSaveFile as a wrapper for virFileRewrite (Jiri Denemark),
      Introduce virFileRewrite for safe file rewrite (Jiri Denemark),
      Add a systemtap script for watching QEMU monitor interactions (Daniel P. Berrange),
      qemu: simplify use of HAVE_YAJL (Eric Blake),
      snapshot: simplify indentation of disk encryption xml (Eric Blake),
      snapshot: simplify indentation of nwfilter (Eric Blake),
      Add REMOTE_PROC_DOMAIN_EVENT_DISK_CHANGE to remote_protocol-structs (Daniel P. Berrange),
      nwfilter: extend schema to support new targets (Stefan Berger),
      util: Add virFileAccessibleAs to private symbols (Michal Privoznik),
      startupPolicy: Emit event on disk source dropping (Michal Privoznik),
      qemu: implement startupPolicy (Michal Privoznik),
      qemu: Move device alias assigning before command line construction (Michal Privoznik),
      util: Create virFileAccessibleAs function (Michal Privoznik),
      conf: Introduce optional startupPolicy attribute for cdrom and floppy (Michal Privoznik),
      waitpid: improve safety (Eric Blake),
      virsh: Fix vol-info's 'Type' output (Ryota Ozaki),
      support continue/return targets in nwfilter (David L Stevens),
      snapshot: simplify indentation of network xml (Eric Blake),
      snapshot: simplify indentation of cpu features (Eric Blake),
      snapshot: simplify indentation of sysinfo (Eric Blake),
      snapshot: test domainsnapshot indentation (Eric Blake),
      snapshot: indent domain xml when nesting (Eric Blake),
      virbuf: add auto-indentation support (Eric Blake),
      virbuf: more detailed error reporting (Eric Blake),
      virbuf: improve testsuite reporting (Eric Blake),
      virbuf: fix const-correctness (Eric Blake),
      qemu: allow json in domxml-to-native (tangchen),
      support setting bandwidth from virsh attach-interface (Hu Tao),
      lxc: use hand-rolled code in place of unlockpt and grantpt (Serge E. Hallyn),
      qemu: Test name-space handling (Philipp Hahn),
      qemu: Fix name-space handling (Philipp Hahn),
      Replace virBufferAdd with virBufferAddLit for const string (Daniel P. Berrange),
      Allow for URI aliases when connecting to libvirt (Daniel P. Berrange),
      Add support for autodestroy of guests to the LXC and UML drivers (Daniel P. Berrange),
      Use virBufferEscapeShell in cmdEcho (Guido Günther),
      qemu: replace qemuMonitorEscapeShell by virBufferEscapeShell (Guido Günther),
      virBufferEscapeShell: Emit quotes for the empty string (Guido Günther),
      snapshot: detect when qemu lacks disk-snapshot support (Eric Blake),
      virBufferEscapeShell: Fix escaping of single quotes. (Guido Günther),
      compile: Add a missing function 'pciDeviceListFind' to libvirt_private.syms (Xu He Jie),
      snapshot: implement LIST_LEAVES flag in esx (Eric Blake),
      qemu: Relax -no-shutdown check to [0.14.0, 0.15.0] (Jiri Denemark),
      qemu: Honor the orginal PCI dev properties when reattaching (Osier Yang),
      qemu: Do not reattach PCI device used by other domain when shutdown (Osier Yang),
      Xen: Fake versions in xencapstest (Philipp Hahn),
      Xen: move versions to struct (Philipp Hahn),
      Use virBufferEscapeShell in virNetSocketNewConnectSSH (Guido Günther),
      Add virBufferEscapeShell (Guido Günther),
      Autodetect if the remote nc command supports the -q option (Guido Günther),
      qemu: Make sure BeginJob is always followed by EndJob (Jiri Denemark),
      qemu: Log debug messages when changing job (Jiri Denemark),
      build: add compiler attributes to virUUIDParse (Eric Blake),
      Fix typo in lxc_controller (Serge E. Hallyn),
      build: update to latest gnulib (Eric Blake),
      events: Propose a separate lock for event queue (Michal Privoznik),
      qemu: Implement VIR_DUMP_RESET (Michal Privoznik),
      virDomainCoreDump: Introduce VIR_DUMP_RESET flag (Michal Privoznik),
      example: Support debug output and loop switch (Philipp Hahn),
      example: Redirect --help output to stdout/stderr (Philipp Hahn),
      example: Fix argument handling (Philipp Hahn),
      snapshot: implement LIST_LEAVES flag in qemu (Eric Blake),
      snapshot: add API for filtering by leaves (Eric Blake),
      tests: Add support for skipping tests (Philipp Hahn),
      Introduce <driver> under <filesystem> to support open-by-handle (Harsh Prateek Bora),
      buf: implement generic virBufferEscape (Sage Weil),
      daemon: Always advertise libvirtd service (Osier Yang),
      snapshot: take advantage of new relations (Eric Blake),
      snapshot: track qemu snapshot relations (Eric Blake),
      snapshot: framework for more efficient relation traversal (Eric Blake),
      snapshot: use correct qmp monitor command (Eric Blake),
      snapshot: virsh shorthand for operating on current snap (Eric Blake),
      build: ship helper scripts (Eric Blake),
      Rewrite all the DTrace/SystemTAP probing (Daniel P. Berrange),
      Fix missing lock calls on virNetTLSContextRef (Daniel P. Berrange),
      Refactor TLS to facilitate dynamic probing (Daniel P. Berrange),
      Add virSocketRef API to facilitate dynamic probing (Daniel P. Berrange),
      Make libvirt.so include the RPC server code (Daniel P. Berrange),
      snapshot: implement snapshot children listing in esx (Eric Blake),
      snapshot: implement snapshot children listing in qemu (Eric Blake),
      snapshot: remote protocol for snapshot children (Eric Blake),
      snapshot: virsh fallback for snapshot-list --descendants --from (Eric Blake),
      snapshot: virsh fallback for snapshot-list --from children (Eric Blake),
      snapshot: virsh fallback for snapshot-list --tree --from (Eric Blake),
      snapshot: virsh snapshot-list and children (Eric Blake),
      xen: add error handling to UUID parsing (Guido Günther),
      maint: typo fixes (Eric Blake),
      snapshot: sort snapshot-list --tree (Eric Blake),
      snapshot: simplify redefinition of disk snapshot (Eric Blake),
      snapshot: let virsh edit disk snapshots (Eric Blake),
      snapshot: fix virsh error message typo (Eric Blake),
      qemu: add separate rerror_policy for disk errors (Laine Stump),
      qemu: leave rerror policy at default when enospace is requested (Laine Stump),
      qemu: enable multifunction for older qemu (Eric Blake),
      Make LXC work with new network configuration types (Daniel P. Berrange),
      init: raise default system aio limits (Eric Blake),
      maint: fix minor issues in virterror public header (Eric Blake),
      snapshot: enforce REVERT_FORCE on qemu (Eric Blake),
      snapshot: use qemu-img on disks in use at time of snapshot (Eric Blake),
      snapshot: add REVERT_FORCE to API (Eric Blake),
      snapshot: implement snapshot roots listing in vbox (Eric Blake),
      qemu: Don't fail virDomainGetInfo if we can't update balloon info (Jiri Denemark),
      snapshot: simplify esx snapshot name lookup (Eric Blake),
      snapshot: implement snapshot roots listing in esx (Eric Blake),
      qemu: correct misspelled 'enospc' option, and only use for werror (Laine Stump),
      snapshot: better virsh handling of missing current, parent (Eric Blake),
      Allow passing of command line args to LXC container (Daniel P. Berrange),
      Add support for bandwidth filtering on LXC guests (Daniel P. Berrange),
      network: fill in bandwidth from portgroup for all forward modes (Laine Stump),
      bridge_driver.c: Fix autoconf setting (Neil Wilson),
      Set to NULL members that have been freed to prevent crashes (Marc-André Lureau),
      snapshot: implement getparent for vbox (Eric Blake),
      snapshot: implement getparent for esx (Eric Blake),
      qemu: make PCI multifunction support more manual (Laine Stump),
      lvm storage backend: handle command_names=1 in lvm.conf (Serge E. Hallyn),
      qemu: Check for outstanding async job too (Michal Privoznik),
      virsh: Add 'reset' command for virsh (Xu He Jie),
      remote: Implement 'reset' for remote driver (Xu He Jie),
      qemu: Implement 'reset' for qemu driver (Xu He Jie),
      logging: Add date to log timestamp (Jiri Denemark),
      logging: Do not log timestamp through syslog (Jiri Denemark),
      hyperv: Report an error for acceptable URI schemes with a transport (Matthias Bolte),
      esx: Report an error for acceptable URI schemes with a transport (Matthias Bolte),
      snapshot: implement getparent in qemu (Eric Blake),
      snapshot: add virsh snapshot-list --tree (Eric Blake),
      snapshot: refactor virsh snapshot parent computation (Eric Blake),
      snapshot: remote protocol for getparent (Eric Blake),
      security: properly chown/label bidirectional and unidirectional fifos (Laine Stump),
      qemu: Preserve fakeReboot flag in domain status (Jiri Denemark),
      qemu: Finish domain shutdown on reconnect (Jiri Denemark),
      qemu: Check domain status details when reconnecting monitor (Jiri Denemark),
      virsh: Allow using complete <capabilities> elements with cpu-baseline (Peter Krempa),
      virsh: Allow using domain and capabilities XMLs with cpu-compare (Peter Krempa),
      qemu: add ability to set PCI device "rombar" on or off (Laine Stump),
      qemu: Relax -no-shutdown check to [0.14.0, 0.15.50) (Jiri Denemark),
      virLockManagerNopInit: Rename flags to unused_flags (Michal Privoznik),
      debug: Annotate some variables as unused (Michal Privoznik),
      maint: update authors (Peter Krempa),
      Add unsafe cache mode support for disk driver (Oskari Saarenmaa),
      selinux: Correctly report warning if virt_use_nfs not set (Michal Privoznik),
      virsh: Do not ignore the specified flags for cmdSaveImageDefine (Osier Yang),
      qemu: Transfer inactive XML among cookie (Michal Privoznik)

   -  Cleanups:
      Remove translations in socket test case (Daniel P. Berrange),
      test: drop redundant check (Eric Blake),
      startupPolicty: Minor cleanups (Michal Privoznik),
      secret: fix bad patch application (Eric Blake),
      Remove trailing whitespace from all xfig files (Daniel P. Berrange),
      Fix typo in virFileAccessibleAs (Daniel P. Berrange),
      snapshot: minor cleanups from reviewing indentation (Eric Blake),
      build: ignore test executable (Eric Blake),
      esx: drop dead code to silence Coverity (Eric Blake),
      snapshot: drop dead parameters (Eric Blake),
      qemu: silence Coverity false positive (Eric Blake),
      conf: remove unused VIR_ENUM_DECL (Laine Stump)



0.9.6: Sep 22 2011:
   -  Portability:
      build: silence warning on 32-bit build (Eric Blake)

   -  Bug Fixes:
      snapshot: fix logic bug in qemu undefine (Eric Blake),
      sanlock: fix memory leak (Eric Blake),
      virsh: fix regression in argv parsing (Eric Blake),
      storage: Wait udev events are handled before removing lvm vol (Osier Yang),
      qemu: avoid dereferencing a NULL pointer (Alex Jia),
      qemu: Avoid loop of fake reboots (Jiri Denemark),
      qemu: Fix shutdown regression with buggy qemu (Jiri Denemark),
      remote: fix crash on OOM (Eric Blake)

   -  Improvements:
      snapshot: also delete empty directory (Eric Blake),
      snapshot: remove snapshot metadata on transient exit (Eric Blake),
      snapshot: prepare to remove transient snapshot metadata (Eric Blake),
      virsh: More friendly err if no pool is specified for looking up a vol (Osier Yang),
      tests: improve test failure diagnosis (Oskari Saarenmaa),
      API: prefer to use NULLSTR macro (Osier Yang),
      xen: use typical allocations (Eric Blake),
      virsh: Remove useless codes of cmdVolPath (Osier Yang)



0.9.5: Sep 20 2011:
   -  Features:
      many snapshot improvements (Eric Blake),
      latency: Define new public API and structure (Osier Yang),
      USB2 and various USB improvements (Marc-André Lureau),
      storage: Add fs pool formatting (Osier Yang),
      Add public API for getting migration speed (Jim Fehlig),
      Add basic driver for Microsoft Hyper-V (Matthias Bolte)

   -  Documentation:
      virsh: tweak previous domblkstat patch (Eric Blake),
      virsh: doc: Fix supported driver types for attach-disk command (Peter Krempa),
      doc: Add statment about permissions needed to do a core dump (Peter Krempa),
      snapshot: tweak snapshot-create-as diskspec docs (Eric Blake),
      qemu_api: doc improvements (Eric Blake),
      virsh: Fix command name in man page (Peter Krempa),
      fix incorrect option in send-key (Alex Jia),
      virsh: improve send-key documentation (Eric Blake),
      hyperv: Add basic documentation (Matthias Bolte),
      schedinfo: update man page about virsh schedinfo command (Taku Izumi),
      virsh: Clarify documentation of -d option (Jiri Denemark),
      schedinfo: add missing documentation (Taku Izumi),
      Improve tokenizing of linkable terms (Philipp Hahn),
      Add some docs about the RPC protocol and APIs (Daniel P. Berrange),
      Align table cells on top (Philipp Hahn),
      use IPv6 addresses in range reserved for documentation (Laine Stump),
      describe new virtual switch configuration in network XML docs (Laine Stump)

   -  Portability:
      Update to require sanlock 1.8 for license compliance (Daniel P. Berrange),
      build: work around lack of MacOS fdatasync (Eric Blake),
      python: Fix bindings generated in VPATH build (Jiri Denemark),
      build: storage: Macro 'MKFS' is undefined on some platforms. (Peter Krempa),
      build: storage: Conditionaly compiled structure caused build fail on OSX (Peter Krempa),
      Avoid using "devname" as an identifier. (Peter Krempa),
      mingw: Don't use interface as an identifier (Matthias Bolte),
      esx: Use $(PYTHON) instead of the shebang to run the generator (Matthias Bolte),
      build: work around older systemtap header (Eric Blake),
      build: fix compilation on mingw64 (Eric Blake),
      build: fix virnetsocket on mingw (Eric Blake),
      build: fix virpidfile on mingw (Eric Blake),
      maint: fix some compilation issues on non-linux platforms (part 2) (Stefan Berger),
      maint: fix some compilation issues on non-linux platforms (Stefan Berger),
      Fix detection of GnuTLS 1.x.y (Matthias Bolte)

   -  Bug Fixes:
      Fix crash on events due to allocation errors (Daniel Veillard),
      conf: Assign newDef of active domain as persistent conf if it is NULL (Osier Yang),
      storage: Ensure the device path exists before refreshing disk pool (Osier Yang),
      daemon: Error and exit if specified value for timeout is not valid (Osier Yang),
      vmx: avoid memory leak (ajia@redhat.com),
      util: avoid memory leak (ajia@redhat.com),
      remote: avoid memory leak (ajia@redhat.com),
      qemu: avoid memory leak (ajia@redhat.com),
      daemon: avoid memory leak (ajia@redhat.com),
      Prevent crash from dlclose() of libvirt.so (Daniel P. Berrange),
      qemu: add return value check (Alex Jia),
      Avoid crash on restart if running guest has filterref (Stefan Berger),
      conf: avoid memory leak on virDomainDefParseXML (Alex Jia),
      Fix build after commit 829bce17 (Jim Fehlig),
      conf: add missing break in virDomainAuditRedirdev (Marc-André Lureau),
      snapshot: ABI stability must include memory sizing (Eric Blake),
      make: Fix 'make syntax-check' failing. (Peter Krempa),
      snapshot: fix double free of qemuImgBinary (Guannan Ren),
      virnetsocket: Pass KRB5CCNAME env variable (Michal Privoznik),
      Fix URL-escaping for domainDefine (Philipp Hahn),
      snapshot: fix regression with system checkpoints (Eric Blake),
      Don't treat pci_system_init failure as fatal if no PCI bus is present (Soren Hansen),
      rpc: avoid memory leak on virNetTLSContextValidCertificate (Alex Jia),
      tests: avoid memory leak on testTLSSessionInit (Alex Jia),
      libxl: avoid a dereference of a null pointer (Alex Jia),
      blockinfo: fix qemu regression in handling disk name (Eric Blake),
      esx: Fix managed object lookup with optional occurrence (Matthias Bolte),
      Threadpool: Initialize new dynamic workers (Michal Privoznik),
      Default USB device is on slot 1 function 2 (Marc-André Lureau),
      Fix localtime handling for Xen-PV domains (Philipp Hahn),
      snapshot: fix corner case on OOM during creation (Eric Blake),
      API: Init conn in case of it might be used uninitialized (Osier Yang),
      qemu: detect incomplete save files (Eric Blake),
      reserve slot 1 on pci bus0 (Wen Congyang),
      libvirtd: create run dir when running at non-root user (Xu He Jie),
      Don't overwrite errors from xend_{get,req} (Jim Fehlig),
      virsh: avoid memory leak on cmdVolCreateAs (Alex Jia),
      Fix tracking of RPC messages wrt streams (Daniel P. Berrange),
      Avoid use-after-free on streams, due to message callbacks (Daniel P. Berrange),
      Fix parted sector size assumption (Daniel P. Berrange),
      qemu: Fix a regression of domain save (Osier Yang),
      lxc: Fix incorrect changes on error codes. (Osier Yang),
      Stop libxl driver polluting logs on non-Xen hosts (Daniel P. Berrange),
      Fix memory leak parsing 'relabel' attribute in domain security XML (Daniel P. Berrange),
      Fix memory leak dispatching domain events (Daniel P. Berrange),
      Don't leak memory if a cgroup is mounted multiple times (Daniel P. Berrange),
      stream: remove redundant reference to client while sending stream data (Guannan Ren),
      Fix sanlock socket security labelling (Daniel P. Berrange),
      Fix incorrect path length check in sanlock lockspace setup (Daniel P. Berrange),
      snapshot: forbid snapshot on autodestroy domain (Eric Blake),
      Fix error detection in device change (Philipp Hahn),
      qemu: properly label outgoing pipe for tunneled migration (Eric Blake),
      Fix persistent migration config save (KAMEZAWA Hiroyuki),
      rpc: Don't close connection if program is unknown (Jiri Denemark),
      remote: Refuse connecting to remote socket (Michal Privoznik),
      Detect errors from the 'sendkey' command (Daniel P. Berrange),
      qemu: Correctly label migration TCP socket (Jiri Denemark),
      Do not try to cancel non-existent migration on source (Jiri Denemark),
      snapshot: don't leak resources on qemu snapshot failure (Eric Blake),
      Fix command test wrt gnutls initialize & fix debugging (Daniel P. Berrange),
      daemon: Move TLS initialization to virInitialize (Michal Privoznik),
      util: only fchown newly created files in virFileOpenAs (Laine Stump),
      qemu: fix off-by-one in pci slot reservation (Shradha Shah),
      pci: fix pciDeviceListSteal on multiple devices (Shradha Shah),
      qemu: Report error if qemu monitor command not found for BlockJob (Osier Yang),
      send-key: fix scan keycode map (KAMEZAWA Hiroyuki),
      storage: Flush host cache after write (Michal Privoznik),
      daemon: initialize GnuTLS (Michal Privoznik),
      Ensure async packets never get marked for sync replies (Daniel P. Berrange),
      Don't attempt to read from a stream if it is closed (Daniel P. Berrange),
      qemu: Init reattaching related members of pciDevice before reattach (Osier Yang),
      Fix race condition in abort of stream (Daniel P. Berrange),
      Ensure client streams are closed when marking a client for close (Daniel P. Berrange),
      Ensure stream is aborted when exiting console (Daniel P. Berrange),
      daemon: Add early libvirtd start verbose errors. (Peter Krempa),
      qemu: error message should show uri instead of (null) (Peter Krempa),
      libvirtd.init.in: stop/restart()       wrong return value in case of failure (Douglas Schilling Landgraf),
      daemon: Fix regression of libvirtd reloading support (Osier Yang),
      virsh: fix logic bug (Eric Blake),
      storage: Directory shouldn't be listed as type 'file' (Peter Krempa),
      network: eliminate potential memory leak on parse failure (Laine Stump),
      nwfilter: tolerate disappearing interfaces while instantiating filter (Stefan Berger),
      qemu: Fix -chardev udp if parameters are omitted (Cole Robinson),
      managedsave: prohibit use on transient domains (Eric Blake),
      Check stdoutWatch before removing the handler. (Juerg Haefliger),
      Fix memory leak while scanning snapshots (Philipp Hahn),
      build: fix regression in large file support (Eric Blake),
      Don't mount /dev for application containers (Daniel P. Berrange),
      qemu: avoid crash on process attach (Eric Blake),
      rpc:fix sasl session relocking intead of unlocking it (Guannan Ren),
      daemon: Unlink unix socket paths on shutdown (Osier Yang)

   -  Improvements:
      Remove devname identifier from autogenerated RPC code (Peter Krempa),
      maint: Prefer names over email in 'git shortlog' (Eric Blake),
      virsh: Add more human-friendly output of domblkstat command (Peter Krempa),
      spec: silence warnings when installing in F16 (Eric Blake),
      snapshot: allow disk snapshots of qcow2 disks (Eric Blake),
      snapshot: affect persistent xml after disk snapshot (Eric Blake),
      qemu: Introduce shutdown reason for paused state (Jiri Denemark),
      qemu: Prevent disk corruption on domain shutdown (Jiri Denemark),
      qemu: Properly detect crash of a rebooted domain (Jiri Denemark),
      qemu: Fix shutoff reason when domain crashes (Jiri Denemark),
      rpc: convert unknown procedures to VIR_ERR_NO_SUPPORT (Eric Blake),
      python: Fix libvirt.py generation to include virterror info (Cole Robinson),
      sanlock: add missing test command in virt-sanlock-cleanup.in (Alex Jia),
      spec: Require augeas for sanlock (Michal Privoznik),
      Use max bandwidth from qemuDomainObjPrivate struct when migrating (Jim Fehlig),
      Set qemu migration speed unlimited when migrating to file (Jim Fehlig),
      Save migration speed in qemuDomainMigrateSetMaxSpeed (Jim Fehlig),
      Impl virDomainMigrateGetMaxSpeed in qemu driver (Jim Fehlig),
      Store max migration bandwidth in qemuDomainObjPrivate struct (Jim Fehlig),
      network: add missing exports (Eric Blake),
      xml: Clean up rest of virtual XML document names for XML strings (Peter Krempa),
      qemu_api: Update libvirt spec file (Osier Yang),
      qemu_api: Update Makefile to generate libvirtmod_qemu lib (Osier Yang),
      qemu_api: Update Py binding generator to generate files for QEMU APIs (Osier Yang),
      qemu_api: Add override XML and C files for QEMU APIs (Osier Yang),
      qemu_api: Add comments for API virDomainQemuMonitorCommand (Osier Yang),
      qemu_api: Update Makefile for subdir docs (Osier Yang),
      qemu_api: Modify apibuild.py to generate docs for QEMU APIs (Osier Yang),
      Do not log invalid operations in libvirtd logs (Daniel Veillard),
      selinux: Detect virt_use_nfs boolean set (Michal Privoznik),
      xml: Change virtual file names of xml documents parsed in memory (Peter Krempa),
      maint: update to latest gnulib (Eric Blake),
      snapshot: use new API for less work (Eric Blake),
      snapshot: new APIs for inspecting snapshot object (Eric Blake),
      virsh: fix typo in opts_send_key (Alex Jia),
      link-state: virsh: Add wrapper commands for changing link state (Peter Krempa),
      link-state: qemu: Add net intf modification to virUpdateDeviceFlags (Peter Krempa),
      link-state: qemu: Add monitor handling for link state modification (Peter Krempa),
      link-state: conf: Add element to XML for controling link state (Peter Krempa),
      link-state: util: Add equality comparison functions for structures (Peter Krempa),
      XML: Improve XML parsing error messages (Peter Krempa),
      redirdev: allows to specify device address (Marc-André Lureau),
      latency: Update virsh command domblkstat to use new API (Osier Yang),
      latency: Expose the new API for Python binding (Osier Yang),
      latency: Implemente internal API for qemu driver (Osier Yang),
      latency: Update monitor functions for new latency fields (Osier Yang),
      latency: Wire up the remote protocol (Osier Yang),
      latency: Implemente the public API (Osier Yang),
      latency: Define the internal driver callback (Osier Yang),
      qemu: Deal with stucked qemu on daemon startup (Michal Privoznik),
      qemu: Introduce job queue size limit (Michal Privoznik),
      daemon: Create priority workers pool (Michal Privoznik),
      snapshot: use SELinux and lock manager with external snapshots (Eric Blake),
      snapshot: wire up live qemu disk snapshots (Eric Blake),
      snapshot: wire up new qemu monitor command (Eric Blake),
      snapshot: make it possible to audit external snapshot (Eric Blake),
      snapshot: reject unimplemented disk snapshot features (Eric Blake),
      snapshot: wire up disk-only flag to snapshot-create (Eric Blake),
      snapshot: add flag for requesting disk snapshot (Eric Blake),
      snapshot: add virsh domblklist command (Eric Blake),
      snapshot: also support disks by path (Eric Blake),
      snapshot: add <disks> to snapshot xml (Eric Blake),
      snapshot: support extra state in snapshots (Eric Blake),
      snapshot: expose halt-after-creation in virsh (Eric Blake),
      snapshot: allow halting after snapshot (Eric Blake),
      snapshot: expose new delete flag in virsh (Eric Blake),
      snapshot: introduce new deletion flag (Eric Blake),
      snapshot: reject transient disks where code is not ready (Eric Blake),
      snapshot: additions to domain xml for disks (Eric Blake),
      Check for source conflicts in storage pools (Lei Li),
      Add a usb1 & usb2 qemuxml2argv test (Marc-André Lureau),
      PIIX3 USB controller is on function 2 (Marc-André Lureau),
      snapshot: store qemu domain details in xml (Eric Blake),
      snapshot: update rng to support full domain in xml (Eric Blake),
      snapshot: correctly escape generated xml (Eric Blake),
      snapshot: allow full domain xml in snapshot (Eric Blake),
      snapshot: refactor domain xml output (Eric Blake),
      snapshot: prevent migration from stranding snapshot data (Eric Blake),
      snapshot: support new undefine flags in qemu (Eric Blake),
      snapshot: cache qemu-img location (Eric Blake),
      snapshot: refactor some qemu code (Eric Blake),
      snapshot: teach virsh about new undefine flags (Eric Blake),
      snapshot: prevent stranding snapshot data on domain destruction (Eric Blake),
      snapshot: add qemu snapshot redefine support (Eric Blake),
      snapshot: add qemu snapshot creation without metadata (Eric Blake),
      snapshot: improve virsh snapshot-create, add snapshot-edit (Eric Blake),
      snapshot: refactor virsh snapshot creation (Eric Blake),
      snapshot: allow recreation of metadata (Eric Blake),
      snapshot: identify qemu snapshot roots (Eric Blake),
      snapshot: reflect new dumpxml and list options in virsh (Eric Blake),
      snapshot: identify which snapshots have metadata (Eric Blake),
      snapshot: let qemu discard only snapshot metadata (Eric Blake),
      snapshot: allow deletion of just snapshot metadata (Eric Blake),
      snapshot: simplify acting on just children (Eric Blake),
      snapshot: track current domain across deletion of children (Eric Blake),
      snapshot: avoid crash when deleting qemu snapshots (Eric Blake),
      snapshot: speed up snapshot location (Eric Blake),
      snapshot: add snapshot-list --parent to virsh (Eric Blake),
      snapshot: fine-tune qemu snapshot revert states (Eric Blake),
      snapshot: properly revert qemu to offline snapshots (Eric Blake),
      snapshot: improve reverting to qemu paused snapshots (Eric Blake),
      snapshot: fine-tune qemu saved images starting paused (Eric Blake),
      snapshot: expose --running and --paused in virsh (Eric Blake),
      snapshot: fine-tune ability to start paused (Eric Blake),
      snapshot: better events when starting paused (Eric Blake),
      Learn to use spicevmc as a redirection type for usb-redir (Marc-André Lureau),
      Add "redirdev" redirection device (Marc-André Lureau),
      qemu: Don't append 0 at usb id, so that it is compatible with legacy -usb (Marc-André Lureau),
      qemu: don't reserve slot 1 if a PIIX3 USB controller is defined there (Marc-André Lureau),
      Modify USB port to be defined as a port path (Marc-André Lureau),
      Add USB companion controllers support (Marc-André Lureau),
      USB devices gain a new USB address child element (Marc-André Lureau),
      test: USB controller can have a PCI address child element (Marc-André Lureau),
      Add a new controller type 'usb' with optionnal 'model' (Marc-André Lureau),
      Add USB controller models (Marc-André Lureau),
      Rename virDomainControllerModel to virDomainControllerModelSCSI (Marc-André Lureau),
      Add various USB devices QEMU_CAPS (Marc-André Lureau),
      tests: add missing files (Eric Blake),
      Add directsync cache mode support for disk driver (Osier Yang),
      storage: Add virsh support for fs pool formating (Osier Yang),
      storage: Add mkfs and libblkid to build system (Osier Yang),
      qemu: refactor file opening (Eric Blake),
      lxc: do not require 'ifconfig' or 'ipconfig' in container (Scott Moser),
      Create ptmx as a device (Serge Hallyn),
      BlockPull: Set initial bandwidth limit if specified (Adam Litke),
      BlockJob: Bandwidth parameter is in MB when using text monitor (Adam Litke),
      Increase size of buffer for xend response (Jim Fehlig),
      virsh: support 'virsh start --force-boot' on older servers (Eric Blake),
      build: fix 'make check' with pdwtags (Eric Blake),
      virsh: Expose virDomainMigrateGetMaxSpeed API (Jim Fehlig),
      virsh: prefer unsigned flags (Eric Blake),
      storage: Fix incorrect error codes (Osier Yang),
      remote: Fix incorrect error codes (Osier Yang),
      nodeinfo: Fix incorrect error codes (Osier Yang),
      conf: Substitute OPERATION_INVALID with INTERNAL_ERROR (Osier Yang),
      start: allow discarding managed save (Eric Blake),
      build: simplify use of verify (Eric Blake),
      rpc: fix a typo in debugging log in virNetServerProgramSendStreamData (Guannan Ren),
      maint: fix spelling errors on lose (Eric Blake),
      Fix generator to cope with call-by-ref long types (Jim Fehlig),
      hyperv: Add OpenWSMAN based client for the Hyper-V WMI API (Matthias Bolte),
      hyperv: Add driver skeleton (Matthias Bolte),
      hyperv: Add configure check for OpenWSMAN (Matthias Bolte),
      virterror: Fix error message for VIR_ERR_INVALID_ARG (Michal Privoznik),
      Fix keymap used to talk with QEMU (Daniel P. Berrange),
      security: Introduce SetSocketLabel (Jiri Denemark),
      security: Rename SetSocketLabel APIs to SetDaemonSocketLabel (Jiri Denemark),
      Ignore unused streams in virStreamAbort (Jiri Denemark),
      snapshot: track current snapshot across restarts (Eric Blake),
      snapshot: only pass snapshot to qemu command line when reverting (Eric Blake),
      libvirt: log all flags parameters (Eric Blake),
      virsh: add list --managed-save (Eric Blake),
      esx: Refactor a repeated string in the generator (Matthias Bolte),
      maint: fix comment typos (Eric Blake),
      virsh: Substitute goto label out with cleanup (Osier Yang),
      virsh: Do not try to free domain if it is NULL (Osier Yang),
      xen: Cleanup improper VIR_ERR_NO_SUPPORT use (Osier Yang),
      storage: Cleanup improper VIR_ERR_NO_SUPPORT use (Osier Yang),
      remote: Cleanup improper VIR_ERR_NO_SUPPORT use (Osier Yang),
      qemu: Cleanup improper VIR_ERR_NO_SUPPORT use (Osier Yang),
      nodeinfo: Cleanup improper VIR_ERR_NO_SUPPORT use (Osier Yang),
      lxc: Cleanup improper VIR_ERR_NO_SUPPORT use (Osier Yang),
      conf: Cleanup improper use of VIR_ERR_NO_SUPPORT in node_device_conf (Osier Yang),
      qemu: Substitute VIR_ERR_NO_SUPPORT with VIR_ERR_OPERATION_INVALID (Osier Yang),
      virsh: Print error if specified bandwidth is invalid for blockjob (Osier Yang),
      virsh: properly interleave shared stdout and stderr (Eric Blake),
      maint: simplify lots of libxml2 clients (Eric Blake),
      xml: add another convenience function (Eric Blake),
      maint: treat more libxml2 functions as free-like (Eric Blake),
      test: rewrite test to match change in behavior (Eric Blake),
      build: fix typo in recent test patch (Eric Blake),
      vmware: Allow to undefine a running domain (Osier Yang),
      uml: Allow to undefine a running domain (Osier Yang),
      test: Allow to undefine a running domain (Osier Yang),
      qemu: Allow to undefine a running domain (Osier Yang),
      openvz: Allow to undefine a running domain (Osier Yang),
      lxc: Allow to undefine a running domain (Osier Yang),
      libxl: Allow to undefine a running domain. (Osier Yang),
      qemu: Get memory balloon info correctly for text monitor (Osier Yang),
      qemu: disk migration verbose progress (Tom Vijlbrief),
      virsh: concatenate qemu-monitor-command arguments (Eric Blake),
      virsh: tweak misleading wording (Eric Blake),
      Tweak debugging message in RPC client code (Daniel P. Berrange),
      maint: add missing symbols (Stefan Berger),
      macvtap: Fix getPhysfn to get the PF of a direct attach network interface (Roopa Prabhu),
      interface: Add functions to get sriov PF/VF relationship of a net interface (Roopa Prabhu),
      pci: Add helper functions for sriov devices (Roopa Prabhu),
      pci: Move some pci sriov helper code out of node device driver to util/pci (Roopa Prabhu),
      qemu: support event_idx parameter for virtio disk and net devices (Laine Stump),
      qemu: Use fd: protocol for migration (Jiri Denemark),
      qemu: Use virNetSocket for tunneled migration (Jiri Denemark),
      qemu: Refactor do{Tunnel,Native}Migrate functions (Jiri Denemark),
      Support changing UNIX socket owner in virNetSocketNewListenUNIX (Jiri Denemark),
      Add backlog parameter to virNetSocketListen (Jiri Denemark),
      Add API for duplicating a socket/client file descriptor (Daniel P. Berrange),
      Swap virDomain / virDomainSnapshot declaration (Philipp Hahn),
      build: fix recent build failures (Eric Blake),
      Convert libvirtd to use crash-safe pidfile APIs (Daniel P. Berrange),
      Add some APIs which use locking for crashsafe pidfile handling (Daniel P. Berrange),
      Introduce functions for checking whether a pidfile is valid (Daniel P. Berrange),
      Move pidfile functions into util/virpidfile.{c,h} (Daniel P. Berrange),
      Add virFileLock and virFileUnlock APIs (Daniel P. Berrange),
      vbox, xenapi: add virDomainUndefineFlags (Eric Blake),
      virsh: don't reject undefine on active domain (Eric Blake),
      virsh: Add dir type for listing volumes with vol-list (Peter Krempa),
      virsh: add snapshot-parent (Eric Blake),
      virsh: add virsh snapshot-current --name (Eric Blake),
      virsh: fix snapshot-create-as to handle arbitrary names (Eric Blake),
      qemu: minor formatting cleanup (Eric Blake),
      Allow use of file images for LXC container filesystems (Daniel P. Berrange),
      Fix typo in LXC cgroups setup error message (Daniel P. Berrange),
      Allow use of block devices for guest filesystem (Daniel P. Berrange),
      qemu: Avoid overwriting errors from virGetHostname (Jiri Denemark),
      network: eliminate lag in updating dnsmasq hosts files (Laine Stump),
      build: update to latest gnulib (Eric Blake)

   -  Cleanups:
      maint: ignore generated files (Eric Blake),
      Remove two references to files not generated (Daniel Veillard),
      latency: fix make check for remote protocol structs and numbers (Daniel Veillard),
      security: fix build (Eric Blake),
      Remove bogus virSecurityManagerSetProcessFDLabel method (Daniel P. Berrange),
      libvirt: avoid dead store in virDomainMigrateVersion3 (Alex Jia),
      qemu: avoid dead store in doPeer2PeerMigrate3 (Alex Jia),
      maint: ignore generated file (Eric Blake),
      maint: ignore generated file (Eric Blake),
      maint: let emacs avoid tabs in rng files (Eric Blake),
      virsh: fix dead store (Eric Blake),
      qemu: silence clang false positive (Eric Blake),
      qemu: avoid dead store in qemuMonitorTextBlockJob (Alex Jia),
      qemu: avoid dead store in qemuProcessStart (Alex Jia)



0.9.4: Aug 3 2011:
   - Features:
      bandwidth QoS control (Michal Privoznik),
      Add new API virDomainBlockPull* (Adam Litke),
      save: new API to manipulate save file images (Eric Blake),
      CPU bandwidth limits support (Wen Congyang),
      allow to send NMI and key event to guests (Lai Jiangshan),
      new API virDomainUndefineFlags (Osier Yang),
      Implement code to attach to external QEMU instances. (Daniel P. Berrange),
      various missing python binding (Hu Tao and Lai Jiangshan),
      bios: Add support for SGA (Michal Privoznik)

   - Documentation:
      doc: fix confusing statement about required privileges (Eric Blake),
      doc: fix incorrect option in blockjob (Alex Jia),
      Correct the default value of lock_manager in qemu.conf (Guannan Ren),
      libvirt.c: Update outdated description of flags (Michal Privoznik),
      qemu: Improve docs for virsh dump format (Osier Yang),
      qemu: improve thread documentation (Eric Blake),
      doc: Add doc for blockpull and blockjob commands (Osier Yang),
      Fix incorrect implication about list options (Dave Allan),
      Fix typos in virsh.pod file (Daniel P. Berrange),
      network: Fix typo (Osier Yang),
      Break up 'Basic Resources' XML section (Cole Robinson),
      driver.h: Fix two driver documentation mistakes (Wieland Hoffmann),
      doc: Add documentation for new cputune elements period and quota (Wen Congyang),
      doc: Correct documents for iface commands (Osier Yang),
      improve virsh man page synopses (Eric Blake),
      Fix spice documentation typo (Michal Privoznik),
      document dxml argument to migrate2 (Eric Blake),
      website: Point main page links to libvirt driver pages (Dave Allan),
      maint: fix typos (Eric Blake),
      mention EMOTIVE as a libvirt-using app (Eric Blake),
      virsh: Update virsh man page (Supriya Kannery),
      Fix virsh inject-nmi man page (KAMEZAWA Hiroyuki),
      virsh: make destroy sound less scary (Eric Blake),
      minor whitespace cleanups (Eric Blake),
      Add documentation for the seclabel XML element (Daniel P. Berrange)

   - Portability:
      build: fix include path for cygwin (Eric Blake),
      build: avoid non-portable shell in test setup (Eric Blake),
      tests: Don't use bash if we don't have to (Matthias Bolte),
      freebsd: Fix build problem due to picking up the wrong libvirt.h (Matthias Bolte),
      freebsd: Avoid /bin/true in commandtest (Matthias Bolte),
      freebsd: Add gnulib environ module for the commandtest (Matthias Bolte),
      build: support warnings on RHEL 5 (Eric Blake),
      Build: fix build if HAVE_AVAHI is not defined (Stefan Berger),
      sysinfo: Don't try to run dmidecode on archs missing it (Michal Privoznik),
      udev: Don't try to dump DMI on non-intel archs (Michal Privoznik),
      Fix build when using polkit0 (Jim Fehlig),
      Fix rpm build with sanlock and without QEmu (Daniel Veillard),
      Skip some xen tests if xend is not running (Jim Fehlig),
      build: fix virBufferVasprintf on mingw (Eric Blake),
      Fix compilation of statstest.c during make check (Jim Fehlig),
      Fix compilation error when SASL support is disabled (Jean-Baptiste Rouault),
      tests: Disable networkxml2argvtest when configured without network (Matthias Bolte)

   - Bug Fixes:
      util: plug memory leak (Eric Blake),
      rpc: avoid null deref (Eric Blake),
      qemu: avoid memory leaks (Eric Blake),
      qemu: plug child process leak on domain core dump (Eric Blake),
      conf: avoid memory leak on disk operations (Eric Blake),
      rpc: avoid crash on error (Eric Blake),
      qemu: avoid null deref on block pull error (Eric Blake),
      rpc: correctly process sasl whitelist globs (Eric Blake),
      screenshot: don't unlink bogus file (Eric Blake),
      python: avoid unlikely sign extension bug (Eric Blake),
      rpc: avoid uninitialized memory use (Eric Blake),
      rpc: avoid double close on error (Eric Blake),
      qemu: Unlink temporary file on failure (Michal Privoznik),
      rpc: avoid libvirtd crash on unexpected client close (Eric Blake),
      virsh: fix memory leak in cmdNetworkInfo (Alex Jia),
      openvz: detect when a domain was shut down from the inside (Jean-Baptiste Rouault),
      qemu: fix crash when mixing sync and async monitor jobs (Eric Blake),
      qemu: fix return value issue (Alex Jia),
      qemu: fix return value issue in qemuDomainSetMemoryParameters (Alex Jia),
      virsh: Fix vol-name and vol-pool commands (Matthias Bolte),
      qemu: Fix a regression of domjobabort (Osier Yang),
      conf: Don't leak the virtual port profile in virNetworkDefFree (Matthias Bolte),
      network: don't forward DNS requests from isolated networks (Laine Stump),
      virsh: avoid missing zero value judgement in cmdBlkiotune (Alex Jia),
      qemu: fix nested job with driver lock held (Eric Blake),
      qemu: Fix memory leak on metadata fetching (Michal Privoznik),
      virsh: fix memory leak in cmdVolPath code (Alex Jia),
      rpc: Fix memory leak in remoteDomainSet*Parameters functions (Matthias Bolte),
      qemu: Recover from interrupted migration (Jiri Denemark),
      python: Properly report errors if virStreamRecv fails (Cole Robinson),
      Fix race in ref counting when handling RPC jobs (Daniel P. Berrange),
      Fix build with gnutls 1.0.x branch (Daniel P. Berrange),
      Add libtasn1-devel as a BuildRequires for libvirt.spec (Daniel P. Berrange),
      Add mutex protection to SASL and TLS modules (Daniel P. Berrange),
      Report error if unable to bind to any socket (Daniel P. Berrange),
      Fix leak of mDNS object in virNetServer (Daniel P. Berrange),
      Fix memory leaks in MDNS code (Daniel P. Berrange),
      python: Handle embedded NUL in stream.send data (Cole Robinson),
      Catch dnsmasq start failures (Guido Günther),
      Fix import of private key with older gnutls (Daniel P. Berrange),
      Fix TLS context tests with expired certs (Daniel P. Berrange),
      Honour filesystem readonly flag & make special FS readonly (Daniel P. Berrange),
      xenapi: Fix double-freeing the session in xenapiClose (Matthias Bolte),
      remote: Fix forgotten comma (Michal Privoznik),
      qemu: fix error message with migrate2 xml (Eric Blake),
      command: avoid leaking fds across fork (Eric Blake),
      error: preserve errno when saving last error (Eric Blake),
      Fix uninitialized variable in QEMU CPU bandwidth code (Daniel P. Berrange),
      fix make syntax-check error (Wen Congyang),
      rpc: Pass through DISPLAY so ssh can launch askpass (Cole Robinson),
      Don't try to close a NULL virNetClientPtr (Guannan Ren),
      Honour key usage/purpose criticality flag (Daniel P. Berrange),
      Fix reporting of errors for p2p migration (Daniel P. Berrange),
      Use a virFreeCallback on virNetSocket to ensure safe release (Daniel P. Berrange),
      Add mutex locking and reference counting to virNetSocket (Daniel P. Berrange),
      util: avoid fds leak when virEventPollAddHandle fail (Alex Jia),
      virsh: avoid double free of domain (Alex Jia),
      build: Fix protocol-structs check in VPATH build (Jiri Denemark),
